package com.ccc.ossweb;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Rect;
import android.graphics.SurfaceTexture;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.support.v4.app.ActivityCompat;
import android.support.v4.view.ViewCompat;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Surface;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.TextureView;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.webkit.CookieSyncManager;
import android.webkit.JavascriptInterface;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.FrameLayout;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.StringRequest;
import com.android.volley.toolbox.Volley;
import com.downloader.Error;
import com.downloader.OnDownloadListener;
import com.downloader.OnProgressListener;
import com.downloader.PRDownloader;
import com.downloader.PRDownloaderConfig;
import com.downloader.Progress;
import com.imuxuan.floatingview.FloatingMagnetView;
import com.imuxuan.floatingview.FloatingView;
import com.imuxuan.floatingview.MagnetViewListener;
import com.tencent.rtmp.ITXLivePlayListener;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.rtmp.TXLivePlayConfig;
import com.tencent.rtmp.TXLivePlayer;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Map;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import org.json.JSONObject;

public class H5Game implements ITXLivePlayListener {
    private static final int CACHE_STRATEGY_AUTO = 3;
    private static final int CACHE_STRATEGY_FAST = 1;
    private static final int CACHE_STRATEGY_SMOOTH = 2;
    private static final float CACHE_TIME_FAST = 1.0f;
    private static final float CACHE_TIME_SMOOTH = 5.0f;
    private static final String TAG = "H5Game";
    private static int height2 = 1280;
    private static int width1 = 720;
    private final String H5_CALL_HEADER = "intent://";
    private Boolean _openKeyboardAdjust;
    private AudioManager audio;
    private FrameLayout container;
    private int curVer;
    private int difH;
    private long exitTime;
    private String fileName;
    private H5Game gameInstance;
    private String gameName = "M_H5Game";
    private String gameUrl;
    private int h;
    private Boolean h5LoadingHide;
    private Boolean isNativeCocos2dX;
    private String loginPost;
    protected int mActivityType;
    private Context mCtx;
    private int mCurrentRenderMode;
    private int mCurrentRenderRotation;
    private boolean mHWDecode;
    private boolean mIsPlaying;
    private TXLivePlayer mLivePlayer;
    private TXLivePlayConfig mPlayConfig;
    private int mPlayType;
    private String mPlayUrl;
    private long mStartPlayTS;
    private Surface mSurface;
    private int mSurfaceHeight;
    private int mSurfaceWidth;
    private TextureView mTextureView;
    public WebView mWebView;
    private String onOpenJs;
    private String onResumeJs;
    private H5Container parent;
    private H5Game preGame;
    private SurfaceView sSurfaceView;
    private String storagePath = (Environment.getExternalStorageDirectory() + File.separator + this.gameName + File.separator);
    private WebView subWebView;
    private String updateUrl = "http://192.168.2.103/g.zip";
    private String versionUrl = "http://192.168.2.103/v";
    private int w;
    private Handler x;

    @Override // com.tencent.rtmp.ITXLivePlayListener
    public void onNetStatus(Bundle bundle) {
    }

    H5Game(Context context, String str) {
        StringBuilder sb = new StringBuilder();
        sb.append(this.gameName);
        sb.append(".zip");
        this.fileName = sb.toString();
        this.curVer = 0;
        this.loginPost = "?u=miao01&t=woaini";
        this.gameUrl = "file:///android_asset/index.html";
        this.onResumeJs = null;
        this.onOpenJs = null;
        this.mCtx = null;
        this.container = null;
        this._openKeyboardAdjust = false;
        this.isNativeCocos2dX = false;
        this.mLivePlayer = null;
        this.mHWDecode = false;
        this.mPlayType = 0;
        this.mStartPlayTS = 0;
        this.mPlayUrl = "";
        this.w = 0;
        this.h = 0;
        this.difH = 0;
        this.parent = null;
        this.sSurfaceView = null;
        this.preGame = null;
        this.gameInstance = null;
        this.h5LoadingHide = false;
        this.x = null;
        this.mCtx = context;
        this.gameInstance = this;
        this.storagePath = context.getExternalCacheDir().getPath() + File.separator;
        setGameName(str);
        File file = new File(this.storagePath);
        if (!file.exists()) {
            file.mkdirs();
        }
        readLocalVer();
    }

    public void hideH5Loading(Boolean bool) {
        this.h5LoadingHide = bool;
    }

    public void show(H5Container h5Container, Boolean bool) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        if (Build.VERSION.SDK_INT >= 17) {
            ((Activity) this.mCtx).getWindowManager().getDefaultDisplay().getRealMetrics(displayMetrics);
        }
        width1 = displayMetrics.widthPixels;
        height2 = displayMetrics.heightPixels;
        ((Activity) this.mCtx).getWindow().setFlags(128, 128);
        this.parent = h5Container;
        h5Container.h5GameMap.put(this.gameName, this);
        if (this.container == null) {
            createContainer();
            if (bool.booleanValue()) {
                initPlayer(height2, width1, this.difH);
                TextureView textureView = this.mTextureView;
                if (textureView != null) {
                    this.container.addView(textureView);
                }
                SurfaceView surfaceView = this.sSurfaceView;
                if (surfaceView != null) {
                    this.container.addView(surfaceView);
                }
            }
            this.mWebView = initWebView();
            this.container.addView(this.mWebView);
        }
        this.parent.addView(this.container);
        SurfaceView surfaceView2 = this.sSurfaceView;
        if (surfaceView2 != null) {
            surfaceView2.setVisibility(4);
        }
        TextureView textureView2 = this.mTextureView;
        if (textureView2 != null) {
            textureView2.setVisibility(4);
        }
        this.container.setVisibility(4);
    }

    public void hide() {
        this.container.removeAllViews();
        this.parent.removeView(this.container);
        this.container = null;
        for (Map.Entry<String, H5Game> entry : this.parent.h5GameMap.entrySet()) {
            if (!entry.getKey().equals(this.gameName)) {
                entry.getValue().onResume();
            } else {
                entry.getValue().onDestroy();
            }
        }
        this.parent.h5GameMap.remove(this.gameName);
    }

    private void createContainer() {
        this.container = new FrameLayout(this.mCtx);
        this.container.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
    }

    public void setLoginInfo(String str) {
        this.loginPost = str;
    }

    public void setUrl(String str) {
        this.gameUrl = str;
    }

    public void setUpdateUrl(String str) {
        this.updateUrl = str;
    }

    public void setVersionUrl(String str) {
        this.versionUrl = str;
    }

    public void setGameName(String str) {
        this.gameName = str;
        this.storagePath += this.gameName + File.separator;
    }

    public void startGame(String str) {
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setVisibility(0);
        }
        FrameLayout frameLayout = this.container;
        if (frameLayout != null) {
            frameLayout.setBackgroundColor(ViewCompat.MEASURED_STATE_MASK);
        }
        this.mWebView.loadUrl(str);
        Log.e(TAG, "loadGame ！！h5LoadingHide" + this.h5LoadingHide);
        if (!this.h5LoadingHide.booleanValue()) {
            this.container.setVisibility(0);
        }
        new Handler().postDelayed(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass1 */

            public void run() {
                H5Game.this.parent.updateProgressText("loading resource..", 100);
            }
        }, 666);
    }

    public void loadGame() {
        if (!new File(this.storagePath, "index.html").exists()) {
            updateGame();
            return;
        }
        startGame(this.gameUrl + this.loginPost);
    }

    /* access modifiers changed from: protected */
    public void readLocalVer() {
        File file = new File(this.storagePath + 'v');
        if (!file.exists()) {
            Log.e(TAG, " readLocalVerNNoo");
            return;
        }
        try {
            this.curVer = Integer.parseInt(new BufferedReader(new FileReader(file)).readLine());
            Log.e(TAG, " readLocalVer" + this.curVer);
        } catch (FileNotFoundException e) {
            Log.e(TAG, " readLocalVerEEE" + e.toString());
            e.printStackTrace();
        } catch (IOException e2) {
            Log.e(TAG, " readLocalVerEEE" + e2.toString());
            e2.printStackTrace();
        }
    }

    public void checkVer() {
        Volley.newRequestQueue(this.mCtx).add(new StringRequest(0, this.versionUrl, new Response.Listener<String>() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass2 */

            public void onResponse(String str) {
                Log.e(H5Game.TAG, " NewVer :::" + str);
                if (Integer.parseInt(str.split("\n", 2)[0]) > H5Game.this.curVer) {
                    Log.e(H5Game.TAG, " 发现新版本 :::" + H5Game.this.curVer);
                    H5Game.this.updateGame();
                    return;
                }
                Log.e(H5Game.TAG, " 使用旧版本 :::" + H5Game.this.curVer);
                if (H5Game.this.curVer != 0) {
                    H5Game h5Game = H5Game.this;
                    h5Game.setUrl("file:///" + H5Game.this.storagePath + "index.html");
                }
                H5Game.this.loadGame();
            }
        }, new Response.ErrorListener() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass3 */

            @Override // com.android.volley.Response.ErrorListener
            public void onErrorResponse(VolleyError volleyError) {
                Log.e(H5Game.TAG, " eror使用旧版本 :::" + H5Game.this.curVer + volleyError.toString());
                if (H5Game.this.curVer != 0) {
                    H5Game h5Game = H5Game.this;
                    h5Game.setUrl("file:///" + H5Game.this.storagePath + "index.html");
                }
                H5Game.this.loadGame();
            }
        }));
        this.parent.updateProgressText("checking new version..", 0);
    }

    public void updateGame() {
        Log.e(TAG, "updateGame storagePath" + this.storagePath);
        PRDownloader.initialize(this.mCtx);
        PRDownloader.initialize(this.mCtx, PRDownloaderConfig.newBuilder().setDatabaseEnabled(true).build());
        PRDownloader.download(this.updateUrl, this.storagePath, this.fileName).build().setOnProgressListener(new OnProgressListener() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass5 */

            @Override // com.downloader.OnProgressListener
            public void onProgress(Progress progress) {
                Log.e(H5Game.TAG, "updateGame onProgress" + progress);
                H5Game.this.parent.updateProgressText("updating game..", Math.round((float) ((progress.currentBytes * 100) / progress.totalBytes)));
            }
        }).start(new OnDownloadListener() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass4 */

            @Override // com.downloader.OnDownloadListener
            public void onDownloadComplete() {
                H5Game h5Game = H5Game.this;
                h5Game.unpackZip(h5Game.storagePath, H5Game.this.fileName);
                new File(H5Game.this.storagePath, H5Game.this.fileName).delete();
                PRDownloader.download(H5Game.this.versionUrl, H5Game.this.storagePath, "v").build().setOnProgressListener(new OnProgressListener() {
                    /* class com.ccc.ossweb.H5Game.AnonymousClass4.AnonymousClass2 */

                    @Override // com.downloader.OnProgressListener
                    public void onProgress(Progress progress) {
                    }
                }).start(new OnDownloadListener() {
                    /* class com.ccc.ossweb.H5Game.AnonymousClass4.AnonymousClass1 */

                    @Override // com.downloader.OnDownloadListener
                    public void onError(Error error) {
                    }

                    @Override // com.downloader.OnDownloadListener
                    public void onDownloadComplete() {
                        H5Game.this.readLocalVer();
                        H5Game h5Game = H5Game.this;
                        h5Game.setUrl("file:///" + H5Game.this.storagePath + "index.html");
                        H5Game.this.loadGame();
                    }
                });
            }

            @Override // com.downloader.OnDownloadListener
            public void onError(Error error) {
                Log.e(H5Game.TAG, "updateGame Error" + error);
            }
        });
        this.parent.updateProgressText("start update game..", 0);
    }

    private WebView initWebView() {
        WebView webView = new WebView(this.mCtx);
        webView.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        WebSettings settings = webView.getSettings();
        settings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.NARROW_COLUMNS);
        settings.setUseWideViewPort(true);
        settings.setLoadWithOverviewMode(true);
        settings.setGeolocationEnabled(true);
        settings.setDomStorageEnabled(true);
        settings.setAppCachePath(this.mCtx.getApplicationContext().getCacheDir().getAbsolutePath());
        settings.setDatabasePath(this.mCtx.getDir("databases", 0).getPath());
        settings.setGeolocationDatabasePath(this.mCtx.getDir("geolocation", 0).getPath());
        settings.setAllowFileAccess(true);
        settings.setAppCacheEnabled(true);
        settings.setJavaScriptEnabled(true);
        settings.setSupportZoom(true);
        settings.setBuiltInZoomControls(true);
        settings.setSupportMultipleWindows(true);
        settings.setAppCacheMaxSize(Long.MAX_VALUE);
        settings.setPluginState(WebSettings.PluginState.ON_DEMAND);
        if (Build.VERSION.SDK_INT >= 16) {
            settings.setAllowFileAccessFromFileURLs(true);
            settings.setAllowUniversalAccessFromFileURLs(true);
        }
        settings.setJavaScriptCanOpenWindowsAutomatically(true);
        settings.setCacheMode(2);
        webView.setBackgroundColor(0);
        webView.addJavascriptInterface(this, "Native");
        CookieSyncManager.createInstance(this.mCtx.getApplicationContext());
        CookieSyncManager.getInstance().sync();
        webView.setWebChromeClient(new ReWebChomeClient(this.parent));
        webView.setWebViewClient(new WebViewClient() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass6 */

            @Override // android.webkit.WebViewClient
            public boolean shouldOverrideUrlLoading(WebView webView, String str) {
                Log.d(H5Game.TAG, str);
                if (str.contains("intent://")) {
                    return true;
                }
                if (str.contains("weixin://wap/pay?")) {
                    Log.e(H5Game.TAG, "wxPay and aliPay");
                    ((Activity) H5Game.this.mCtx).startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
                    return true;
                } else if (str.contains("platformapi/startapp")) {
                    Log.e(H5Game.TAG, "just aliPay");
                    H5Game.this.startAlipayActivity(str);
                    return true;
                } else if (Build.VERSION.SDK_INT <= 23 || !str.contains("platformapi") || !str.contains("startapp")) {
                    return super.shouldOverrideUrlLoading(webView, str);
                } else {
                    Log.e(H5Game.TAG, "just aliPay");
                    H5Game.this.startAlipayActivity(str);
                    return true;
                }
            }
        });
        this.audio = (AudioManager) this.mCtx.getSystemService("audio");
        return webView;
    }

    @JavascriptInterface
    public void playVideo(final String str) {
        Log.i(TAG, "playVideo" + str.toString());
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass7 */

            public void run() {
                H5Game.this.stopPlay();
                H5Game.this.backScaleV();
                H5Game.this.startPlay(str);
            }
        });
    }

    @JavascriptInterface
    public void stopVideo(String str) {
        Log.i(TAG, "stopVideo" + str.toString());
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass8 */

            public void run() {
                H5Game.this.stopPlay();
            }
        });
    }

    @JavascriptInterface
    public void setVSize(final String str) {
        Log.i(TAG, "setVSize" + str.toString());
        if (str.contains("h")) {
            ((Activity) this.mCtx).runOnUiThread(new Runnable() {
                /* class com.ccc.ossweb.H5Game.AnonymousClass9 */

                public void run() {
                    try {
                        JSONObject jSONObject = new JSONObject(str);
                        H5Game.this.setSize(jSONObject.getInt("w"), jSONObject.getInt("h"));
                    } catch (Exception unused) {
                    }
                }
            });
        }
    }

    @JavascriptInterface
    public void closeWebGame(String str) {
        Log.i(TAG, "closeWebGame" + str.toString());
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass10 */

            public void run() {
                H5Game.this.hide();
                if (H5Game.this.gameInstance.preGame != null) {
                    String format = String.format("javascript:%s", H5Game.this.gameInstance.preGame.onResumeJs);
                    Log.d(H5Game.TAG, "onResumeJs..." + H5Game.this.gameInstance.preGame.onResumeJs);
                    H5Game.this.gameInstance.preGame.mWebView.loadUrl(format);
                }
            }
        });
    }

    @JavascriptInterface
    public void closeGame(String str) {
        Log.i(TAG, "closeWebGame" + str.toString());
        closeWebGame(str);
    }

    @JavascriptInterface
    public void exitAll(String str) {
        Log.i(TAG, "exitAll" + str.toString());
        closeWebGame(str);
        ((Activity) this.mCtx).finish();
    }

    @JavascriptInterface
    public void fullScreenVideo(String str) {
        Log.i(TAG, "fullScreenVideo" + str.toString());
        this.mCurrentRenderRotation = 270;
    }

    @JavascriptInterface
    public void showFloat(final String str) {
        Log.i(TAG, "Web showFloat" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass11 */

            public void run() {
                FloatingView.get().add();
                if (str.contains("portraitMode")) {
                    FloatingView.get().setPos();
                    Log.e(H5Game.TAG, "showFloat + rotateWScreen");
                    FloatingView.get().icon(R.drawable.gray_head);
                } else {
                    FloatingView.get().icon(R.drawable.imuxuan);
                }
                FloatingView.get().listener(new MagnetViewListener() {
                    /* class com.ccc.ossweb.H5Game.AnonymousClass11.AnonymousClass1 */

                    @Override // com.imuxuan.floatingview.MagnetViewListener
                    public void onRemove(FloatingMagnetView floatingMagnetView) {
                    }

                    @Override // com.imuxuan.floatingview.MagnetViewListener
                    public void onClick(FloatingMagnetView floatingMagnetView) {
                        H5Game.this.mWebView.loadUrl(String.format("javascript:%s", str));
                    }
                });
            }
        });
    }

    @JavascriptInterface
    public void hideFloat(String str) {
        Log.i(TAG, "hideFloat" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass12 */

            public void run() {
                if (!H5Game.this.parent.showCloseBt()) {
                    FloatingView.get().remove();
                }
            }
        });
    }

    @JavascriptInterface
    public void rotateScreen(String str) {
        Log.e(TAG, "rotateScreen" + str);
        if (str.equals("portrait")) {
            ((Activity) this.mCtx).setRequestedOrientation(7);
        } else {
            ((Activity) this.mCtx).setRequestedOrientation(6);
        }
    }

    @JavascriptInterface
    public void gameLoaded(String str) {
        Log.i(TAG, "gameLoaded" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass13 */

            public void run() {
                H5Game.this.container.setVisibility(0);
                if (H5Game.this.gameInstance.preGame != null) {
                    String format = String.format("javascript:%s", H5Game.this.gameInstance.preGame.onOpenJs);
                    Log.d(H5Game.TAG, "onOpenJs..." + H5Game.this.gameInstance.preGame.onOpenJs);
                    H5Game.this.gameInstance.preGame.mWebView.loadUrl(format);
                }
            }
        });
    }

    @JavascriptInterface
    public void startNewH5Game(final String str) {
        Log.i(TAG, "startNewH5Game" + str.toString());
        if (str.contains("gameName")) {
            ((Activity) this.mCtx).runOnUiThread(new Runnable() {
                /* class com.ccc.ossweb.H5Game.AnonymousClass14 */

                public void run() {
                    try {
                        JSONObject jSONObject = new JSONObject(str);
                        H5Game h5Game = new H5Game(H5Game.this.mCtx, jSONObject.getString("gameName"));
                        h5Game.show(H5Game.this.parent, true);
                        h5Game.setLoginInfo(jSONObject.getString("postString"));
                        Log.i(H5Game.TAG, "startNewH5Game setLoginInfo" + str.contains("hideLoading"));
                        if (str.contains("hideLoading")) {
                            h5Game.hideH5Loading(true);
                        }
                        h5Game.setVersionUrl(jSONObject.getString("verUrl"));
                        h5Game.setUpdateUrl(jSONObject.getString("gameUrl"));
                        Log.i(H5Game.TAG, "startNewH5Game checkVer");
                        h5Game.checkVer();
                        if (jSONObject.getString("onClose") != null) {
                            H5Game.this.onResumeJs = jSONObject.getString("onClose");
                        }
                        if (jSONObject.getString("onOpen") != null) {
                            H5Game.this.onOpenJs = jSONObject.getString("onOpen");
                        }
                        Log.i(H5Game.TAG, "onResumeJs！！" + H5Game.this.onResumeJs);
                        Log.i(H5Game.TAG, "onOpenJs！！" + H5Game.this.onOpenJs);
                        h5Game.preGame = H5Game.this.gameInstance;
                        H5Game.this.parent.curH5Game = h5Game;
                    } catch (Exception unused) {
                    }
                }
            });
        }
    }

    @JavascriptInterface
    public void subWeb(final String str) {
        Log.i(TAG, "subWeb" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass15 */

            public void run() {
                H5Game.this.showSubWebView(str);
            }
        });
    }

    @JavascriptInterface
    public void subWebFullScreen(String str) {
        Log.i(TAG, "subWebFullScreen" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass16 */

            public void run() {
                H5Game.this.subWebViewFullScreen();
            }
        });
    }

    @JavascriptInterface
    public void subWebFitGame(final String str) {
        Log.i(TAG, "subWebFitGame" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass17 */

            public void run() {
                H5Game.this.subWebViewFitGame(str);
            }
        });
    }

    @JavascriptInterface
    public void openKeyboardAdjust(String str) {
        this._openKeyboardAdjust = true;
    }

    @JavascriptInterface
    public void closeKeyboardAdjust(String str) {
        this._openKeyboardAdjust = false;
    }

    @JavascriptInterface
    public void subWebClose(String str) {
        Log.i(TAG, "subWebClose" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass18 */

            public void run() {
                H5Game.this.subWebViewDestroy();
            }
        });
    }

    @JavascriptInterface
    public void subWebRefresh(final String str) {
        Log.i(TAG, "subWebRefresh" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass19 */

            public void run() {
                H5Game.this.subWebViewRefresh(str);
            }
        });
    }

    @JavascriptInterface
    public void scanQR(String str) {
        Log.i(TAG, "scanQR" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass20 */

            public void run() {
                if (H5Game.this.parent.function != null) {
                    H5Game.this.parent.function.scanQR();
                }
            }
        });
    }

    @JavascriptInterface
    public void exitGame(String str) {
        Log.i(TAG, "exitGame" + str);
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass21 */

            public void run() {
                H5Game.this.confirmOut("");
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startAlipayActivity(String str) {
        try {
            Intent parseUri = Intent.parseUri(str, 1);
            parseUri.addCategory("android.intent.category.BROWSABLE");
            parseUri.setComponent(null);
            this.mCtx.startActivity(parseUri);
            ((Activity) this.mCtx).finish();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        Log.e(TAG, "onPause" + this.gameName);
        if (this.mWebView != null) {
            Log.d(TAG, "onpause..." + this.gameName);
            this.mWebView.onPause();
            this.mWebView.pauseTimers();
        }
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        Log.e(TAG, "onResume" + this.gameName);
        WebView webView = this.mWebView;
        if (webView != null) {
            webView.onResume();
            this.mWebView.resumeTimers();
            Log.d(TAG, "onresume..." + this.gameName);
        }
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        Log.e(TAG, "onDestroy" + this.gameName);
        WebView webView = this.mWebView;
        if (webView != null) {
            webView.destroy();
            Log.d(TAG, "onDestroy..." + this.gameName);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showSubWebView(String str) {
        Handler handler = this.x;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.x = null;
        }
        WebView webView = this.subWebView;
        if (webView != null) {
            webView.destroy();
            this.container.removeView(this.subWebView);
            this.subWebView = null;
        }
        this.subWebView = initWebView();
        new HeightVisibleChangeListener(this.subWebView);
        this.container.addView(this.subWebView);
        this.subWebView.loadUrl(str);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void subWebViewRefresh(String str) {
        WebView webView = this.subWebView;
        if (webView != null) {
            webView.reload();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void subWebViewDestroy() {
        WebView webView = this.subWebView;
        if (webView != null) {
            webView.setVisibility(8);
            Handler handler = this.x;
            if (handler != null) {
                handler.removeCallbacksAndMessages(null);
                this.x = null;
            }
            this.x = new Handler();
            this.x.postDelayed(new Runnable() {
                /* class com.ccc.ossweb.H5Game.AnonymousClass22 */

                public void run() {
                    if (H5Game.this.subWebView != null) {
                        H5Game.this.subWebView.destroy();
                        H5Game.this.container.removeView(H5Game.this.subWebView);
                        H5Game.this.subWebView = null;
                    }
                }
            }, 1314);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void subWebViewFitGame(String str) {
        if (this.subWebView != null) {
            float parseFloat = Float.parseFloat(str);
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.subWebView.getLayoutParams();
            int round = Math.round(parseFloat * ((float) this.container.getHeight()));
            marginLayoutParams.topMargin = round;
            marginLayoutParams.height = this.container.getHeight() - round;
            this.subWebView.setLayoutParams(marginLayoutParams);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void subWebViewFullScreen() {
        WebView webView = this.subWebView;
        if (webView != null) {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) webView.getLayoutParams();
            marginLayoutParams.topMargin = 0;
            marginLayoutParams.height = this.container.getHeight();
            this.subWebView.setLayoutParams(marginLayoutParams);
        }
    }

    private void initSurfaceView() {
        this.sSurfaceView = new SurfaceView(this.mCtx);
        Surface surface = this.mSurface;
        if (surface != null) {
            surface.release();
            this.mSurface = null;
        }
        this.sSurfaceView.getHolder().addCallback(new SurfaceHolder.Callback() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass23 */

            public void surfaceCreated(SurfaceHolder surfaceHolder) {
                if (H5Game.this.mSurface != null) {
                    H5Game.this.mSurface.release();
                    H5Game.this.mSurface = null;
                }
                if (H5Game.this.mSurface == null) {
                    H5Game.this.mSurface = surfaceHolder.getSurface();
                }
                H5Game h5Game = H5Game.this;
                h5Game.mSurfaceWidth = h5Game.sSurfaceView.getWidth();
                H5Game h5Game2 = H5Game.this;
                h5Game2.mSurfaceHeight = h5Game2.sSurfaceView.getHeight();
                if (H5Game.this.mLivePlayer != null && H5Game.this.mLivePlayer.isPlaying()) {
                    H5Game.this.mLivePlayer.setSurface(H5Game.this.mSurface);
                    H5Game.this.mLivePlayer.setSurfaceSize(H5Game.this.mSurfaceWidth, H5Game.this.mSurfaceHeight);
                }
            }

            public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
                H5Game.this.mSurfaceWidth = i2;
                H5Game.this.mSurfaceHeight = i3;
                if (H5Game.this.mLivePlayer != null) {
                    H5Game.this.mLivePlayer.setSurfaceSize(i2, i3);
                }
            }

            public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
                Log.d(H5Game.TAG, "First surface destroyed!");
                if (H5Game.this.mSurface != null) {
                    H5Game.this.mSurface.release();
                    H5Game.this.mSurfaceHeight = 0;
                    H5Game.this.mSurfaceWidth = 0;
                    H5Game.this.mSurface = null;
                }
                if (H5Game.this.mLivePlayer != null && H5Game.this.mLivePlayer.isPlaying()) {
                    H5Game.this.mLivePlayer.setSurface(H5Game.this.mSurface);
                }
            }
        });
    }

    private void initTextureView() {
        this.mTextureView = new TextureView(this.mCtx);
        Surface surface = this.mSurface;
        if (surface != null) {
            surface.release();
            this.mSurface = null;
        }
        this.mTextureView.setSurfaceTextureListener(new TextureView.SurfaceTextureListener() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass24 */

            public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
            }

            public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
                if (H5Game.this.mSurface != null) {
                    H5Game.this.mSurface.release();
                    H5Game.this.mSurface = null;
                }
                if (H5Game.this.mSurface == null) {
                    H5Game.this.mSurface = new Surface(surfaceTexture);
                }
                H5Game.this.mSurfaceWidth = i;
                H5Game.this.mSurfaceHeight = i2;
                if (H5Game.this.mLivePlayer != null && H5Game.this.mLivePlayer.isPlaying()) {
                    H5Game.this.mLivePlayer.setSurface(H5Game.this.mSurface);
                    H5Game.this.mLivePlayer.setSurfaceSize(H5Game.this.mSurfaceWidth, H5Game.this.mSurfaceHeight);
                }
            }

            public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
                H5Game.this.mSurfaceWidth = i;
                H5Game.this.mSurfaceHeight = i2;
                if (H5Game.this.mLivePlayer != null) {
                    H5Game.this.mLivePlayer.setSurfaceSize(i, i2);
                }
            }

            public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
                if (H5Game.this.mSurface != null) {
                    H5Game.this.mSurface.release();
                    H5Game.this.mSurfaceHeight = 0;
                    H5Game.this.mSurfaceWidth = 0;
                    H5Game.this.mSurface = null;
                }
                if (H5Game.this.mLivePlayer != null && H5Game.this.mLivePlayer.isPlaying()) {
                    H5Game.this.mLivePlayer.setSurface(H5Game.this.mSurface);
                }
                return false;
            }
        });
    }

    private void initPlayer(int i, int i2, int i3) {
        this.w = i2;
        double d = (double) i2;
        Double.isNaN(d);
        double d2 = (double) i;
        Double.isNaN(d2);
        Double.isNaN(d);
        this.h = (int) ((((d / 1.4d) * d2) / d) / 1.77777778d);
        this.difH = i3;
        this.mCurrentRenderMode = 0;
        this.mCurrentRenderRotation = 0;
        this.mPlayConfig = new TXLivePlayConfig();
        if (this.mLivePlayer == null) {
            this.mLivePlayer = new TXLivePlayer(this.mCtx);
        }
        if (Build.VERSION.SDK_INT >= 26) {
            initSurfaceView();
        } else {
            initTextureView();
        }
        backScaleV();
        this.mPlayConfig.setAutoAdjustCacheTime(true);
        this.mPlayConfig.setMaxAutoAdjustCacheTime(CACHE_TIME_SMOOTH);
        this.mPlayConfig.setMinAutoAdjustCacheTime(1.0f);
        this.mLivePlayer.setConfig(this.mPlayConfig);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startPlay(String str) {
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setVisibility(0);
        }
        TextureView textureView = this.mTextureView;
        if (textureView != null) {
            textureView.setVisibility(0);
        }
        this.mLivePlayer.setPlayListener(this);
        this.mLivePlayer.enableHardwareDecode(this.mHWDecode);
        this.mLivePlayer.setRenderRotation(this.mCurrentRenderRotation);
        this.mLivePlayer.setRenderMode(this.mCurrentRenderMode);
        this.mLivePlayer.setConfig(this.mPlayConfig);
        this.mPlayUrl = str;
        if (str.contains(".flv")) {
            this.mPlayType = 1;
            Log.d(TAG, "startPlay||||||FLV..." + str);
        } else {
            this.mPlayType = 0;
            Log.d(TAG, "startPlay||||||_RTMP..." + str);
        }
        this.mLivePlayer.startPlay(str, this.mPlayType);
        if (this.mLivePlayer.isPlaying()) {
            this.mLivePlayer.setSurface(this.mSurface);
            this.mLivePlayer.setSurfaceSize(this.mSurfaceWidth, this.mSurfaceHeight);
        }
        this.mIsPlaying = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopPlay() {
        hideV();
        TXLivePlayer tXLivePlayer = this.mLivePlayer;
        if (tXLivePlayer != null) {
            tXLivePlayer.stopRecord();
            this.mLivePlayer.setPlayListener(null);
            this.mLivePlayer.stopPlay(true);
        }
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setVisibility(0);
        }
        TextureView textureView = this.mTextureView;
        if (textureView != null) {
            textureView.setVisibility(0);
        }
        this.mIsPlaying = false;
    }

    public void scaleV() {
        double d = (double) this.w;
        Double.isNaN(d);
        int i = (int) (d * 1.5d);
        double d2 = (double) this.h;
        Double.isNaN(d2);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(i, (int) (d2 * 1.5d));
        layoutParams.setMargins((-(i - this.w)) / 2, (-this.h) / 2, 0, 0);
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setLayoutParams(layoutParams);
        }
        TextureView textureView = this.mTextureView;
        if (textureView != null) {
            textureView.setLayoutParams(layoutParams);
        }
    }

    public void backScaleV() {
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(this.w, this.h - this.difH);
        double d = (double) this.difH;
        Double.isNaN(d);
        layoutParams.setMargins(0, (int) (d * 0.78d), 0, 0);
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setLayoutParams(layoutParams);
        }
        TextureView textureView = this.mTextureView;
        if (textureView != null) {
            textureView.setLayoutParams(layoutParams);
        }
    }

    public void hideV() {
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(this.w, this.h - this.difH);
        layoutParams.setMargins(0, 9999, 0, 0);
        SurfaceView surfaceView = this.sSurfaceView;
        if (surfaceView != null) {
            surfaceView.setLayoutParams(layoutParams);
        }
        TextureView textureView = this.mTextureView;
        if (textureView != null) {
            textureView.setLayoutParams(layoutParams);
        }
    }

    public void setSize(int i, int i2) {
        int i3 = this.h;
        this.h = ((this.w * i2) / i) + 2;
        if (i < 10 || i2 < 10) {
            hideV();
        } else {
            backScaleV();
        }
    }

    @Override // com.tencent.rtmp.ITXLivePlayListener
    public void onPlayEvent(int i, Bundle bundle) {
        Log.d(TAG, "receive event: " + i + ", " + bundle.getString(TXLiveConstants.EVT_DESCRIPTION));
        if (i != 2004 && i != -2301 && i != 2006 && i != 2007) {
            if (i == 2003) {
                this.mWebView.loadUrl(String.format("javascript:window.%s(\"%s\");", "onVideoPlayed", this.mPlayUrl));
                return;
            }
            if (i != 2009 && i == 2011) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean unpackZip(String str, String str2) {
        try {
            ZipInputStream zipInputStream = new ZipInputStream(new BufferedInputStream(new FileInputStream(str + str2)));
            byte[] bArr = new byte[1024];
            while (true) {
                ZipEntry nextEntry = zipInputStream.getNextEntry();
                if (nextEntry != null) {
                    String name = nextEntry.getName();
                    if (nextEntry.isDirectory()) {
                        new File(str + name).mkdirs();
                    } else {
                        FileOutputStream fileOutputStream = new FileOutputStream(str + name);
                        while (true) {
                            int read = zipInputStream.read(bArr);
                            if (read == -1) {
                                break;
                            }
                            fileOutputStream.write(bArr, 0, read);
                        }
                        fileOutputStream.close();
                        zipInputStream.closeEntry();
                    }
                } else {
                    zipInputStream.close();
                    return true;
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
            return false;
        }
    }

    public boolean isStoragePermissionGranted() {
        if (Build.VERSION.SDK_INT < 23 || this.mCtx.checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") == 0) {
            return true;
        }
        ActivityCompat.requestPermissions((Activity) this.mCtx, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        return false;
    }

    public void versionAlert(final String str, final String str2) {
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass25 */

            public void run() {
                AlertDialog.Builder builder = new AlertDialog.Builder(H5Game.this.mCtx);
                builder.setTitle("提示");
                builder.setMessage(str);
                builder.setPositiveButton("确定", new DialogInterface.OnClickListener() {
                    /* class com.ccc.ossweb.H5Game.AnonymousClass25.AnonymousClass1 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        if (i != -2 && i == -1) {
                            try {
                                Intent intent = new Intent("android.intent.action.VIEW");
                                intent.setData(Uri.parse(str2));
                                H5Game.this.mCtx.startActivity(intent);
                                System.exit(0);
                            } catch (Exception unused) {
                            }
                        }
                    }
                });
                builder.show().setCanceledOnTouchOutside(false);
            }
        });
    }

    public void confirmOut(String str) {
        ((Activity) this.mCtx).runOnUiThread(new Runnable() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass26 */

            public void run() {
                AlertDialog.Builder builder = new AlertDialog.Builder(H5Game.this.mCtx);
                builder.setTitle("系统提示");
                builder.setMessage("确定要退出游戏吗？");
                AnonymousClass1 r1 = new DialogInterface.OnClickListener() {
                    /* class com.ccc.ossweb.H5Game.AnonymousClass26.AnonymousClass1 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        if (i != -2 && i == -1) {
                            ((Activity) H5Game.this.mCtx).finish();
                            System.exit(0);
                        }
                    }
                };
                builder.setPositiveButton("确定", r1);
                builder.setNegativeButton("取消", r1);
                builder.show();
            }
        });
    }

    public void checkAppVer(final int i, String str) {
        Volley.newRequestQueue(this.mCtx).add(new StringRequest(0, str, new Response.Listener<String>() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass27 */

            public void onResponse(String str) {
                try {
                    str = new String(str.getBytes("ISO-8859-1"), "UTF-8");
                } catch (UnsupportedEncodingException e) {
                    e.printStackTrace();
                }
                Log.e(H5Game.TAG, " NewVer :::" + str);
                String[] split = str.split("\n");
                if (Integer.parseInt(split[0]) > i) {
                    Log.e(H5Game.TAG, " 发现新APP :::" + i + split[1]);
                    H5Game.this.versionAlert(split[1], split[2]);
                    return;
                }
                Log.e(H5Game.TAG, " 使用旧版本 :::" + i);
            }
        }, new Response.ErrorListener() {
            /* class com.ccc.ossweb.H5Game.AnonymousClass28 */

            @Override // com.android.volley.Response.ErrorListener
            public void onErrorResponse(VolleyError volleyError) {
                Log.e(H5Game.TAG, " eror使用旧版本 :::" + i + volleyError.toString());
            }
        }));
    }

    public static float convertDpToPixel(float f, Context context) {
        return f * (((float) context.getResources().getDisplayMetrics().densityDpi) / 160.0f);
    }

    public static float convertPixelsToDp(float f, Context context) {
        return f / (((float) context.getResources().getDisplayMetrics().densityDpi) / 160.0f);
    }

    /* access modifiers changed from: package-private */
    public class HeightVisibleChangeListener implements ViewTreeObserver.OnGlobalLayoutListener {
        private FrameLayout.LayoutParams frameLayoutParams = ((FrameLayout.LayoutParams) this.webview.getLayoutParams());
        private int usableHeightPrevious;
        private WebView webview;

        public HeightVisibleChangeListener(WebView webView) {
            this.webview = webView;
            this.webview.getViewTreeObserver().addOnGlobalLayoutListener(this);
        }

        public void onGlobalLayout() {
            possiblyResizeChildOfContent();
        }

        private void possiblyResizeChildOfContent() {
            int computeUsableHeight;
            if (H5Game.this._openKeyboardAdjust.booleanValue() && (computeUsableHeight = computeUsableHeight()) != this.usableHeightPrevious) {
                int height = this.webview.getRootView().getHeight();
                int i = height - computeUsableHeight;
                Log.e("FCKKK", height + "/" + i + "/" + computeUsableHeight);
                if (i > height / 4) {
                    this.frameLayoutParams.height = height - i;
                } else {
                    FrameLayout.LayoutParams layoutParams = this.frameLayoutParams;
                    layoutParams.height = height - layoutParams.topMargin;
                }
                Log.e("FCKKK", height + "/" + i + "/" + computeUsableHeight + ":" + this.frameLayoutParams.height);
                this.webview.requestLayout();
                this.usableHeightPrevious = computeUsableHeight;
            }
        }

        private int computeUsableHeight() {
            Rect rect = new Rect();
            this.webview.getWindowVisibleDisplayFrame(rect);
            return rect.bottom - rect.top;
        }
    }
}
