package com.ccc.ossweb;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Environment;
import android.text.TextUtils;
import java.io.File;

public class ImageUtil {
    private static final String TAG = "ImageUtil";

    public static Intent choosePicture() {
        Intent intent = new Intent("android.intent.action.GET_CONTENT");
        intent.setType("image/*");
        return Intent.createChooser(intent, null);
    }

    public static Intent takeBigPicture() {
        Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
        intent.putExtra("output", newPictureUri(getNewPhotoPath()));
        return intent;
    }

    public static String getDirPath() {
        return Environment.getExternalStorageDirectory().getPath() + "/WebViewUploadImage";
    }

    private static String getNewPhotoPath() {
        return getDirPath() + "/" + System.currentTimeMillis() + ".jpg";
    }

    public static String retrievePath(Context context, Intent intent, Intent intent2) {
        String scheme;
        String str = null;
        if (intent2 != null) {
            Uri data = intent2.getData();
            if (data != null) {
                str = ContentUtil.getPath(context, data);
            }
            if (isFileExists(str)) {
                return str;
            }
        }
        if (intent != null) {
            Uri uri = (Uri) intent.getParcelableExtra("output");
            if (!(uri == null || (scheme = uri.getScheme()) == null || !scheme.startsWith("file"))) {
                str = uri.getPath();
            }
            if (!TextUtils.isEmpty(str)) {
                File file = new File(str);
                if (file.exists()) {
                    file.isFile();
                }
            }
        }
        return str;
    }

    private static Uri newPictureUri(String str) {
        return Uri.fromFile(new File(str));
    }

    private static boolean isFileExists(String str) {
        if (!TextUtils.isEmpty(str) && new File(str).exists()) {
            return true;
        }
        return false;
    }
}
