package com.dyb.newgprto;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.LinearGradient;
import android.graphics.Rect;
import android.graphics.Shader;
import android.support.v4.view.ViewCompat;
import android.util.AttributeSet;
import android.util.TypedValue;
import com.google.zxing.ResultPoint;
import com.journeyapps.barcodescanner.ViewfinderView;
import java.util.ArrayList;
import java.util.List;

public class CustomViewfinderView extends ViewfinderView {
    public static final long CUSTOME_ANIMATION_DELAY = 16;
    public int mLineColor = -1;
    public float mLineDepth = TypedValue.applyDimension(1, 4.0f, getResources().getDisplayMetrics());
    public float mLineRate = 0.1f;
    public LinearGradient mLinearGradient;
    public float[] mPositions = {0.0f, 0.5f, 1.0f};
    public int[] mScanLineColor = {ViewCompat.MEASURED_SIZE_MASK, -1, ViewCompat.MEASURED_SIZE_MASK};
    public float mScanLineDepth = TypedValue.applyDimension(1, 4.0f, getResources().getDisplayMetrics());
    public float mScanLineDy = TypedValue.applyDimension(1, 3.0f, getResources().getDisplayMetrics());
    public int mScanLinePosition = 0;

    public CustomViewfinderView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    @Override // com.journeyapps.barcodescanner.ViewfinderView
    public void onDraw(Canvas canvas) {
        refreshSizes();
        if (!(this.framingRect == null || this.previewFramingRect == null)) {
            Rect rect = this.framingRect;
            Rect rect2 = this.previewFramingRect;
            int width = canvas.getWidth();
            int height = canvas.getHeight();
            this.paint.setColor(this.mLineColor);
            canvas.drawRect((float) rect.left, (float) rect.top, (((float) rect.width()) * this.mLineRate) + ((float) rect.left), this.mLineDepth + ((float) rect.top), this.paint);
            canvas.drawRect((float) rect.left, (float) rect.top, this.mLineDepth + ((float) rect.left), (((float) rect.height()) * this.mLineRate) + ((float) rect.top), this.paint);
            canvas.drawRect(((float) rect.right) - (((float) rect.width()) * this.mLineRate), (float) rect.top, (float) rect.right, this.mLineDepth + ((float) rect.top), this.paint);
            canvas.drawRect(((float) rect.right) - this.mLineDepth, (float) rect.top, (float) rect.right, (((float) rect.height()) * this.mLineRate) + ((float) rect.top), this.paint);
            canvas.drawRect((float) rect.left, ((float) rect.bottom) - this.mLineDepth, (((float) rect.width()) * this.mLineRate) + ((float) rect.left), (float) rect.bottom, this.paint);
            canvas.drawRect((float) rect.left, ((float) rect.bottom) - (((float) rect.height()) * this.mLineRate), this.mLineDepth + ((float) rect.left), (float) rect.bottom, this.paint);
            canvas.drawRect(((float) rect.right) - (((float) rect.width()) * this.mLineRate), ((float) rect.bottom) - this.mLineDepth, (float) rect.right, (float) rect.bottom, this.paint);
            canvas.drawRect(((float) rect.right) - this.mLineDepth, ((float) rect.bottom) - (((float) rect.height()) * this.mLineRate), (float) rect.right, (float) rect.bottom, this.paint);
            this.paint.setColor(this.resultBitmap != null ? this.resultColor : this.maskColor);
            float f = (float) width;
            canvas.drawRect(0.0f, 0.0f, f, (float) rect.top, this.paint);
            canvas.drawRect(0.0f, (float) rect.top, (float) rect.left, (float) (rect.bottom + 1), this.paint);
            canvas.drawRect((float) (rect.right + 1), (float) rect.top, f, (float) (rect.bottom + 1), this.paint);
            canvas.drawRect(0.0f, (float) (rect.bottom + 1), f, (float) height, this.paint);
            if (this.resultBitmap != null) {
                this.paint.setAlpha(160);
                canvas.drawBitmap(this.resultBitmap, (Rect) null, rect, this.paint);
            } else {
                this.mScanLinePosition = (int) (((float) this.mScanLinePosition) + this.mScanLineDy);
                if (this.mScanLinePosition > rect.height()) {
                    this.mScanLinePosition = 0;
                }
                this.mLinearGradient = new LinearGradient((float) rect.left, (float) (rect.top + this.mScanLinePosition), (float) rect.right, (float) (rect.top + this.mScanLinePosition), this.mScanLineColor, this.mPositions, Shader.TileMode.CLAMP);
                this.paint.setShader(this.mLinearGradient);
                canvas.drawRect((float) rect.left, (float) (rect.top + this.mScanLinePosition), (float) rect.right, this.mScanLineDepth + ((float) (rect.top + this.mScanLinePosition)), this.paint);
                this.paint.setShader(null);
                float width2 = ((float) rect.width()) / ((float) rect2.width());
                float height2 = ((float) rect.height()) / ((float) rect2.height());
                List<ResultPoint> list = this.possibleResultPoints;
                List<ResultPoint> list2 = this.lastPossibleResultPoints;
                int i = rect.left;
                int i2 = rect.top;
                if (list.isEmpty()) {
                    this.lastPossibleResultPoints = null;
                } else {
                    this.possibleResultPoints = new ArrayList(5);
                    this.lastPossibleResultPoints = list;
                    this.paint.setAlpha(160);
                    this.paint.setColor(this.resultPointColor);
                    for (ResultPoint resultPoint : list) {
                        canvas.drawCircle((float) (((int) (resultPoint.getX() * width2)) + i), (float) (((int) (resultPoint.getY() * height2)) + i2), 6.0f, this.paint);
                    }
                }
                if (list2 != null) {
                    this.paint.setAlpha(80);
                    this.paint.setColor(this.resultPointColor);
                    for (ResultPoint resultPoint2 : list2) {
                        canvas.drawCircle((float) (((int) (resultPoint2.getX() * width2)) + i), (float) (((int) (resultPoint2.getY() * height2)) + i2), 3.0f, this.paint);
                    }
                }
            }
            postInvalidateDelayed(16, rect.left, rect.top, rect.right, rect.bottom);
        }
    }
}
