package com.dyb.newgprto;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.view.KeyEvent;
import android.widget.Toast;
import com.ccc.ossweb.H5Container;
import com.google.zxing.integration.android.IntentIntegrator;
import com.google.zxing.integration.android.IntentResult;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = "MainActivity";
    private long exitTime;
    private H5Container h5Container;

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatActivity, android.support.v4.app.SupportActivity, android.support.v4.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_splash_screen);
        getWindow().setFlags(128, 128);
        this.h5Container = (H5Container) findViewById(R.id.h5_container);
        this.h5Container.setVisibility(0);
        this.h5Container.setWithCloseBt(false);
        this.h5Container.startGame("?app=gb");
        this.h5Container.function = new H5Container.Visitor() {
            /* class com.dyb.newgprto.MainActivity.AnonymousClass1 */

            @Override // com.ccc.ossweb.H5Container.Visitor
            public void scanQR() {
                IntentIntegrator intentIntegrator = new IntentIntegrator(MainActivity.this);
                intentIntegrator.setCaptureActivity(CustomCaptureActivity.class);
                intentIntegrator.initiateScan();
            }
        };
    }

    public void scanQr() {
        new IntentIntegrator(this).initiateScan();
    }

    @Override // android.support.v7.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4) {
            return super.onKeyDown(i, keyEvent);
        }
        if (this.h5Container.goBack()) {
            return true;
        }
        finish();
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v4.app.FragmentActivity
    public void onResume() {
        this.h5Container.onResume();
        super.onResume();
        new Handler().postDelayed(new Runnable() {
            /* class com.dyb.newgprto.MainActivity.AnonymousClass2 */

            public void run() {
                MainActivity.super.onPause();
                MainActivity.this.h5Container.onPause();
                MainActivity.super.onResume();
                MainActivity.this.h5Container.onResume();
            }
        }, 833);
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v4.app.FragmentActivity
    public void onPause() {
        this.h5Container.onPause();
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatActivity, android.support.v4.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        this.h5Container.onDestroy();
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatActivity, android.support.v4.app.FragmentActivity
    public void onStart() {
        super.onStart();
        this.h5Container.onStart();
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatActivity, android.support.v4.app.FragmentActivity
    public void onStop() {
        super.onStop();
        this.h5Container.onStop();
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        if (z) {
            this.h5Container.hideVirtualButton();
        }
    }

    @Override // android.support.v4.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        IntentResult parseActivityResult = IntentIntegrator.parseActivityResult(i, i2, intent);
        if (!(parseActivityResult == null || parseActivityResult.getContents() == null)) {
            Toast.makeText(this, "Scanned: " + parseActivityResult.getContents(), 1).show();
            this.h5Container.callJs(String.format("javascript:window.%s(\"%s\");", "onQrScanned", parseActivityResult.getContents()));
        }
        this.h5Container.onActivityResult(i, i2, intent);
    }

    @Override // android.support.v4.app.ActivityCompat.OnRequestPermissionsResultCallback, android.support.v4.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        if (!this.h5Container.onRequestPermissionsResult(i, strArr, iArr)) {
            super.onRequestPermissionsResult(i, strArr, iArr);
        }
    }
}
