package com.imuxuan.floatingview;

import android.content.Context;
import android.view.MotionEvent;
import android.widget.ImageView;

public class EnFloatingView extends FloatingMagnetView {
    private static final int TOUCH_TIME_THRESHOLD = 150;
    private final ImageView mIcon = ((ImageView) findViewById(R.id.icon));
    private long mLastTouchDownTime;

    public EnFloatingView(Context context) {
        super(context, null);
        inflate(context, R.layout.en_floating_view, this);
    }

    public void setIconImage(int i) {
        this.mIcon.setImageResource(i);
    }

    @Override // com.imuxuan.floatingview.FloatingMagnetView
    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        if (motionEvent != null) {
            int action = motionEvent.getAction();
            if (action == 0) {
                this.mLastTouchDownTime = System.currentTimeMillis();
            } else if (action == 1 && isOnClickEvent()) {
                dealClickEvent();
            }
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.imuxuan.floatingview.FloatingMagnetView
    public boolean isOnClickEvent() {
        return System.currentTimeMillis() - this.mLastTouchDownTime < 150;
    }
}
