package com.journeyapps.barcodescanner;

import android.content.Context;
import android.view.OrientationEventListener;
import android.view.WindowManager;

public class RotationListener {
    private RotationCallback callback;
    private int lastRotation;
    private OrientationEventListener orientationEventListener;
    private WindowManager windowManager;

    public void listen(Context context, RotationCallback rotationCallback) {
        stop();
        Context applicationContext = context.getApplicationContext();
        this.callback = rotationCallback;
        this.windowManager = (WindowManager) applicationContext.getSystemService("window");
        this.orientationEventListener = new OrientationEventListener(applicationContext, 3) {
            /* class com.journeyapps.barcodescanner.RotationListener.AnonymousClass1 */

            public void onOrientationChanged(int i) {
                int rotation;
                WindowManager windowManager = RotationListener.this.windowManager;
                RotationCallback rotationCallback = RotationListener.this.callback;
                if (RotationListener.this.windowManager != null && rotationCallback != null && (rotation = windowManager.getDefaultDisplay().getRotation()) != RotationListener.this.lastRotation) {
                    RotationListener.this.lastRotation = rotation;
                    rotationCallback.onRotationChanged(rotation);
                }
            }
        };
        this.orientationEventListener.enable();
        this.lastRotation = this.windowManager.getDefaultDisplay().getRotation();
    }

    public void stop() {
        OrientationEventListener orientationEventListener2 = this.orientationEventListener;
        if (orientationEventListener2 != null) {
            orientationEventListener2.disable();
        }
        this.orientationEventListener = null;
        this.windowManager = null;
        this.callback = null;
    }
}
