package com.tencent.liteav;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.os.Bundle;
import android.view.Surface;
import com.tencent.liteav.basic.d.e;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCEventRecorderProxy;
import com.tencent.liteav.basic.module.TXCKeyPointReportProxy;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.d;
import com.tencent.liteav.renderer.a;
import com.tencent.liteav.renderer.f;
import com.tencent.liteav.videodecoder.TXCVideoDecoder;
import com.tencent.liteav.videodecoder.c;
import com.tencent.rtmp.TXLiveConstants;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;

public class TXCRenderAndDec extends com.tencent.liteav.basic.module.a implements com.tencent.liteav.basic.c.a, a.AbstractC0003a, f, c {
    public static final String TAG = "TXCRenderAndDec";
    public static final int VIDEO_PIXEL_FORMAT_I420 = 1;
    public static final int VIDEO_PIXEL_FORMAT_NV21 = 4;
    public static final int VIDEO_PIXEL_FORMAT_TEXTURE_EXTERNAL_OES = 3;
    public static final int VIDEO_PIXEL_FORMAT_Texture_2D = 2;
    private c mConfig = null;
    private Context mContext = null;
    private a mDecListener = null;
    private boolean mEnableDecoderChange = false;
    private boolean mFirstRender = false;
    private long mFrameDecErrCnt = 0;
    private boolean mIsRendering = false;
    private long mLastRenderCalculateTS = 0;
    private long mLastRenderFrameCount = 0;
    private long mLastReqKeyFrameTS = 0;
    private WeakReference<com.tencent.liteav.basic.c.a> mNotifyListener;
    private boolean mRealTime = false;
    private WeakReference<b> mRenderAndDecDelegate;
    private long mRenderFrameCount = 0;
    private int mRenderMode = 0;
    private int mRenderRotation = 0;
    private int mStreamType = 0;
    private TXCVideoDecoder mVideoDecoder = null;
    private e mVideoFrameFilter = null;
    private int mVideoFrameFormat = 1;
    private i mVideoFrameListener;
    private com.tencent.liteav.renderer.e mVideoRender = null;

    public interface a {
        void a(SurfaceTexture surfaceTexture);
    }

    public interface b {
        void b(String str, int i);
    }

    public void decVideo(TXSNALPacket tXSNALPacket) {
    }

    public TXCRenderAndDec(Context context) {
        this.mContext = context;
        com.tencent.liteav.basic.e.b.a().a(this.mContext);
    }

    public void setVideoRender(com.tencent.liteav.renderer.e eVar) {
        TXCLog.i(TAG, "set video render " + eVar + " id " + getID() + ", " + this.mStreamType);
        this.mVideoRender = eVar;
        com.tencent.liteav.renderer.e eVar2 = this.mVideoRender;
        if (eVar2 != null) {
            eVar2.setID(getID());
            this.mVideoRender.a(this.mStreamType);
            this.mVideoRender.a((com.tencent.liteav.basic.c.a) this);
            this.mVideoRender.c(this.mRenderMode);
            this.mVideoRender.d(this.mRenderRotation);
            com.tencent.liteav.renderer.e eVar3 = this.mVideoRender;
            if (eVar3 instanceof com.tencent.liteav.renderer.a) {
                ((com.tencent.liteav.renderer.a) eVar3).b((a.AbstractC0003a) this);
            }
            c cVar = this.mConfig;
            if (cVar != null) {
                this.mVideoRender.b(cVar.d);
            }
        }
    }

    public void setNotifyListener(com.tencent.liteav.basic.c.a aVar) {
        this.mNotifyListener = new WeakReference<>(aVar);
    }

    public void setRenderAndDecDelegate(b bVar) {
        this.mRenderAndDecDelegate = new WeakReference<>(bVar);
    }

    public void setVideoFrameListener(i iVar, int i) {
        this.mVideoFrameListener = iVar;
        this.mVideoFrameFormat = i;
        TXCLog.i(TAG, "setVideoFrameListener->enter listener: " + iVar + ", format: " + i);
    }

    public void setConfig(c cVar) {
        this.mConfig = cVar;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.b(this.mConfig.d);
        }
    }

    public c getConfig() {
        return this.mConfig;
    }

    @Override // com.tencent.liteav.basic.module.a
    public void setID(String str) {
        super.setID(str);
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.setID(getID());
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setUserId(str);
        }
    }

    public void setDecListener(a aVar) {
        this.mDecListener = aVar;
    }

    public void enableDecoderChange(boolean z) {
        this.mEnableDecoderChange = z;
    }

    public void start(boolean z) {
        TXCLog.i(TAG, "start render dec " + getID() + ", " + this.mStreamType);
        this.mRealTime = z;
        this.mFrameDecErrCnt = 0;
        this.mLastReqKeyFrameTS = 0;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a((f) this);
            this.mVideoRender.g();
            this.mVideoRender.setID(getID());
        }
        this.mVideoDecoder = new TXCVideoDecoder();
        this.mVideoDecoder.setUserId(getID());
        this.mVideoDecoder.setStreamType(this.mStreamType);
        this.mVideoDecoder.setListener(this);
        this.mVideoDecoder.setNotifyListener(this);
        this.mVideoDecoder.enableChange(this.mEnableDecoderChange);
        startDecode();
        this.mIsRendering = true;
    }

    public void startVideo() {
        stopVideo();
        this.mRealTime = true;
        this.mFrameDecErrCnt = 0;
        this.mLastReqKeyFrameTS = 0;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a((f) this);
            this.mVideoRender.g();
            this.mVideoRender.setID(getID());
        }
        TXCLog.i(TAG, "start video dec " + getID() + ", " + this.mStreamType);
        this.mVideoDecoder = new TXCVideoDecoder();
        this.mVideoDecoder.setUserId(getID());
        this.mVideoDecoder.setStreamType(this.mStreamType);
        this.mVideoDecoder.setListener(this);
        this.mVideoDecoder.setNotifyListener(this);
        this.mVideoDecoder.enableChange(this.mEnableDecoderChange);
        startDecode();
        this.mIsRendering = true;
    }

    public void stopVideo() {
        this.mIsRendering = false;
        if (this.mVideoDecoder != null) {
            TXCLog.i(TAG, "stop video dec " + getID() + ", " + this.mStreamType);
            this.mVideoDecoder.setListener(null);
            this.mVideoDecoder.setNotifyListener(null);
            this.mVideoDecoder.stop();
        }
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(false);
            this.mVideoRender.a((f) null);
        }
    }

    public void stop() {
        TXCLog.i(TAG, "stop video render dec " + getID() + ", " + this.mStreamType);
        this.mIsRendering = false;
        this.mRealTime = false;
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setListener(null);
            this.mVideoDecoder.setNotifyListener(null);
            this.mVideoDecoder.stop();
        }
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(true);
            this.mVideoRender.a((f) null);
        }
    }

    public boolean isRendering() {
        return this.mIsRendering;
    }

    public void setRenderMode(int i) {
        this.mRenderMode = i;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.c(i);
        }
    }

    public void setRenderRotation(int i) {
        TXCLog.i(TAG, "vrotation setRenderRotation " + i);
        this.mRenderRotation = i;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.d(i);
        }
    }

    public void setBlockInterval(int i) {
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.e(i);
        }
    }

    public long getVideoCacheDuration() {
        return (long) getIntValue(6010, 2);
    }

    public long getVideoCacheFrameCount() {
        return (long) getIntValue(6011, 2);
    }

    public int getVideoDecCacheFrameCount() {
        return getIntValue(6012, 2);
    }

    public long getAVPlayInterval() {
        return getLongValue(6013, 2);
    }

    public long getAVNetRecvInterval() {
        return getLongValue(6014, 2);
    }

    public int getVideoGop() {
        return getIntValue(7120);
    }

    public void updateLoadInfo() {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            setStatusValue(5002, this.mStreamType, Long.valueOf(tXCVideoDecoder.isHardwareDecode() ? 1 : 0));
        }
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.o();
            return;
        }
        long currentTimeMillis = System.currentTimeMillis();
        long j = currentTimeMillis - this.mLastRenderCalculateTS;
        if (j >= 1000) {
            long j2 = this.mRenderFrameCount;
            double d = (double) (j2 - this.mLastRenderFrameCount);
            Double.isNaN(d);
            double d2 = (double) j;
            Double.isNaN(d2);
            this.mLastRenderFrameCount = j2;
            this.mLastRenderCalculateTS = currentTimeMillis;
            setStatusValue(6002, this.mStreamType, Double.valueOf((d * 1000.0d) / d2));
        }
    }

    public com.tencent.liteav.renderer.e getVideoRender() {
        return this.mVideoRender;
    }

    public void setStreamType(int i) {
        this.mStreamType = i;
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(this.mStreamType);
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setStreamType(this.mStreamType);
        }
    }

    public int getStreamType() {
        return this.mStreamType;
    }

    private void startDecode(SurfaceTexture surfaceTexture) {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.stop();
            tXCVideoDecoder.enableHWDec(this.mConfig.h);
            TXCLog.i(TAG, "trtc_ start decode " + surfaceTexture + ", hw: " + this.mConfig.h + ", id " + getID() + "_" + this.mStreamType);
            if (surfaceTexture != null) {
                tXCVideoDecoder.setup(surfaceTexture, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
                tXCVideoDecoder.setUserId(getID());
                tXCVideoDecoder.start();
            } else if (!this.mConfig.h) {
                tXCVideoDecoder.setup((Surface) null, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
                tXCVideoDecoder.setUserId(getID());
                tXCVideoDecoder.start();
            }
        }
    }

    private void startDecode() {
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        startDecode(eVar != null ? eVar.a() : null);
    }

    private void notifyEvent(int i, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("EVT_USERID", getID());
        bundle.putInt("EVT_ID", i);
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        if (str != null) {
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
        }
        bundle.putInt("EVT_STREAM_TYPE", this.mStreamType);
        d.a(this.mNotifyListener, i, bundle);
    }

    private void switchToSoftDecoder() {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            TXCLog.w(TAG, "switch to soft decoder when hw error");
            tXCVideoDecoder.stop();
            this.mConfig.h = false;
            tXCVideoDecoder.enableChange(false);
            startDecode();
        }
    }

    public void restartDecoder() {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null && tXCVideoDecoder.isHevc()) {
            tXCVideoDecoder.restart(true);
        }
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i, Bundle bundle) {
        if (i == 2106) {
            switchToSoftDecoder();
        } else if (i == 2020) {
            TXCLog.e(TAG, "decoding too many frame(>40) without output! request key frame now.");
            requestKeyFrame();
            return;
        }
        bundle.putInt("EVT_STREAM_TYPE", this.mStreamType);
        d.a(this.mNotifyListener, i, bundle);
    }

    @Override // com.tencent.liteav.renderer.f
    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture) {
        TXCLog.w(TAG, "play decode when surface texture create hw " + this.mConfig.h);
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setup(surfaceTexture, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
        }
        if (this.mConfig.h) {
            startDecode(surfaceTexture);
        }
    }

    @Override // com.tencent.liteav.renderer.f
    public void onSurfaceTextureDestroy(SurfaceTexture surfaceTexture) {
        try {
            TXCLog.w(TAG, "play:stop decode when surface texture release");
            if (this.mConfig.h && this.mVideoDecoder != null) {
                this.mVideoDecoder.stop();
            }
            if (this.mVideoFrameFilter != null) {
                this.mVideoFrameFilter.d();
                this.mVideoFrameFilter = null;
            }
            if (this.mDecListener != null) {
                this.mDecListener.a(surfaceTexture);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onDecodeFrame(TXSVideoFrame tXSVideoFrame, int i, int i2, long j, long j2, int i3) {
        if (i3 == 0 || i3 == 1 || i3 == 2 || i3 == 3) {
            i3 = 360 - (i3 * 90);
        }
        i iVar = this.mVideoFrameListener;
        if (iVar != null) {
            TXSVideoFrame clone = (this.mVideoRender == null || tXSVideoFrame == null) ? tXSVideoFrame : tXSVideoFrame.clone();
            clone.rotation = (this.mRenderRotation + i3) % 360;
            if (this.mVideoFrameFormat == 4) {
                clone.loadNV21BufferFromI420Buffer();
            }
            iVar.a(getID(), this.mStreamType, clone);
        }
        if (!this.mFirstRender) {
            this.mFirstRender = true;
            TXCKeyPointReportProxy.a(getID(), 32004);
            TXCEventRecorderProxy.a(getID(), 5007, -1, -1, "", this.mStreamType);
        }
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(tXSVideoFrame, i, i2, i3);
        } else if (this.mLastRenderCalculateTS == 0) {
            this.mLastRenderCalculateTS = System.currentTimeMillis();
            this.mLastRenderFrameCount = 0;
            this.mRenderFrameCount = 0;
        } else {
            this.mRenderFrameCount++;
        }
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onVideoSizeChange(int i, int i2) {
        com.tencent.liteav.renderer.e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.b(i, i2);
        }
        Bundle bundle = new Bundle();
        bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, "分辨率改变为" + i + "x" + i2);
        bundle.putInt("EVT_PARAM1", i);
        bundle.putInt("EVT_PARAM2", i2);
        bundle.putString("EVT_USERID", getID());
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        onNotifyEvent(2009, bundle);
        setStatusValue(5003, this.mStreamType, Integer.valueOf((i << 16) | i2));
        TXCEventRecorderProxy.a(getID(), 4003, i, i2, "", this.mStreamType);
        TXCKeyPointReportProxy.a(getID(), 40002, i);
        TXCKeyPointReportProxy.a(getID(), 40003, i2);
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onDecodeFailed(int i) {
        TXCLog.e(TAG, "video decode failed " + i);
        requestKeyFrame();
        int i2 = this.mStreamType;
        long j = this.mFrameDecErrCnt + 1;
        this.mFrameDecErrCnt = j;
        setStatusValue(17014, i2, Long.valueOf(j));
    }

    @Override // com.tencent.liteav.renderer.a.AbstractC0003a
    public void onTextureProcess(int i, int i2, int i3, final int i4) {
        if (this.mVideoFrameListener != null) {
            if (this.mVideoFrameFilter == null) {
                if (this.mVideoFrameFormat == 4) {
                    this.mVideoFrameFilter = new com.tencent.liteav.beauty.a.f(3);
                } else {
                    this.mVideoFrameFilter = new com.tencent.liteav.beauty.a.f(1);
                }
                this.mVideoFrameFilter.a(true);
                if (this.mVideoFrameFilter.a()) {
                    this.mVideoFrameFilter.a(i2, i3);
                    this.mVideoFrameFilter.a(new e.a() {
                        /* class com.tencent.liteav.TXCRenderAndDec.AnonymousClass1 */

                        @Override // com.tencent.liteav.basic.d.e.a
                        public void a(int i) {
                            e eVar = TXCRenderAndDec.this.mVideoFrameFilter;
                            i iVar = TXCRenderAndDec.this.mVideoFrameListener;
                            if (eVar != null && iVar != null) {
                                TXSVideoFrame tXSVideoFrame = new TXSVideoFrame();
                                tXSVideoFrame.width = eVar.m();
                                tXSVideoFrame.height = eVar.n();
                                tXSVideoFrame.pts = TXCTimeUtil.getTimeTick();
                                tXSVideoFrame.rotation = (i4 + TXCRenderAndDec.this.mRenderRotation) % 360;
                                iVar.a(TXCRenderAndDec.this.getID(), TXCRenderAndDec.this.mStreamType, tXSVideoFrame);
                            }
                        }
                    });
                } else {
                    TXCLog.i(TAG, "throwVideoFrame->release mVideoFrameFilter");
                    this.mVideoFrameFilter = null;
                }
            }
            if (this.mVideoFrameFilter != null) {
                GLES20.glViewport(0, 0, i2, i3);
                this.mVideoFrameFilter.a(i2, i3);
                this.mVideoFrameFilter.b(i);
            }
        }
    }

    private void requestKeyFrame() {
        b bVar;
        long timeTick = TXCTimeUtil.getTimeTick();
        if (timeTick > this.mLastReqKeyFrameTS + 3000) {
            this.mLastReqKeyFrameTS = timeTick;
            TXCLog.e(TAG, "requestKeyFrame: " + getID());
            WeakReference<b> weakReference = this.mRenderAndDecDelegate;
            if (weakReference != null && (bVar = weakReference.get()) != null) {
                bVar.b(getID(), this.mStreamType);
            }
        }
    }
}
