package com.tencent.liteav.audio.impl;

import android.content.Context;
import android.os.Bundle;
import com.tencent.liteav.audio.TXCLiveBGMPlayer;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.audio.c;
import com.tencent.liteav.audio.d;
import com.tencent.liteav.audio.e;
import com.tencent.liteav.audio.impl.Play.TXCMultAudioTrackPlayer;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.log.TXCLog;
import java.lang.ref.WeakReference;
import java.util.HashMap;

public class TXCAudioEngImplBase implements a {
    private static final String TAG = "TXCAudioEngImplBase";
    private static WeakReference<d> mAudioCoreDataListener;
    private String ID;
    protected boolean mDeviceIsPlaying = false;
    protected HashMap<String, TXCJitter> mJitterMap = new HashMap<>();
    protected Object mLockObj = new Object();
    protected Context mPlayContext = null;

    static void ChangeVolumeType(int i) {
    }

    public void enableEosMode(boolean z) {
    }

    public void enableVolumeLevel(boolean z) {
    }

    public int getAECType() {
        return 0;
    }

    public int getPlayAECType() {
        return 0;
    }

    public int getRecordVolumeLevel() {
        return 0;
    }

    public int getVolumeLevel() {
        return 0;
    }

    public boolean isRecording() {
        return false;
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i, Bundle bundle) {
    }

    public int pauseRecord(boolean z) {
        return 0;
    }

    public int resumeRecord() {
        return 0;
    }

    public void sendCustomPCMData(com.tencent.liteav.basic.structs.a aVar) {
    }

    public void sendCustomPCMData(byte[] bArr) {
    }

    /* access modifiers changed from: package-private */
    public void setAudioMode(Context context, int i) {
    }

    public void setEncInfo(int i, int i2) {
    }

    public void setFecRatio(float f) {
    }

    public void setRecordVolume(float f) {
    }

    public int startRecord(int i, int i2, int i3) {
        return 0;
    }

    public TXCAudioEngImplBase() {
        TXCLog.i(TAG, "construct TXCAudioEngImplBase");
    }

    public void InitBeforeStart(Context context) {
        TXCLog.i(TAG, "TXCAudioEngImplBase InitBeforeStart");
        this.mPlayContext = context.getApplicationContext();
    }

    public void UnInitEngine() {
        TXCLog.i(TAG, "TXCAudioEngImplBase UnInitEngine");
    }

    public void setRecordID(String str) {
        TXCLog.i(TAG, "setRecordID");
    }

    public synchronized void setRecordListener(e eVar) {
        TXCLog.i(TAG, "setListener:" + eVar);
    }

    public void setReverbType(int i) {
        TXCLog.i(TAG, "setReverbType: " + i);
    }

    public void setRecordMute(boolean z) {
        TXCLog.i(TAG, "setRecordMute: " + z);
    }

    public void setEarphoneOn(boolean z) {
        TXCLog.i(TAG, "setEarphoneOn: " + z);
    }

    public void enableSoftAEC(boolean z, int i) {
        TXCLog.i(TAG, "enableSoftAEC: enable = " + z + " level = " + i);
    }

    public void enableSoftANS(boolean z, int i) {
        TXCLog.i(TAG, "enableSoftANS: enable = " + z + " level = " + i);
    }

    public void enableSoftAGC(boolean z, int i) {
        TXCLog.i(TAG, "enableSoftAGC: enable = " + z + " level = " + i);
    }

    public void setVoiceChangerType(int i) {
        TXCLog.i(TAG, "setVoiceChangerType: " + i);
    }

    public void setIsCustomRecord(boolean z) {
        TXCLog.i(TAG, "setIsCustomRecord: " + z);
    }

    public synchronized void setReverbParam(int i, float f) {
    }

    public int stopRecord() {
        TXCLog.i(TAG, "stopRecord ");
        return 0;
    }

    public static void setAudioCorePlayListener(d dVar) {
        mAudioCoreDataListener = new WeakReference<>(dVar);
        TXCJitter.setAudioCorePlayListener(dVar);
    }

    public static void onCorePlayPcmData(byte[] bArr, long j, int i, int i2) {
        WeakReference<d> weakReference = mAudioCoreDataListener;
        if (weakReference != null) {
            d dVar = weakReference.get();
            if (dVar != null) {
                dVar.a(null, bArr, j, i, i2);
            }
            if (bArr != null) {
                TXCJitter.nativePlayAfterCorePlayCallback(bArr, bArr.length);
            }
        }
    }

    public int addJitterChannel(String str) {
        if (getJitterByID(str) != null) {
            TXCLog.i(TAG, "addJitterChannel: " + str + " already exist");
            return 0;
        } else if (this.mPlayContext == null) {
            TXCLog.i(TAG, "Please call CreateInstance fisrt!!!");
            return -1;
        } else {
            TXCJitter tXCJitter = new TXCJitter(str);
            synchronized (this.mLockObj) {
                this.mJitterMap.put(str, tXCJitter);
            }
            return 0;
        }
    }

    public int startJitterChannelPlay(String str) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.startPlay();
        }
        startDevicePlay();
        return 0;
    }

    public int stopJitterChannelPlay(String str) {
        int i;
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            i = jitterByID.stopPlay();
            synchronized (this.mLockObj) {
                this.mJitterMap.remove(str);
            }
        } else {
            i = TXEAudioDef.TXE_AUDIO_PLAY_ERR_NOT_CREATE_JIT;
        }
        if (getJitterByID(str) != null) {
            TXCLog.i(TAG, "stopJitterChannelPlay: " + str + " is not remove???");
        }
        if (TXCJitter.nativeIsTracksEmpty() && !TXCLiveBGMPlayer.getInstance().isPlaying()) {
            TXCLog.i(TAG, "No JitterChannel  stopDevicePlay() ");
            stopDevicePlay();
        }
        return i;
    }

    public boolean getJitterChannel(String str) {
        return getJitterByID(str) != null;
    }

    public int stopDevicePlay() {
        this.mDeviceIsPlaying = false;
        if (!TXCJitter.nativeIsTracksEmpty()) {
            TXCJitter.nativeStopAllTracks();
        }
        if (TXCLiveBGMPlayer.getInstance().isPlaying()) {
            TXCLiveBGMPlayer.getInstance().stopPlay();
        }
        synchronized (this.mLockObj) {
            this.mJitterMap.clear();
        }
        TXCMultAudioTrackPlayer.a().c();
        return 0;
    }

    public int startDevicePlay() {
        TXCLog.i(TAG, "startDevicePlay!");
        if (!this.mDeviceIsPlaying) {
            if (!TXCJitter.nativeIsTracksEmpty()) {
                TXCMultAudioTrackPlayer.a().b();
                this.mDeviceIsPlaying = true;
            }
            TXCLog.i(TAG, "finish start play audio!");
            return 0;
        }
        TXCLog.e(TAG, "repeat start play audio, ignore it!");
        return TXEAudioDef.TXE_AUDIO_PLAY_ERR_REPEAT_OPTION;
    }

    public void setJitterChannelDataListener(String str, d dVar) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setDataListener(dVar);
        }
    }

    public void setJitterChannelEventListener(String str, c cVar) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setEventListener(cVar);
        }
    }

    public void setCacheTime(String str, float f) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setCacheTime(f);
        }
    }

    public void enableAutoAdjustCache(String str, boolean z) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.enableAutojustCache(z);
        }
    }

    public void setAutoAdjustMaxCache(String str, float f) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setAutoAdjustMaxCache(f);
        }
    }

    public void setAutoAdjustMinCache(String str, float f) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setAutoAdjustMinCache(f);
        }
    }

    public void setPlayMute(String str, boolean z) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setPlayMute(z);
        }
    }

    public void muteInSpeaker(String str, boolean z) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.muteInSpeaker(z);
        }
    }

    public void setPlayVolume(String str, int i) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.setPlayVolume(i);
        }
    }

    public int getJitterChannelVolumeLevel(String str) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            return jitterByID.getVolumeLevel();
        }
        return 0;
    }

    public boolean isJitterChannelPlaying(String str) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            return jitterByID.isPlaying();
        }
        return false;
    }

    public void enableRealTimePlay(String str, boolean z) {
        TXCJitter jitterByID = getJitterByID(str);
        if (jitterByID != null) {
            jitterByID.enableRealTimePlay(z);
        }
    }

    /* access modifiers changed from: protected */
    public TXCJitter getJitterByID(String str) {
        synchronized (this.mLockObj) {
            if (this.mJitterMap == null) {
                return null;
            }
            return this.mJitterMap.get(str);
        }
    }
}
