package com.tencent.liteav;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.Matrix;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.Surface;
import android.view.TextureView;
import com.tencent.liteav.TXCRenderAndDec;
import com.tencent.liteav.a.a;
import com.tencent.liteav.audio.c;
import com.tencent.liteav.audio.d;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCStatus;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.network.TXCStreamDownloader;
import com.tencent.liteav.network.h;
import com.tencent.liteav.renderer.a;
import com.tencent.liteav.renderer.g;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.rtmp.TXLivePlayer;
import com.tencent.rtmp.ui.TXCloudVideoView;
import com.tencent.ugc.TXRecordCommon;

/* compiled from: TXCLivePlayer */
public class b extends h implements TXCRenderAndDec.a, TXCRenderAndDec.b, c, d, a, h, a.AbstractC0003a, g {
    private com.tencent.liteav.renderer.h A = null;
    private com.tencent.liteav.renderer.h B = null;
    private float[] C = {1.0f, 0.0f, 0.0f, 0.0f, 0.0f, -1.0f, 0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 0.0f, 0.0f, 1.0f, 0.0f, 1.0f};
    private float[] D = new float[16];
    private String E = "";
    private int F;
    private boolean G = false;
    private TXLivePlayer.ITXAudioRawDataListener H;
    private String I = "";
    private boolean J = false;
    private long K = 0;
    private long L = 0;
    private boolean M = false;
    private TXCRenderAndDec a = null;
    private com.tencent.liteav.renderer.a f = null;
    private TXCStreamDownloader g = null;
    private Handler h;
    private TextureView i;
    private boolean j = false;
    private boolean k = false;
    private int l = 100;
    private int m = 0;
    private int n = 0;
    private boolean o = false;
    private Surface p;
    private int q = 2;
    private int r = 48000;
    private int s = 16;
    private boolean t = false;
    private boolean u = false;
    private com.tencent.liteav.a.a v;
    private TXRecordCommon.ITXVideoRecordListener w;
    private a x;
    private int y = 0;
    private int z = 0;

    @Override // com.tencent.liteav.audio.c
    public void a(String str, int i2, String str2) {
    }

    @Override // com.tencent.liteav.h
    public boolean f() {
        return true;
    }

    @Override // com.tencent.liteav.network.h
    public void onPullAudio(com.tencent.liteav.basic.structs.a aVar) {
    }

    public b(Context context) {
        super(context);
        com.tencent.liteav.audio.a.a(context);
        this.h = new Handler(Looper.getMainLooper());
        this.f = new com.tencent.liteav.renderer.a();
        this.f.a((com.tencent.liteav.basic.c.a) this);
    }

    @Override // com.tencent.liteav.h
    public void a(TXCloudVideoView tXCloudVideoView) {
        TextureView videoView;
        if (!(this.d == null || this.d == tXCloudVideoView || (videoView = this.d.getVideoView()) == null)) {
            this.d.removeView(videoView);
        }
        super.a(tXCloudVideoView);
        if (this.d != null) {
            this.i = this.d.getVideoView();
            if (this.i == null) {
                this.i = new TextureView(this.d.getContext());
            }
            this.d.addVideoView(this.i);
        }
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a(this.i);
        }
    }

    @Override // com.tencent.liteav.h
    public void a(Surface surface) {
        this.p = surface;
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a(surface);
        }
    }

    @Override // com.tencent.liteav.h
    public void a(int i2, int i3) {
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.c(i2, i3);
        }
    }

    @Override // com.tencent.liteav.h
    public void a(c cVar) {
        super.a(cVar);
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setConfig(cVar);
        }
    }

    @Override // com.tencent.liteav.h
    public int a(String str, int i2) {
        if (c()) {
            TXCLog.w("TXCLivePlayer", "play: ignore start play when is playing");
            return -2;
        } else if (this.b == null || this.b.c <= this.b.b) {
            if (this.b.a > this.b.b || this.b.a < this.b.c) {
                TXCLog.w("TXCLivePlayer", "play: invalid cacheTime " + this.b.a + ", need between minAutoAdjustCacheTime " + this.b.c + " and maxAutoAdjustCacheTime " + this.b.b + " , fix to maxAutoAdjustCacheTime");
                this.b.a = this.b.b;
            }
            this.E = str;
            this.F = i2;
            b(str);
            this.o = true;
            this.u = true;
            f(i2);
            m();
            int c = c(str, i2);
            if (c != 0) {
                this.o = false;
                o();
                l();
                n();
                TextureView textureView = this.i;
                if (textureView != null) {
                    textureView.setVisibility(8);
                }
            } else {
                a(this.p);
                p();
                u();
                TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.bs);
                try {
                    if (Class.forName("com.tencent.liteav.demo.play.SuperPlayerView") != null) {
                        TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.bD);
                    }
                } catch (Exception unused) {
                }
            }
            return c;
        } else {
            TXCLog.e("TXCLivePlayer", "play: can not start play while invalid cache config [minAutoAdjustCacheTime(" + this.b.c + ") > maxAutoAdjustCacheTime(" + this.b.b + ")]!!!!!!");
            return -1;
        }
    }

    @Override // com.tencent.liteav.h
    public int a(boolean z2) {
        if (!c()) {
            TXCLog.w("TXCLivePlayer", "play: ignore stop play when not started");
            return -2;
        }
        TXCLog.v("TXCLivePlayer", "play: stop");
        this.o = false;
        o();
        l();
        TextureView textureView = this.i;
        if (textureView != null && z2) {
            textureView.setVisibility(8);
        }
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a((Surface) null);
        }
        n();
        r();
        v();
        s();
        return 0;
    }

    @Override // com.tencent.liteav.h
    public int a(String str) {
        TXCStreamDownloader tXCStreamDownloader;
        if (!c() || (tXCStreamDownloader = this.g) == null) {
            return -1;
        }
        boolean switchStream = tXCStreamDownloader.switchStream(str);
        if (this.a != null) {
            TXCLog.w("TXCLivePlayer", " stream_switch video cache " + this.a.getVideoCacheDuration() + " audio cache " + TXCStatus.c(this.I, 2007));
        }
        if (!switchStream) {
            return -2;
        }
        this.E = str;
        return 0;
    }

    @Override // com.tencent.liteav.h
    public void a() {
        a(false);
    }

    @Override // com.tencent.liteav.h
    public void b() {
        a(this.E, this.F);
    }

    @Override // com.tencent.liteav.h
    public boolean c() {
        return this.o;
    }

    @Override // com.tencent.liteav.h
    public void a(int i2) {
        this.n = i2;
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setRenderMode(i2);
        }
    }

    @Override // com.tencent.liteav.h
    public void b(int i2) {
        this.m = i2;
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setRenderRotation(i2);
        }
    }

    @Override // com.tencent.liteav.h
    public void b(boolean z2) {
        this.j = z2;
        com.tencent.liteav.audio.a.a().c(this.I, this.j);
    }

    @Override // com.tencent.liteav.h
    public void c(boolean z2) {
        this.k = z2;
        com.tencent.liteav.audio.a.a().d(this.I, z2);
    }

    @Override // com.tencent.liteav.h
    public void c(int i2) {
        this.l = i2;
        com.tencent.liteav.audio.a.a().a(this.I, this.l);
    }

    @Override // com.tencent.liteav.h
    public void a(Context context, int i2) {
        com.tencent.liteav.audio.a.a();
        com.tencent.liteav.audio.a.a(i2);
    }

    @Override // com.tencent.liteav.h
    public void a(TXRecordCommon.ITXVideoRecordListener iTXVideoRecordListener) {
        this.w = iTXVideoRecordListener;
    }

    @Override // com.tencent.liteav.h
    public int d(int i2) {
        if (this.t) {
            TXCLog.e("TXCLivePlayer", "startRecord: there is existing uncompleted record task");
            return -1;
        }
        this.t = true;
        this.f.a((g) this);
        this.f.a((a.AbstractC0003a) this);
        x();
        TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.av);
        return 0;
    }

    @Override // com.tencent.liteav.h
    public TextureView d() {
        return this.i;
    }

    @Override // com.tencent.liteav.h
    public void a(TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener) {
        this.H = iTXAudioRawDataListener;
        x();
    }

    @Override // com.tencent.liteav.h
    public int e() {
        if (!this.t) {
            TXCLog.w("TXCLivePlayer", "stopRecord: no recording task exist");
            return -1;
        }
        this.t = false;
        x();
        com.tencent.liteav.a.a aVar = this.v;
        if (aVar != null) {
            aVar.a();
            this.v = null;
        }
        return 0;
    }

    @Override // com.tencent.liteav.h
    public void a(i iVar) {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setVideoFrameListener(iVar, 1);
        } else {
            TXCLog.w("TXCLivePlayer", "setVideoFrameListener->enter with renderAndDec is empty");
        }
    }

    @Override // com.tencent.liteav.h
    public void a(j jVar) {
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a(jVar);
        }
    }

    private void i() {
        if (this.v == null) {
            this.y = this.f.j();
            this.z = this.f.k();
            a.C0001a k2 = k();
            this.v = new com.tencent.liteav.a.a(this.c);
            this.v.a(k2);
            this.v.a(new a.b() {
                /* class com.tencent.liteav.b.AnonymousClass1 */

                @Override // com.tencent.liteav.a.a.b
                public void a(int i, String str, String str2, String str3) {
                    if (b.this.w != null) {
                        TXRecordCommon.TXRecordResult tXRecordResult = new TXRecordCommon.TXRecordResult();
                        if (i == 0) {
                            tXRecordResult.retCode = 0;
                        } else {
                            tXRecordResult.retCode = -1;
                        }
                        tXRecordResult.descMsg = str;
                        tXRecordResult.videoPath = str2;
                        tXRecordResult.coverPath = str3;
                        b.this.w.onRecordComplete(tXRecordResult);
                    }
                    b.this.f.a((g) null);
                    b.this.f.a((a.AbstractC0003a) null);
                }

                @Override // com.tencent.liteav.a.a.b
                public void a(long j) {
                    if (b.this.w != null) {
                        b.this.w.onRecordProgress(j);
                    }
                }
            });
        }
        if (this.A == null) {
            this.A = new com.tencent.liteav.renderer.h(true);
            this.A.b();
            this.A.b(this.y, this.z);
            this.A.a(this.y, this.z);
        }
        if (this.B == null) {
            this.B = new com.tencent.liteav.renderer.h(false);
            this.B.b();
            this.B.b(this.f.h(), this.f.i());
            this.B.a(this.f.h(), this.f.i());
            Matrix.setIdentityM(this.D, 0);
        }
    }

    private void j() {
        com.tencent.liteav.renderer.h hVar = this.A;
        if (hVar != null) {
            hVar.c();
            this.A = null;
        }
        com.tencent.liteav.renderer.h hVar2 = this.B;
        if (hVar2 != null) {
            hVar2.c();
            this.B = null;
        }
    }

    private a.C0001a k() {
        int i2;
        int i3 = this.y;
        if (i3 <= 0 || (i2 = this.z) <= 0) {
            i3 = 480;
            i2 = 640;
        }
        a.C0001a aVar = new a.C0001a();
        aVar.a = i3;
        aVar.b = i2;
        aVar.c = 20;
        double d = (double) (i3 * i3);
        Double.isNaN(d);
        double d2 = (double) (i2 * i2);
        Double.isNaN(d2);
        aVar.d = (int) (Math.sqrt((d * 1.0d) + d2) * 1.2d);
        aVar.h = this.q;
        aVar.i = this.r;
        aVar.j = this.s;
        aVar.f = com.tencent.liteav.a.a.a(this.c, ".mp4");
        aVar.g = com.tencent.liteav.a.a.a(this.c, ".jpg");
        aVar.e = this.f.b();
        TXCLog.d("TXCLivePlayer", "record config: " + aVar);
        return aVar;
    }

    private void f(int i2) {
        TextureView textureView = this.i;
        boolean z2 = false;
        if (textureView != null) {
            textureView.setVisibility(0);
        }
        this.a = new TXCRenderAndDec(this.c);
        this.a.setNotifyListener(this);
        this.a.setVideoRender(this.f);
        this.a.setDecListener(this);
        this.a.setRenderAndDecDelegate(this);
        this.a.setConfig(this.b);
        this.a.setID(this.I);
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (i2 == 5) {
            z2 = true;
        }
        tXCRenderAndDec.start(z2);
        this.a.setRenderMode(this.n);
        this.a.setRenderRotation(this.m);
    }

    private void l() {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.stop();
            this.a.setVideoRender(null);
            this.a.setDecListener(null);
            this.a.setNotifyListener(null);
            this.a = null;
        }
    }

    private void m() {
        com.tencent.liteav.audio.a.a().a(this.I);
        com.tencent.liteav.audio.a.a();
        com.tencent.liteav.audio.a.a(this.G);
        a(this.H);
        if (this.F == 5) {
            com.tencent.liteav.audio.a.a().a(this.I, true);
            com.tencent.liteav.audio.a.a().a(this.I, com.tencent.liteav.basic.a.a.b);
            com.tencent.liteav.audio.a.a().c(this.I, com.tencent.liteav.basic.a.a.b);
            com.tencent.liteav.audio.a.a().b(this.I, com.tencent.liteav.basic.a.a.c);
            com.tencent.liteav.audio.a.a().b(this.I, this.b.g);
        } else {
            com.tencent.liteav.audio.a.a().a(this.I, false);
            com.tencent.liteav.audio.a.a().a(this.I, this.b.a);
            com.tencent.liteav.audio.a.a().c(this.I, this.b.c);
            com.tencent.liteav.audio.a.a().b(this.I, this.b.b);
            com.tencent.liteav.audio.a.a().b(this.I, this.b.g);
        }
        com.tencent.liteav.audio.a.a().c(this.I, this.j);
        com.tencent.liteav.audio.a.a().d(this.I, this.k);
        com.tencent.liteav.audio.a.a().a(this.I, this.l);
        com.tencent.liteav.audio.a.a().a(this.I, (c) this);
        x();
        com.tencent.liteav.audio.a.a().b(this.I);
    }

    private void n() {
        com.tencent.liteav.audio.a.a().a(this.I, (c) null);
        com.tencent.liteav.audio.a.a().a(this.I, (d) null);
        com.tencent.liteav.audio.a.a().c(this.I);
    }

    private int c(String str, int i2) {
        boolean z2 = false;
        if (i2 == 0) {
            this.g = new TXCStreamDownloader(this.c, 1);
        } else if (i2 == 5) {
            this.g = new TXCStreamDownloader(this.c, 4);
        } else {
            this.g = new TXCStreamDownloader(this.c, 0);
        }
        this.g.setID(this.I);
        this.g.setListener(this);
        this.g.setNotifyListener(this);
        this.g.setHeaders(this.b.p);
        if (i2 == 5) {
            z2 = true;
        }
        if (z2) {
            this.g.setRetryTimes(5);
            this.g.setRetryInterval(1);
        } else {
            this.g.setRetryTimes(this.b.e);
            this.g.setRetryInterval(this.b.f);
        }
        return this.g.start(str, this.b.i, this.b.l, this.b.j, this.b.k);
    }

    private void o() {
        TXCStreamDownloader tXCStreamDownloader = this.g;
        if (tXCStreamDownloader != null) {
            tXCStreamDownloader.setListener(null);
            this.g.setNotifyListener(null);
            this.g.stop();
            this.g = null;
        }
    }

    private void p() {
        this.x = new a(this.c);
        this.x.a(this.E);
        this.x.a(this.F == 5);
        this.x.d(this.I);
        this.x.a();
    }

    private void r() {
        a aVar = this.x;
        if (aVar != null) {
            aVar.b();
            this.x = null;
        }
    }

    private void b(String str) {
        this.I = String.format("%s-%d", str, Long.valueOf(TXCTimeUtil.getTimeTick() % 10000));
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setID(this.I);
        }
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.setID(this.I);
        }
        TXCStreamDownloader tXCStreamDownloader = this.g;
        if (tXCStreamDownloader != null) {
            tXCStreamDownloader.setID(this.I);
        }
        a aVar2 = this.x;
        if (aVar2 != null) {
            aVar2.d(this.I);
        }
    }

    @Override // com.tencent.liteav.h
    public void g() {
        this.L = 0;
        if (!this.J) {
            this.J = true;
            x();
            Handler handler = this.h;
            if (handler != null) {
                handler.postDelayed(new Runnable() {
                    /* class com.tencent.liteav.b.AnonymousClass2 */

                    public void run() {
                        if (b.this.J) {
                            b.this.t();
                        }
                    }
                }, 1000);
            }
        }
    }

    private void s() {
        this.J = false;
        x();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t() {
        if (this.K > 0) {
            Bundle bundle = new Bundle();
            bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS, (int) (this.K / 1000));
            bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS_MS, (int) this.K);
            onNotifyEvent(2005, bundle);
        }
        Handler handler = this.h;
        if (handler != null && this.J) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.b.AnonymousClass3 */

                public void run() {
                    if (b.this.J) {
                        b.this.t();
                    }
                }
            }, 1000);
        }
    }

    private void u() {
        this.M = true;
        Handler handler = this.h;
        if (handler != null) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.b.AnonymousClass4 */

                public void run() {
                    if (b.this.M) {
                        b.this.w();
                    }
                }
            }, 2000);
        }
    }

    private void v() {
        this.M = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        int[] a2 = com.tencent.liteav.basic.util.d.a();
        String str = (a2[0] / 10) + "/" + (a2[1] / 10) + "%";
        int c = TXCStatus.c(this.I, 7102);
        int c2 = TXCStatus.c(this.I, 7101);
        String b = TXCStatus.b(this.I, 7110);
        int d = (int) TXCStatus.d(this.I, 6002);
        Bundle bundle = new Bundle();
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_WIDTH, aVar.j());
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_HEIGHT, this.f.k());
        }
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_CACHE, (int) tXCRenderAndDec.getVideoCacheDuration());
            bundle.putInt(TXLiveConstants.NET_STATUS_V_SUM_CACHE_SIZE, (int) this.a.getVideoCacheFrameCount());
            bundle.putInt(TXLiveConstants.NET_STATUS_V_DEC_CACHE_SIZE, this.a.getVideoDecCacheFrameCount());
            bundle.putInt(TXLiveConstants.NET_STATUS_AV_PLAY_INTERVAL, (int) this.a.getAVPlayInterval());
            bundle.putInt(TXLiveConstants.NET_STATUS_AV_RECV_INTERVAL, (int) this.a.getAVNetRecvInterval());
            double c3 = (double) (((float) ((TXCStatus.c(this.I, 7120) * 10) / (d == 0 ? 15 : d))) / 10.0f);
            Double.isNaN(c3);
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_GOP, (int) (c3 + 0.5d));
        }
        bundle.putString(TXLiveConstants.NET_STATUS_AUDIO_INFO, com.tencent.liteav.audio.a.a().d() + " | " + TXCStatus.c(this.I, TXLiteAVCode.EVT_VOD_PLAY_SEEK_COMPLETE) + "," + TXCStatus.c(this.I, TXLiteAVCode.EVT_VIDEO_DECODER_CACHE_TOO_MANY_FRAMES) + " | " + com.tencent.liteav.audio.a.a().b() + "," + com.tencent.liteav.audio.a.a().c());
        bundle.putInt(TXLiveConstants.NET_STATUS_AUDIO_CACHE, TXCStatus.c(this.I, 2007));
        bundle.putInt(TXLiveConstants.NET_STATUS_NET_JITTER, TXCStatus.c(this.I, TXLiteAVCode.EVT_VOD_PLAY_DNS_RESOLVED));
        bundle.putFloat(TXLiveConstants.NET_STATUS_AUDIO_CACHE_THRESHOLD, (float) TXCStatus.d(this.I, TXLiteAVCode.EVT_HW_DECODER_START_SUCC));
        bundle.putInt(TXLiveConstants.NET_STATUS_NET_SPEED, c2 + c);
        bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_FPS, d);
        bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_BITRATE, c2);
        bundle.putInt(TXLiveConstants.NET_STATUS_AUDIO_BITRATE, c);
        bundle.putCharSequence(TXLiveConstants.NET_STATUS_SERVER_IP, b);
        bundle.putCharSequence(TXLiveConstants.NET_STATUS_CPU_USAGE, str);
        com.tencent.liteav.basic.util.d.a(this.e, 15001, bundle);
        TXCRenderAndDec tXCRenderAndDec2 = this.a;
        if (tXCRenderAndDec2 != null) {
            tXCRenderAndDec2.updateLoadInfo();
        }
        a aVar2 = this.x;
        if (aVar2 != null) {
            aVar2.d();
        }
        Handler handler = this.h;
        if (handler != null && this.M) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.b.AnonymousClass5 */

                public void run() {
                    if (b.this.M) {
                        b.this.w();
                    }
                }
            }, 2000);
        }
    }

    private void a(final int i2, String str) {
        if (this.e != null) {
            final Bundle bundle = new Bundle();
            bundle.putInt("EVT_ID", i2);
            bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
            if (str != null) {
                bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
            }
            Handler handler = this.h;
            if (handler != null) {
                handler.post(new Runnable() {
                    /* class com.tencent.liteav.b.AnonymousClass6 */

                    public void run() {
                        com.tencent.liteav.basic.util.d.a(b.this.e, i2, bundle);
                    }
                });
            }
        }
    }

    private void x() {
        if (this.t || this.H != null || this.J) {
            com.tencent.liteav.audio.a.a().a(this.I, (d) this);
        }
        if (!this.t && this.H == null && !this.J) {
            com.tencent.liteav.audio.a.a().a(this.I, (d) null);
        }
    }

    @Override // com.tencent.liteav.network.h
    public void onPullNAL(TXSNALPacket tXSNALPacket) {
        if (this.o) {
            try {
                if (this.a != null) {
                    this.a.decVideo(tXSNALPacket);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(final int i2, final Bundle bundle) {
        if ((2003 == i2 || 2026 == i2) && this.u) {
            a(2004, "视频播放开始");
            this.u = false;
            if (2026 == i2) {
                return;
            }
        }
        if (2025 == i2) {
            a(2004, "视频播放开始");
        } else if (2023 == i2 || 2024 == i2) {
            a(2007, "视频播放 loading");
        } else {
            Handler handler = this.h;
            if (handler != null) {
                handler.post(new Runnable() {
                    /* class com.tencent.liteav.b.AnonymousClass7 */

                    public void run() {
                        com.tencent.liteav.basic.util.d.a(b.this.e, i2, bundle);
                        if (i2 == 2103 && b.this.a != null) {
                            b.this.a.restartDecoder();
                        }
                    }
                });
            }
        }
    }

    @Override // com.tencent.liteav.renderer.g
    public int a(int i2, float[] fArr) {
        com.tencent.liteav.renderer.h hVar;
        com.tencent.liteav.a.a aVar = this.v;
        if (!(!this.t || aVar == null || (hVar = this.A) == null)) {
            int d = hVar.d(i2);
            aVar.a(d, TXCTimeUtil.getTimeTick());
            this.f.a(d, this.y, this.z, false, 0);
        }
        if (this.t) {
            i();
        } else {
            j();
        }
        return i2;
    }

    @Override // com.tencent.liteav.renderer.a.AbstractC0003a
    public void onTextureProcess(int i2, int i3, int i4, int i5) {
        com.tencent.liteav.renderer.h hVar;
        com.tencent.liteav.a.a aVar = this.v;
        if (!(!this.t || aVar == null || (hVar = this.B) == null)) {
            hVar.a(this.C);
            aVar.a(this.B.d(i2), TXCTimeUtil.getTimeTick());
            this.B.a(this.D);
            this.B.c(i2);
        }
        if (this.t) {
            i();
        } else {
            j();
        }
    }

    @Override // com.tencent.liteav.TXCRenderAndDec.a
    public void a(SurfaceTexture surfaceTexture) {
        j();
        e();
    }

    @Override // com.tencent.liteav.audio.d
    public void a(String str, byte[] bArr, long j2, int i2, int i3) {
        TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener;
        this.r = i2;
        this.q = i3;
        if (this.v != null) {
            if (j2 <= 0) {
                j2 = TXCTimeUtil.getTimeTick();
            }
            this.v.a(bArr, j2);
        }
        if (this.L <= 0 && (iTXAudioRawDataListener = this.H) != null) {
            iTXAudioRawDataListener.onAudioInfoChanged(i2, i3, 16);
        }
        TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener2 = this.H;
        if (iTXAudioRawDataListener2 != null) {
            iTXAudioRawDataListener2.onPcmDataAvailable(bArr, j2);
        }
        long j3 = this.L;
        if (j3 <= 0) {
            this.L = j2;
        } else {
            this.K = j2 - j3;
        }
    }

    @Override // com.tencent.liteav.audio.c
    public void b(String str, int i2, String str2) {
        onNotifyEvent(i2, null);
    }

    @Override // com.tencent.liteav.h
    public void d(boolean z2) {
        this.G = z2;
        com.tencent.liteav.audio.a.a();
        com.tencent.liteav.audio.a.a(z2);
    }

    @Override // com.tencent.liteav.h
    public int h() {
        return com.tencent.liteav.audio.a.a().d(this.I);
    }

    @Override // com.tencent.liteav.TXCRenderAndDec.b
    public void b(String str, int i2) {
        TXCStreamDownloader tXCStreamDownloader;
        if (this.o && (tXCStreamDownloader = this.g) != null) {
            tXCStreamDownloader.requestKeyFrame(this.E);
        }
    }
}
