package com.tencent.liteav.basic.util;

import android.content.Context;
import android.content.SharedPreferences;
import com.tencent.liteav.basic.log.TXCLog;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class TXCCommonUtil {
    private static String mAppID = "";
    private static String mStrAppVersion = "";
    public static String pituLicencePath = "YTFaceSDK.licence";
    private static Context sApplicationContext;

    private static native int nativeGetSDKID();

    private static native String nativeGetSDKVersion();

    static {
        d.e();
    }

    public static int[] getSDKVersion() {
        String[] split = nativeGetSDKVersion().split("\\.");
        int[] iArr = new int[split.length];
        for (int i = 0; i < split.length; i++) {
            try {
                iArr[i] = Integer.parseInt(split[i]);
            } catch (NumberFormatException e) {
                e.printStackTrace();
                iArr[i] = 0;
            }
        }
        return iArr;
    }

    public static String getSDKVersionStr() {
        return nativeGetSDKVersion();
    }

    public static int getSDKID() {
        return nativeGetSDKID();
    }

    public static String getFileExtension(String str) {
        int lastIndexOf;
        if (str == null || str.length() <= 0 || (lastIndexOf = str.lastIndexOf(46)) <= -1 || lastIndexOf >= str.length() - 1) {
            return null;
        }
        return str.substring(lastIndexOf + 1);
    }

    public static void setAppContext(Context context) {
        sApplicationContext = context;
    }

    public static Context getAppContext() {
        return sApplicationContext;
    }

    public static void sleep(int i) {
        try {
            Thread.sleep((long) i);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public static String getStreamIDByStreamUrl(String str) {
        if (!(str == null || str.length() == 0)) {
            int indexOf = str.indexOf("?");
            if (indexOf != -1) {
                str = str.substring(0, indexOf);
            }
            if (!(str == null || str.length() == 0)) {
                int lastIndexOf = str.lastIndexOf("/");
                if (lastIndexOf != -1) {
                    str = str.substring(lastIndexOf + 1);
                }
                if (!(str == null || str.length() == 0)) {
                    int indexOf2 = str.indexOf(".");
                    if (indexOf2 != -1) {
                        str = str.substring(0, indexOf2);
                    }
                    if (str == null || str.length() == 0) {
                        return null;
                    }
                    return str;
                }
            }
        }
        return null;
    }

    public static String getAppNameByStreamUrl(String str) {
        if (!(str == null || str.length() == 0)) {
            int indexOf = str.indexOf("?");
            if (indexOf != -1) {
                str = str.substring(0, indexOf);
            }
            if (!(str == null || str.length() == 0)) {
                int lastIndexOf = str.lastIndexOf("/");
                if (lastIndexOf != -1) {
                    str = str.substring(0, lastIndexOf);
                }
                if (!(str == null || str.length() == 0)) {
                    int lastIndexOf2 = str.lastIndexOf("/");
                    if (lastIndexOf2 != -1) {
                        str = str.substring(lastIndexOf2 + 1);
                    }
                    if (str == null || str.length() == 0) {
                        return null;
                    }
                    return str;
                }
            }
        }
        return null;
    }

    public static void setAppVersion(String str) {
        mStrAppVersion = str;
    }

    public static void setPituLicencePath(String str) {
        pituLicencePath = str;
    }

    public static String getAppVersion() {
        return mStrAppVersion;
    }

    public static void setAppID(String str) {
        mAppID = str;
    }

    public static String getAppID() {
        return mAppID;
    }

    public static String getMD5(String str) {
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.update(str.getBytes());
            byte[] digest = instance.digest();
            StringBuffer stringBuffer = new StringBuffer("");
            for (byte b : digest) {
                int i = b;
                if (b < 0) {
                    i = b + 256;
                }
                if (i < 16) {
                    stringBuffer.append("0");
                }
                stringBuffer.append(Integer.toHexString(i == 1 ? 1 : 0));
            }
            return stringBuffer.toString();
        } catch (Exception unused) {
            return str;
        }
    }

    public static byte[] getMD5(byte[] bArr) {
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.update(bArr);
            return instance.digest();
        } catch (Exception unused) {
            return null;
        }
    }

    public static void saveString(String str, String str2) {
        Context context = sApplicationContext;
        if (context != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences("TXCCommonConfig", 0).edit();
                edit.putString(str, str2);
                edit.commit();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public static String loadString(String str) {
        Context context = sApplicationContext;
        if (context == null) {
            return "";
        }
        try {
            return context.getSharedPreferences("TXCCommonConfig", 0).getString(str, "");
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static void saveUInt64(String str, long j) {
        Context context = sApplicationContext;
        if (context != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences("TXCCommonConfig", 0).edit();
                edit.putLong(str, j);
                edit.commit();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public static long loadUInt64(String str) {
        Context context = sApplicationContext;
        if (context == null) {
            return 0;
        }
        try {
            return context.getSharedPreferences("TXCCommonConfig", 0).getLong(str, 0);
        } catch (Exception e) {
            e.printStackTrace();
            return 0;
        }
    }

    public static void zip(ArrayList<String> arrayList, String str) {
        Throwable th;
        Throwable th2;
        FileInputStream fileInputStream;
        Exception e;
        Exception e2;
        File file = new File(str);
        ZipOutputStream zipOutputStream = null;
        FileInputStream fileInputStream2 = null;
        try {
            ZipOutputStream zipOutputStream2 = new ZipOutputStream(new FileOutputStream(file));
            try {
                zipOutputStream2.setComment("LiteAV log");
                Iterator<String> it = arrayList.iterator();
                while (it.hasNext()) {
                    File file2 = new File(it.next());
                    try {
                        if (file2.length() != 0) {
                            if (file2.length() <= 8388608) {
                                fileInputStream = new FileInputStream(file2);
                                try {
                                    zipOutputStream2.putNextEntry(new ZipEntry(file2.getName()));
                                    byte[] bArr = new byte[8192];
                                    while (true) {
                                        int read = fileInputStream.read(bArr);
                                        if (read != -1) {
                                            zipOutputStream2.write(bArr, 0, read);
                                        } else {
                                            try {
                                                break;
                                            } catch (Exception e3) {
                                                e = e3;
                                            }
                                        }
                                    }
                                    fileInputStream.close();
                                } catch (Exception e4) {
                                    e2 = e4;
                                    try {
                                        e2.printStackTrace();
                                        try {
                                            fileInputStream.close();
                                        } catch (Exception e5) {
                                            e = e5;
                                        }
                                        fileInputStream2 = fileInputStream;
                                    } catch (Throwable th3) {
                                        th2 = th3;
                                        try {
                                            fileInputStream.close();
                                        } catch (Exception e6) {
                                            e6.printStackTrace();
                                        }
                                        throw th2;
                                    }
                                }
                                fileInputStream2 = fileInputStream;
                            }
                        }
                        try {
                            fileInputStream2.close();
                        } catch (Exception e7) {
                            e7.printStackTrace();
                        }
                    } catch (Exception e8) {
                        fileInputStream = fileInputStream2;
                        e2 = e8;
                        e2.printStackTrace();
                        fileInputStream.close();
                        fileInputStream2 = fileInputStream;
                    } catch (Throwable th4) {
                        th2 = th4;
                        fileInputStream = fileInputStream2;
                        fileInputStream.close();
                        throw th2;
                    }
                }
                try {
                    zipOutputStream2.close();
                    return;
                } catch (Exception e9) {
                    e9.printStackTrace();
                    return;
                }
                e.printStackTrace();
                fileInputStream2 = fileInputStream;
            } catch (FileNotFoundException unused) {
                zipOutputStream = zipOutputStream2;
                try {
                    TXCLog.w("TXCCommonUtil", "zip log error");
                    zipOutputStream.close();
                } catch (Throwable th5) {
                    th = th5;
                    zipOutputStream2 = zipOutputStream;
                    try {
                        zipOutputStream2.close();
                    } catch (Exception e10) {
                        e10.printStackTrace();
                    }
                    throw th;
                }
            } catch (Throwable th6) {
                th = th6;
                zipOutputStream2.close();
                throw th;
            }
        } catch (FileNotFoundException unused2) {
            TXCLog.w("TXCCommonUtil", "zip log error");
            zipOutputStream.close();
        }
    }

    public static String getLogUploadPath() {
        if (sApplicationContext == null) {
            return "";
        }
        return sApplicationContext.getExternalFilesDir(null).getAbsolutePath() + "/log/tencent/liteav";
    }

    public static String getAppPackageName() {
        return d.b(sApplicationContext);
    }
}
