package com.tencent.liteav.muxer;

import android.media.MediaCodec;
import android.media.MediaFormat;
import android.media.MediaMuxer;
import com.tencent.liteav.basic.log.TXCLog;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.concurrent.ConcurrentLinkedQueue;

/* compiled from: TXCMP4HWMuxer */
public class b implements a {
    public static float a = 0.5f;
    public static float b = 0.8f;
    public static float c = 1.25f;
    public static float d = 2.0f;
    private int e = 2;
    private MediaMuxer f;
    private String g = null;
    private MediaFormat h = null;
    private MediaFormat i = null;
    private int j = 0;
    private int k = 0;
    private boolean l = false;
    private boolean m = false;
    private ConcurrentLinkedQueue<a> n = new ConcurrentLinkedQueue<>();
    private ConcurrentLinkedQueue<a> o = new ConcurrentLinkedQueue<>();
    private long p = -1;
    private long q = -1;
    private long r = -1;

    /* access modifiers changed from: private */
    /* compiled from: TXCMP4HWMuxer */
    public static class a {
        ByteBuffer a;
        MediaCodec.BufferInfo b;

        public a(ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
            this.a = byteBuffer;
            this.b = bufferInfo;
        }

        public ByteBuffer a() {
            return this.a;
        }

        public MediaCodec.BufferInfo b() {
            return this.b;
        }
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized void a(MediaFormat mediaFormat) {
        TXCLog.d("TXCMP4HWMuxer", "addVideoTrack:" + mediaFormat);
        this.h = mediaFormat;
        this.n.clear();
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized void b(MediaFormat mediaFormat) {
        TXCLog.d("TXCMP4HWMuxer", "addAudioTrack:" + mediaFormat);
        this.i = mediaFormat;
        this.o.clear();
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized boolean c() {
        if (this.h != null) {
            return true;
        }
        return false;
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized int a() {
        if (this.g != null) {
            if (!this.g.isEmpty()) {
                if (!c()) {
                    TXCLog.e("TXCMP4HWMuxer", "video track not set yet!");
                    return -2;
                } else if (this.f != null) {
                    TXCLog.w("TXCMP4HWMuxer", "start has been called. stop must be called before start");
                    return 0;
                } else {
                    TXCLog.d("TXCMP4HWMuxer", "start");
                    try {
                        this.f = new MediaMuxer(this.g, 0);
                        if (this.h != null) {
                            try {
                                this.k = this.f.addTrack(this.h);
                            } catch (IllegalArgumentException e2) {
                                TXCLog.e("TXCMP4HWMuxer", "addVideoTrack IllegalArgumentException: " + e2);
                                return -5;
                            } catch (IllegalStateException e3) {
                                TXCLog.e("TXCMP4HWMuxer", "addVideoTrack IllegalStateException: " + e3);
                                return -6;
                            }
                        }
                        if (this.i != null) {
                            try {
                                this.j = this.f.addTrack(this.i);
                            } catch (IllegalArgumentException e4) {
                                TXCLog.e("TXCMP4HWMuxer", "addAudioTrack IllegalArgumentException: " + e4);
                                return -7;
                            } catch (IllegalStateException e5) {
                                TXCLog.e("TXCMP4HWMuxer", "addAudioTrack IllegalStateException: " + e5);
                                return -8;
                            }
                        }
                        this.f.start();
                        this.p = -1;
                        this.l = true;
                        this.m = false;
                        this.q = -1;
                        this.r = -1;
                        return 0;
                    } catch (IOException e6) {
                        e6.printStackTrace();
                        TXCLog.e("TXCMP4HWMuxer", "create MediaMuxer exception:" + e6);
                        return -4;
                    }
                }
            }
        }
        TXCLog.e("TXCMP4HWMuxer", "target path not set yet!");
        return -1;
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized int b() {
        if (this.f != null) {
            TXCLog.d("TXCMP4HWMuxer", "stop. start flag = " + this.l + ", video key frame set = " + this.m);
            try {
                if (this.l && this.m) {
                    this.f.stop();
                }
                this.f.release();
            } catch (Exception e2) {
                TXCLog.e("TXCMP4HWMuxer", "muxer stop/release exception: " + e2);
                return -1;
            } finally {
                this.l = false;
                this.f = null;
                this.m = false;
                this.n.clear();
                this.o.clear();
                this.h = null;
                this.i = null;
                this.q = -1;
                this.r = -1;
            }
        }
        return 0;
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized void a(String str) {
        this.g = str;
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized void b(byte[] bArr, int i2, int i3, long j2, int i4) {
        ByteBuffer allocateDirect = ByteBuffer.allocateDirect(i3);
        allocateDirect.put(bArr, i2, i3);
        MediaCodec.BufferInfo bufferInfo = new MediaCodec.BufferInfo();
        bufferInfo.presentationTimeUs = j2;
        bufferInfo.offset = 0;
        bufferInfo.size = i3;
        bufferInfo.flags = i4;
        a(allocateDirect, bufferInfo);
    }

    @Override // com.tencent.liteav.muxer.a
    public synchronized void a(byte[] bArr, int i2, int i3, long j2, int i4) {
        ByteBuffer allocateDirect = ByteBuffer.allocateDirect(i3);
        allocateDirect.put(bArr, i2, i3);
        MediaCodec.BufferInfo bufferInfo = new MediaCodec.BufferInfo();
        bufferInfo.presentationTimeUs = j2;
        bufferInfo.offset = 0;
        bufferInfo.size = i3;
        bufferInfo.flags = i4;
        b(allocateDirect, bufferInfo);
    }

    public synchronized void a(ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
        if (this.f == null) {
            a(true, byteBuffer, bufferInfo);
            TXCLog.w("TXCMP4HWMuxer", "cache frame before muexer ready. ptsUs: " + bufferInfo.presentationTimeUs);
            return;
        }
        if (this.p < 0) {
            a(true, byteBuffer, bufferInfo);
            this.p = d();
            TXCLog.d("TXCMP4HWMuxer", "first frame offset = " + this.p);
            e();
        } else {
            c(byteBuffer, bufferInfo);
        }
    }

    public synchronized void b(ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
        if (this.f != null) {
            if (this.p >= 0) {
                d(byteBuffer, bufferInfo);
                return;
            }
        }
        TXCLog.d("TXCMP4HWMuxer", "cache sample before muexer ready. ptsUs: " + bufferInfo.presentationTimeUs);
        a(false, byteBuffer, bufferInfo);
    }

    private void c(ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
        float f2;
        float f3;
        long j2 = bufferInfo.presentationTimeUs - this.p;
        if (j2 < 0) {
            TXCLog.e("TXCMP4HWMuxer", "pts error! first frame offset timeus = " + this.p + ", current timeus = " + bufferInfo.presentationTimeUs);
            j2 = this.q;
            if (j2 <= 0) {
                j2 = 0;
            }
        }
        if (j2 < this.q) {
            TXCLog.w("TXCMP4HWMuxer", "video is not in chronological order. current frame's pts(" + j2 + ") smaller than pre frame's pts(" + this.q + ")");
        } else {
            this.q = j2;
        }
        int i2 = this.e;
        if (i2 != 2) {
            if (i2 == 3) {
                f2 = (float) j2;
                f3 = b;
            } else if (i2 == 4) {
                f2 = (float) j2;
                f3 = a;
            } else if (i2 == 1) {
                f2 = (float) j2;
                f3 = c;
            } else if (i2 == 0) {
                f2 = (float) j2;
                f3 = d;
            }
            j2 = (long) (f2 * f3);
        }
        bufferInfo.presentationTimeUs = j2;
        try {
            byteBuffer.position(bufferInfo.offset);
            byteBuffer.limit(bufferInfo.offset + bufferInfo.size);
            this.f.writeSampleData(this.k, byteBuffer, bufferInfo);
            if ((bufferInfo.flags & 1) != 0) {
                this.m = true;
            }
        } catch (IllegalStateException e2) {
            TXCLog.e("TXCMP4HWMuxer", "write frame IllegalStateException: " + e2);
        } catch (IllegalArgumentException e3) {
            TXCLog.e("TXCMP4HWMuxer", "write frame IllegalArgumentException: " + e3);
        }
    }

    private void d(ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
        float f2;
        float f3;
        long j2 = bufferInfo.presentationTimeUs;
        long j3 = this.p;
        long j4 = j2 - j3;
        if (j3 < 0 || j4 < 0) {
            TXCLog.w("TXCMP4HWMuxer", "drop sample. first frame offset timeus = " + this.p + ", current sample timeus = " + bufferInfo.presentationTimeUs);
            return;
        }
        if (j4 < this.r) {
            TXCLog.e("TXCMP4HWMuxer", "audio is not in chronological order. current audio's pts pts(" + j4 + ") must larger than pre audio's pts(" + this.r + ")");
            j4 = this.r + 1;
        } else {
            this.r = j4;
        }
        int i2 = this.e;
        if (i2 != 2) {
            if (i2 == 3) {
                f2 = (float) j4;
                f3 = b;
            } else if (i2 == 4) {
                f2 = (float) j4;
                f3 = a;
            } else if (i2 == 1) {
                f2 = (float) j4;
                f3 = c;
            } else if (i2 == 0) {
                f2 = (float) j4;
                f3 = d;
            }
            j4 = (long) (f2 * f3);
        }
        bufferInfo.presentationTimeUs = j4;
        try {
            this.f.writeSampleData(this.j, byteBuffer, bufferInfo);
        } catch (IllegalStateException e2) {
            TXCLog.e("TXCMP4HWMuxer", "write sample IllegalStateException: " + e2);
        } catch (IllegalArgumentException e3) {
            TXCLog.e("TXCMP4HWMuxer", "write sample IllegalArgumentException: " + e3);
        }
    }

    private void a(boolean z, ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo) {
        if (byteBuffer != null && bufferInfo != null) {
            ByteBuffer allocateDirect = ByteBuffer.allocateDirect(byteBuffer.capacity());
            byteBuffer.rewind();
            if (bufferInfo.size > 0) {
                byteBuffer.position(bufferInfo.offset);
                byteBuffer.limit(bufferInfo.size);
            }
            allocateDirect.rewind();
            allocateDirect.put(byteBuffer);
            MediaCodec.BufferInfo bufferInfo2 = new MediaCodec.BufferInfo();
            bufferInfo2.set(bufferInfo.offset, bufferInfo.size, bufferInfo.presentationTimeUs, bufferInfo.flags);
            a aVar = new a(allocateDirect, bufferInfo2);
            if (z) {
                if (this.n.size() < 200) {
                    this.n.add(aVar);
                } else {
                    TXCLog.e("TXCMP4HWMuxer", "drop video frame. video cache size is larger than 200");
                }
            } else if (this.o.size() < 600) {
                this.o.add(aVar);
            } else {
                TXCLog.e("TXCMP4HWMuxer", "drop audio frame. audio cache size is larger than 600");
            }
        }
    }

    private long d() {
        a peek;
        long j2 = this.n.size() > 0 ? this.n.peek().b().presentationTimeUs : 0;
        if (this.o.size() <= 0 || (peek = this.o.peek()) == null || peek.b() == null) {
            return j2;
        }
        long j3 = this.o.peek().b().presentationTimeUs;
        return j2 > j3 ? j3 : j2;
    }

    private void e() {
        while (this.n.size() > 0) {
            a poll = this.n.poll();
            c(poll.a(), poll.b());
        }
        while (this.o.size() > 0) {
            a poll2 = this.o.poll();
            d(poll2.a(), poll2.b());
        }
    }
}
