package com.tencent.liteav.renderer;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.opengl.GLSurfaceView;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.util.AttributeSet;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.d.e;
import com.tencent.liteav.basic.d.f;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.d.h;
import com.tencent.liteav.basic.d.i;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.d;
import com.tencent.rtmp.TXLiveConstants;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import java.util.LinkedList;
import java.util.Queue;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.opengles.GL10;

public class TXCGLSurfaceView extends TXCGLSurfaceViewBase implements SurfaceTexture.OnFrameAvailableListener, GLSurfaceView.Renderer {
    private j A;
    private int B;
    private int C;
    private int D;
    private int E;
    private boolean F;
    private boolean G;
    private i H;
    private long I;
    private byte[] J;
    private long K;
    private int L;
    private int M;
    private final Queue<Runnable> N;
    WeakReference<a> a;
    private SurfaceTexture g;
    private EGLContext h;
    private e i;
    private int[] j;
    private float[] k;
    private int l;
    private boolean m;
    private float n;
    private float o;
    private int p;
    private long q;
    private long r;
    private int s;
    private boolean t;
    private boolean u;
    private Object v;
    private Handler w;
    private int x;
    private int y;
    private boolean z;

    public void onSurfaceChanged(GL10 gl10, int i2, int i3) {
    }

    public TXCGLSurfaceView(Context context) {
        super(context);
        this.k = new float[16];
        this.l = 0;
        this.m = false;
        this.n = 1.0f;
        this.o = 1.0f;
        this.p = 20;
        this.q = 0;
        this.r = 0;
        this.s = 12288;
        this.t = true;
        this.u = false;
        this.v = new Object();
        this.x = 0;
        this.y = 0;
        this.z = true;
        this.A = null;
        this.B = 0;
        this.C = 0;
        this.F = true;
        this.G = true;
        this.J = null;
        this.K = 0;
        this.L = 0;
        this.M = 0;
        this.N = new LinkedList();
        setEGLContextClientVersion(2);
        a(8, 8, 8, 8, 16, 0);
        setRenderer(this);
    }

    public TXCGLSurfaceView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.k = new float[16];
        this.l = 0;
        this.m = false;
        this.n = 1.0f;
        this.o = 1.0f;
        this.p = 20;
        this.q = 0;
        this.r = 0;
        this.s = 12288;
        this.t = true;
        this.u = false;
        this.v = new Object();
        this.x = 0;
        this.y = 0;
        this.z = true;
        this.A = null;
        this.B = 0;
        this.C = 0;
        this.F = true;
        this.G = true;
        this.J = null;
        this.K = 0;
        this.L = 0;
        this.M = 0;
        this.N = new LinkedList();
        setEGLContextClientVersion(2);
        a(8, 8, 8, 8, 16, 0);
        setRenderer(this);
    }

    public void setFPS(final int i2) {
        a(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass1 */

            public void run() {
                TXCGLSurfaceView.this.p = i2;
                if (TXCGLSurfaceView.this.p <= 0) {
                    TXCGLSurfaceView.this.p = 1;
                } else if (TXCGLSurfaceView.this.p > 60) {
                    TXCGLSurfaceView.this.p = 60;
                }
                TXCGLSurfaceView.this.r = 0;
                TXCGLSurfaceView.this.q = 0;
            }
        });
    }

    public void setRendMode(final int i2) {
        a(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass2 */

            public void run() {
                TXCGLSurfaceView.this.B = i2;
                GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
                GLES20.glClear(16640);
            }
        });
    }

    public void setRendMirror(final int i2) {
        a(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass3 */

            public void run() {
                TXCGLSurfaceView.this.C = i2;
                GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
                GLES20.glClear(16640);
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void a() {
        TXCLog.i("TXCGLSurfaceView", "surfaceDestroyed-->enter with mSurfaceTextureListener:" + this.H);
        i iVar = this.H;
        if (iVar != null) {
            iVar.b(this.g);
        }
        SurfaceTexture surfaceTexture = this.g;
        if (surfaceTexture != null) {
            surfaceTexture.release();
            this.g = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void setRunInBackground(boolean z2) {
        if (z2) {
            synchronized (this) {
                TXCLog.i("TXCGLSurfaceView", "background capture enter background");
                this.c = true;
            }
            return;
        }
        a(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass4 */

            public void run() {
                synchronized (this) {
                    TXCLog.i("TXCGLSurfaceView", "background capture exit background");
                    TXCGLSurfaceView.this.c = false;
                }
            }
        });
    }

    public void setNotifyListener(a aVar) {
        this.a = new WeakReference<>(aVar);
    }

    public SurfaceTexture getSurfaceTexture() {
        return this.g;
    }

    public void setSurfaceTextureListener(i iVar) {
        this.H = iVar;
    }

    public EGLContext getGLContext() {
        return this.h;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public int b() {
        if (this.s != 12288) {
            TXCLog.e("TXCGLSurfaceView", "background capture swapbuffer error : " + this.s);
        }
        return this.s;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void onDetachedFromWindow() {
        Handler handler;
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT >= 21 && (handler = this.w) != null) {
            handler.getLooper().quitSafely();
            this.w = null;
        }
    }

    public void a(Runnable runnable) {
        synchronized (this.N) {
            this.N.add(runnable);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        r0.run();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0011, code lost:
        if (r0 != null) goto L_0x0014;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        return false;
     */
    private boolean a(Queue<Runnable> queue) {
        synchronized (queue) {
            if (queue.isEmpty()) {
                return false;
            }
            Runnable poll = queue.poll();
        }
    }

    public void onSurfaceCreated(GL10 gl10, EGLConfig eGLConfig) {
        this.h = ((EGL10) EGLContext.getEGL()).eglGetCurrentContext();
        this.j = new int[1];
        this.j[0] = f.a();
        int[] iArr = this.j;
        if (iArr[0] <= 0) {
            this.j = null;
            TXCLog.e("TXCGLSurfaceView", "create oes texture error!! at glsurfaceview");
            return;
        }
        this.g = new SurfaceTexture(iArr[0]);
        f();
        this.i = new e();
        if (this.i.a()) {
            this.i.a(h.e, h.a(g.NORMAL, false, false));
            i iVar = this.H;
            if (iVar != null) {
                iVar.a(this.g);
            }
        }
    }

    public void onDrawFrame(GL10 gl10) {
        long currentTimeMillis;
        long j2;
        boolean z2;
        byte[] bArr;
        boolean z3;
        boolean z4;
        int c;
        a(this.N);
        boolean z5 = true;
        boolean z6 = true;
        while (true) {
            currentTimeMillis = System.currentTimeMillis();
            long j3 = this.r;
            if (j3 == 0 || currentTimeMillis < j3) {
                this.r = currentTimeMillis;
            }
            j2 = this.r;
            if (currentTimeMillis - j2 >= (this.q * 1000) / ((long) this.p)) {
                break;
            }
            a(15);
            z6 = false;
        }
        if (currentTimeMillis - j2 > 1000) {
            this.q = 1;
            this.r = System.currentTimeMillis();
            z2 = true;
        } else {
            z2 = false;
        }
        if (!this.t) {
            try {
                synchronized (this) {
                    bArr = null;
                    if (!this.u) {
                        z3 = z6;
                        z4 = true;
                    } else {
                        if (this.J != null) {
                            byte[] bArr2 = this.J;
                            this.J = null;
                            if (this.g != null) {
                                this.g.updateTexImage();
                                this.g.getTransformMatrix(this.k);
                            }
                            bArr = bArr2;
                        } else if (this.g != null) {
                            this.g.updateTexImage();
                            this.g.getTransformMatrix(this.k);
                        }
                        if (!z2) {
                            this.q++;
                        } else {
                            this.q = 1;
                        }
                        this.u = false;
                        z4 = false;
                        z3 = false;
                    }
                }
                if (true != z4) {
                    long currentTimeMillis2 = System.currentTimeMillis();
                    double d = (double) this.K;
                    Double.isNaN(d);
                    if (((double) currentTimeMillis2) > d + 1000.0d) {
                        double d2 = (double) this.M;
                        Double.isNaN(d2);
                        double d3 = (double) (currentTimeMillis2 - this.K);
                        Double.isNaN(d3);
                        this.L = ((int) ((d2 * 1000.0d) / d3)) + 1;
                        this.K = currentTimeMillis2;
                        this.M = 0;
                    }
                    this.M++;
                    if (this.H != null) {
                        if (bArr != null) {
                            this.H.a(bArr, this.k);
                        } else {
                            this.H.a(this.j[0], this.k);
                        }
                    }
                    e();
                    synchronized (this) {
                        if (this.c) {
                            z5 = false;
                        }
                    }
                    if (z5 && (c = c()) != 12288 && System.currentTimeMillis() - this.I > 2000) {
                        TXCLog.w("TXCGLSurfaceView", "background capture swapBuffer error : " + c);
                        this.I = System.currentTimeMillis();
                        Bundle bundle = new Bundle();
                        bundle.putInt("EVT_PARAM1", c);
                        bundle.putInt("EVT_ID", 2110);
                        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
                        bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, "视频渲染失败");
                        d.a(this.a, 2110, bundle);
                    }
                } else if (true == z3) {
                    a(5);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void e() {
        if (this.z) {
            if (!(this.x == 0 || this.y == 0)) {
                boolean z2 = getWidth() <= getHeight();
                final int i2 = this.y;
                int i3 = this.x;
                if (i2 < i3) {
                    i2 = i3;
                }
                final int i4 = this.y;
                int i5 = this.x;
                if (i4 >= i5) {
                    i4 = i5;
                }
                if (z2) {
                    i4 = i2;
                    i2 = i4;
                }
                final ByteBuffer allocate = ByteBuffer.allocate(i2 * i4 * 4);
                final Bitmap createBitmap = Bitmap.createBitmap(i2, i4, Bitmap.Config.ARGB_8888);
                allocate.position(0);
                GLES20.glReadPixels(this.D, this.E, i2, i4, 6408, 5121, allocate);
                new Thread(new Runnable() {
                    /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass5 */

                    public void run() {
                        allocate.position(0);
                        createBitmap.copyPixelsFromBuffer(allocate);
                        Matrix matrix = new Matrix();
                        matrix.setScale(1.0f, -1.0f);
                        Bitmap createBitmap = Bitmap.createBitmap(createBitmap, 0, 0, i2, i4, matrix, false);
                        if (TXCGLSurfaceView.this.A != null) {
                            TXCGLSurfaceView.this.A.a(createBitmap);
                            TXCGLSurfaceView.this.A = null;
                        }
                        createBitmap.recycle();
                    }
                }).start();
            }
            this.z = false;
        }
    }

    public void onFrameAvailable(SurfaceTexture surfaceTexture) {
        this.t = false;
        synchronized (this) {
            this.u = true;
        }
    }

    private void a(long j2) {
        try {
            Thread.sleep(j2);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void f() {
        if (!this.G) {
            SurfaceTexture surfaceTexture = this.g;
            if (surfaceTexture != null) {
                surfaceTexture.setOnFrameAvailableListener(null);
            }
        } else if (this.g == null) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.w == null) {
                    HandlerThread handlerThread = new HandlerThread("VideoCaptureThread");
                    handlerThread.start();
                    this.w = new Handler(handlerThread.getLooper());
                }
                this.g.setOnFrameAvailableListener(this, this.w);
                return;
            }
            this.g.setOnFrameAvailableListener(this);
        }
    }
}
