package com.tencent.liteav.renderer;

import android.content.Context;
import android.opengl.GLDebugHelper;
import android.opengl.GLSurfaceView;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import com.tencent.liteav.basic.log.TXCLog;
import java.io.Writer;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.egl.EGLDisplay;
import javax.microedition.khronos.egl.EGLSurface;
import javax.microedition.khronos.opengles.GL;
import javax.microedition.khronos.opengles.GL10;

public class TXCGLSurfaceViewBase extends SurfaceView implements SurfaceHolder.Callback {
    private static final j a = new j();
    protected boolean b = false;
    protected boolean c = false;
    protected final WeakReference<TXCGLSurfaceViewBase> d = new WeakReference<>(this);
    protected boolean e;
    protected boolean f;
    private i g;
    private GLSurfaceView.Renderer h;
    private boolean i;
    private e j;
    private f k;
    private g l;
    private k m;
    private int n;
    private int o;
    private boolean p;

    public interface e {
        EGLConfig a(EGL10 egl10, EGLDisplay eGLDisplay);
    }

    public interface f {
        EGLContext a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig);

        void a(EGL10 egl10, EGLDisplay eGLDisplay, EGLContext eGLContext);
    }

    public interface g {
        EGLSurface a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig, Object obj);

        void a(EGL10 egl10, EGLDisplay eGLDisplay, EGLSurface eGLSurface);
    }

    public interface k {
        GL a(GL gl);
    }

    /* access modifiers changed from: protected */
    public void a() {
    }

    /* access modifiers changed from: protected */
    public int b() {
        return 0;
    }

    public TXCGLSurfaceViewBase(Context context) {
        super(context);
        e();
    }

    public TXCGLSurfaceViewBase(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        e();
    }

    /* access modifiers changed from: protected */
    @Override // java.lang.Object
    public void finalize() throws Throwable {
        try {
            if (this.g != null) {
                this.g.g();
            }
        } finally {
            super.finalize();
        }
    }

    private void e() {
        getHolder().addCallback(this);
    }

    public void setGLWrapper(k kVar) {
        this.m = kVar;
    }

    public void setDebugFlags(int i2) {
        this.n = i2;
    }

    public int getDebugFlags() {
        return this.n;
    }

    public void setPreserveEGLContextOnPause(boolean z) {
        this.p = z;
    }

    public boolean getPreserveEGLContextOnPause() {
        return this.p;
    }

    public void setRenderer(GLSurfaceView.Renderer renderer) {
        f();
        if (this.j == null) {
            this.j = new m(true);
        }
        if (this.k == null) {
            this.k = new c();
        }
        if (this.l == null) {
            this.l = new d();
        }
        this.h = renderer;
        this.g = new i(this.d);
        this.g.start();
        TXCLog.i("TXCGLSurfaceViewBase", "setRenderer-->mGLThread.start");
    }

    public void setEGLContextFactory(f fVar) {
        f();
        this.k = fVar;
    }

    public void setEGLWindowSurfaceFactory(g gVar) {
        f();
        this.l = gVar;
    }

    public void setEGLConfigChooser(e eVar) {
        f();
        this.j = eVar;
    }

    public void setEGLConfigChooser(boolean z) {
        setEGLConfigChooser(new m(z));
    }

    public void a(int i2, int i3, int i4, int i5, int i6, int i7) {
        setEGLConfigChooser(new b(i2, i3, i4, i5, i6, i7));
    }

    public void setEGLContextClientVersion(int i2) {
        f();
        this.o = i2;
    }

    public void setRenderMode(int i2) {
        this.g.a(i2);
    }

    public int getRenderMode() {
        return this.g.d();
    }

    public void surfaceCreated(SurfaceHolder surfaceHolder) {
        this.g.e();
        setRunInBackground(false);
    }

    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
        setRunInBackground(true);
        if (!this.b) {
            this.g.a(new Runnable() {
                /* class com.tencent.liteav.renderer.TXCGLSurfaceViewBase.AnonymousClass1 */

                public void run() {
                    TXCGLSurfaceViewBase.this.a();
                }
            });
            this.g.f();
        }
    }

    public void surfaceChanged(SurfaceHolder surfaceHolder, int i2, int i3, int i4) {
        this.g.a(i3, i4);
    }

    /* access modifiers changed from: protected */
    public void setRunInBackground(boolean z) {
        this.c = z;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.i && this.h != null) {
            i iVar = this.g;
            int d2 = iVar != null ? iVar.d() : 1;
            this.g = new i(this.d);
            if (d2 != 1) {
                this.g.a(d2);
            }
            this.g.start();
        }
        this.i = false;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        if (this.b && this.g != null) {
            TXCLog.w("TXCGLSurfaceViewBase", "background capture destroy surface when onDetachedFromWindow");
            this.g.a(new Runnable() {
                /* class com.tencent.liteav.renderer.TXCGLSurfaceViewBase.AnonymousClass2 */

                public void run() {
                    TXCGLSurfaceViewBase.this.a();
                }
            });
            this.g.f();
        }
        i iVar = this.g;
        if (iVar != null) {
            iVar.g();
        }
        this.i = true;
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: package-private */
    public static class i extends Thread {
        private boolean a;
        private boolean b;
        private boolean c;
        private boolean d;
        private boolean e;
        private boolean f;
        private boolean g;
        private boolean h;
        private boolean i;
        private boolean j;
        private boolean k;
        private int l = 0;
        private int m = 0;
        private int n = 1;
        private boolean o = true;
        private boolean p;
        private ArrayList<Runnable> q = new ArrayList<>();
        private boolean r = true;
        private h s;
        private WeakReference<TXCGLSurfaceViewBase> t;

        i(WeakReference<TXCGLSurfaceViewBase> weakReference) {
            this.t = weakReference;
        }

        public void run() {
            setName("GLThread " + getId());
            try {
                i();
            } catch (InterruptedException unused) {
            } catch (Throwable th) {
                TXCGLSurfaceViewBase.a.a(this);
                throw th;
            }
            TXCGLSurfaceViewBase.a.a(this);
        }

        public int a() {
            return this.s.c();
        }

        public h b() {
            return this.s;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:101:?, code lost:
            r16.j = true;
            com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a.notifyAll();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:102:0x0174, code lost:
            monitor-exit(r10);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:103:0x0175, code lost:
            r10 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:107:0x017a, code lost:
            r15 = com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:108:0x017e, code lost:
            monitor-enter(r15);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:111:?, code lost:
            r16.j = true;
            r16.f = true;
            com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a.notifyAll();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:112:0x018b, code lost:
            monitor-exit(r15);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:117:0x0191, code lost:
            if (r11 == false) goto L_0x01a4;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:118:0x0193, code lost:
            r0 = (javax.microedition.khronos.opengles.GL10) r16.s.d();
            com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a.a(r0);
            r6 = r0;
            r11 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:119:0x01a4, code lost:
            if (r9 == false) goto L_0x01bc;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:120:0x01a6, code lost:
            r0 = r16.t.get();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:121:0x01ae, code lost:
            if (r0 == null) goto L_0x01bb;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:122:0x01b0, code lost:
            r0.h.onSurfaceCreated(r6, r16.s.d);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:123:0x01bb, code lost:
            r9 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:124:0x01bc, code lost:
            if (r12 == false) goto L_0x01d0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:125:0x01be, code lost:
            r0 = r16.t.get();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:126:0x01c6, code lost:
            if (r0 == null) goto L_0x01cf;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:127:0x01c8, code lost:
            r0.h.onSurfaceChanged(r6, r7, r8);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:128:0x01cf, code lost:
            r12 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:129:0x01d0, code lost:
            r0 = r16.t.get();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:130:0x01da, code lost:
            if (r0 == null) goto L_0x01e8;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:131:0x01dc, code lost:
            r0.h.onDrawFrame(r6);
            r0 = r0.b();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:132:0x01e8, code lost:
            r0 = 12288;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:133:0x01ea, code lost:
            if (r0 == 12288) goto L_0x020e;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:135:0x01ee, code lost:
            if (r0 == 12302) goto L_0x020b;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:136:0x01f0, code lost:
            com.tencent.liteav.renderer.TXCGLSurfaceViewBase.h.a("GLThread", "eglSwapBuffers", r0);
            r2 = com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:137:0x01fb, code lost:
            monitor-enter(r2);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:140:?, code lost:
            r16.f = true;
            com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a.notifyAll();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:141:0x0206, code lost:
            monitor-exit(r2);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:146:0x020b, code lost:
            r3 = true;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:148:0x020f, code lost:
            if (r13 == false) goto L_0x0212;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:149:0x0211, code lost:
            r4 = true;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:92:0x0153, code lost:
            if (r14 == null) goto L_0x015b;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:94:0x015b, code lost:
            if (r10 == false) goto L_0x0191;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:96:0x0163, code lost:
            if (r16.s.b() == false) goto L_0x017a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:97:0x0165, code lost:
            r10 = com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:98:0x0169, code lost:
            monitor-enter(r10);
         */
        private void i() throws InterruptedException {
            boolean z;
            boolean z2;
            boolean z3;
            boolean z4;
            this.s = new h(this.t);
            this.h = false;
            this.i = false;
            boolean z5 = false;
            boolean z6 = false;
            boolean z7 = false;
            GL10 gl10 = null;
            int i2 = 0;
            int i3 = 0;
            boolean z8 = false;
            boolean z9 = false;
            boolean z10 = false;
            boolean z11 = false;
            boolean z12 = false;
            while (true) {
                Runnable runnable = null;
                while (true) {
                    try {
                        synchronized (TXCGLSurfaceViewBase.a) {
                            while (!this.a) {
                                if (!this.q.isEmpty()) {
                                    runnable = this.q.remove(0);
                                } else {
                                    if (this.d != this.c) {
                                        z = this.c;
                                        this.d = this.c;
                                        TXCGLSurfaceViewBase.a.notifyAll();
                                    } else {
                                        z = false;
                                    }
                                    if (this.k) {
                                        j();
                                        k();
                                        this.k = false;
                                        z7 = true;
                                    }
                                    if (z5) {
                                        j();
                                        k();
                                        z5 = false;
                                    }
                                    if (z && this.i) {
                                        j();
                                    }
                                    if (z && this.h) {
                                        TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.t.get();
                                        if (tXCGLSurfaceViewBase == null) {
                                            z4 = false;
                                        } else {
                                            z4 = tXCGLSurfaceViewBase.p;
                                        }
                                        if (!z4 || TXCGLSurfaceViewBase.a.a()) {
                                            k();
                                        }
                                    }
                                    if (z && TXCGLSurfaceViewBase.a.b()) {
                                        this.s.g();
                                    }
                                    if (!this.e && !this.g) {
                                        if (this.i) {
                                            j();
                                        }
                                        this.g = true;
                                        this.f = false;
                                        TXCGLSurfaceViewBase.a.notifyAll();
                                    }
                                    if (this.e && this.g) {
                                        this.g = false;
                                        TXCGLSurfaceViewBase.a.notifyAll();
                                    }
                                    if (z6) {
                                        this.p = true;
                                        TXCGLSurfaceViewBase.a.notifyAll();
                                        z6 = false;
                                        z12 = false;
                                    }
                                    if (l()) {
                                        if (!this.h) {
                                            if (z7) {
                                                z7 = false;
                                            } else if (TXCGLSurfaceViewBase.a.b(this)) {
                                                try {
                                                    this.s.a();
                                                    this.h = true;
                                                    TXCGLSurfaceViewBase.a.notifyAll();
                                                    z8 = true;
                                                } catch (RuntimeException e2) {
                                                    TXCGLSurfaceViewBase.a.c(this);
                                                    throw e2;
                                                }
                                            }
                                        }
                                        if (!this.h || this.i) {
                                            z2 = z9;
                                        } else {
                                            this.i = true;
                                            z2 = true;
                                            z10 = true;
                                            z11 = true;
                                        }
                                        if (this.i) {
                                            if (this.r) {
                                                i2 = this.l;
                                                i3 = this.m;
                                                z3 = false;
                                                this.r = false;
                                                z2 = true;
                                                z11 = true;
                                                z12 = true;
                                            } else {
                                                z3 = false;
                                            }
                                            this.o = z3;
                                            TXCGLSurfaceViewBase.a.notifyAll();
                                            z9 = z2;
                                        } else {
                                            z9 = z2;
                                        }
                                    }
                                    TXCGLSurfaceViewBase.a.wait();
                                }
                            }
                            synchronized (TXCGLSurfaceViewBase.a) {
                                j();
                                k();
                            }
                            return;
                        }
                    } catch (Throwable th) {
                        synchronized (TXCGLSurfaceViewBase.a) {
                            j();
                            k();
                            throw th;
                        }
                    }
                }
                runnable.run();
            }
        }

        private void j() {
            if (this.i) {
                this.i = false;
                this.s.f();
            }
        }

        private void k() {
            if (this.h) {
                this.s.g();
                this.h = false;
                TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.t.get();
                if (tXCGLSurfaceViewBase != null) {
                    tXCGLSurfaceViewBase.f = false;
                }
                TXCGLSurfaceViewBase.a.c(this);
            }
        }

        public boolean c() {
            return this.h && this.i && l();
        }

        private boolean l() {
            return !this.d && this.e && !this.f && this.l > 0 && this.m > 0 && (this.o || this.n == 1);
        }

        public void a(int i2) {
            if (i2 < 0 || i2 > 1) {
                throw new IllegalArgumentException("renderMode");
            }
            synchronized (TXCGLSurfaceViewBase.a) {
                this.n = i2;
                TXCGLSurfaceViewBase.a.notifyAll();
            }
        }

        public int d() {
            int i2;
            synchronized (TXCGLSurfaceViewBase.a) {
                i2 = this.n;
            }
            return i2;
        }

        public void e() {
            synchronized (TXCGLSurfaceViewBase.a) {
                this.e = true;
                this.j = false;
                TXCGLSurfaceViewBase.a.notifyAll();
                while (this.g && !this.j && !this.b) {
                    try {
                        TXCGLSurfaceViewBase.a.wait();
                    } catch (InterruptedException unused) {
                        Thread.currentThread().interrupt();
                    }
                }
            }
        }

        public void f() {
            synchronized (TXCGLSurfaceViewBase.a) {
                this.e = false;
                TXCGLSurfaceViewBase.a.notifyAll();
                while (!this.g && !this.b) {
                    try {
                        TXCGLSurfaceViewBase.a.wait();
                    } catch (InterruptedException unused) {
                        Thread.currentThread().interrupt();
                    }
                }
            }
        }

        public void a(int i2, int i3) {
            synchronized (TXCGLSurfaceViewBase.a) {
                this.l = i2;
                this.m = i3;
                this.r = true;
                this.o = true;
                this.p = false;
                TXCGLSurfaceViewBase.a.notifyAll();
                while (!this.b && !this.d && !this.p && c()) {
                    try {
                        TXCGLSurfaceViewBase.a.wait();
                    } catch (InterruptedException unused) {
                        Thread.currentThread().interrupt();
                    }
                }
            }
        }

        public void g() {
            synchronized (TXCGLSurfaceViewBase.a) {
                this.a = true;
                TXCGLSurfaceViewBase.a.notifyAll();
                while (!this.b) {
                    try {
                        TXCGLSurfaceViewBase.a.wait();
                    } catch (InterruptedException unused) {
                        Thread.currentThread().interrupt();
                    }
                }
            }
        }

        public void h() {
            this.k = true;
            TXCGLSurfaceViewBase.a.notifyAll();
        }

        public void a(Runnable runnable) {
            if (runnable != null) {
                synchronized (TXCGLSurfaceViewBase.a) {
                    this.q.add(runnable);
                    TXCGLSurfaceViewBase.a.notifyAll();
                }
                return;
            }
            throw new IllegalArgumentException("r must not be null");
        }
    }

    /* access modifiers changed from: package-private */
    public static class l extends Writer {
        private StringBuilder a = new StringBuilder();

        l() {
        }

        @Override // java.io.Closeable, java.io.Writer, java.lang.AutoCloseable
        public void close() {
            a();
        }

        @Override // java.io.Writer, java.io.Flushable
        public void flush() {
            a();
        }

        @Override // java.io.Writer
        public void write(char[] cArr, int i, int i2) {
            for (int i3 = 0; i3 < i2; i3++) {
                char c = cArr[i + i3];
                if (c == '\n') {
                    a();
                } else {
                    this.a.append(c);
                }
            }
        }

        private void a() {
            if (this.a.length() > 0) {
                TXCLog.v("TXCGLSurfaceViewBase", this.a.toString());
                StringBuilder sb = this.a;
                sb.delete(0, sb.length());
            }
        }
    }

    private void f() {
        if (this.g != null) {
            throw new IllegalStateException("setRenderer has already been called for this instance.");
        }
    }

    /* access modifiers changed from: private */
    public static class j {
        private static String a = "GLThreadManager";
        private boolean b;
        private int c;
        private boolean d;
        private boolean e;
        private boolean f;
        private i g;

        private j() {
        }

        public synchronized void a(i iVar) {
            iVar.b = true;
            if (this.g == iVar) {
                this.g = null;
            }
            notifyAll();
        }

        public boolean b(i iVar) {
            i iVar2 = this.g;
            if (iVar2 == iVar || iVar2 == null) {
                this.g = iVar;
                notifyAll();
                return true;
            }
            c();
            if (this.e) {
                return true;
            }
            i iVar3 = this.g;
            if (iVar3 == null) {
                return false;
            }
            iVar3.h();
            return false;
        }

        public void c(i iVar) {
            if (this.g == iVar) {
                this.g = null;
            }
            notifyAll();
        }

        public synchronized boolean a() {
            return this.f;
        }

        public synchronized boolean b() {
            c();
            return !this.e;
        }

        public synchronized void a(GL10 gl10) {
            if (!this.d) {
                c();
                String glGetString = gl10.glGetString(7937);
                boolean z = false;
                if (this.c < 131072) {
                    this.e = !glGetString.startsWith("Q3Dimension MSM7500 ");
                    notifyAll();
                }
                if (!this.e) {
                    z = true;
                }
                this.f = z;
                this.d = true;
            }
        }

        private void c() {
            this.c = 131072;
            this.e = true;
            this.b = true;
        }
    }

    public static class h {
        EGL10 a;
        EGLDisplay b;
        EGLSurface c;
        EGLConfig d;
        EGLContext e;
        private WeakReference<TXCGLSurfaceViewBase> f;

        public h(WeakReference<TXCGLSurfaceViewBase> weakReference) {
            this.f = weakReference;
        }

        public void a() {
            this.a = (EGL10) EGLContext.getEGL();
            this.b = this.a.eglGetDisplay(EGL10.EGL_DEFAULT_DISPLAY);
            if (this.b != EGL10.EGL_NO_DISPLAY) {
                if (this.a.eglInitialize(this.b, new int[2])) {
                    TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.f.get();
                    if (tXCGLSurfaceViewBase == null) {
                        this.d = null;
                        this.e = null;
                    } else {
                        this.d = tXCGLSurfaceViewBase.j.a(this.a, this.b);
                        this.e = tXCGLSurfaceViewBase.k.a(this.a, this.b, this.d);
                    }
                    EGLContext eGLContext = this.e;
                    if (eGLContext == null || eGLContext == EGL10.EGL_NO_CONTEXT) {
                        this.e = null;
                        a("createContext");
                    }
                    if (tXCGLSurfaceViewBase != null) {
                        tXCGLSurfaceViewBase.f = true;
                    }
                    this.c = null;
                    return;
                }
                throw new RuntimeException("eglInitialize failed");
            }
            throw new RuntimeException("eglGetDisplay failed");
        }

        public boolean b() {
            if (this.a == null) {
                throw new RuntimeException("egl not initialized");
            } else if (this.b == null) {
                throw new RuntimeException("eglDisplay not initialized");
            } else if (this.d != null) {
                h();
                TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.f.get();
                if (tXCGLSurfaceViewBase != null) {
                    this.c = tXCGLSurfaceViewBase.l.a(this.a, this.b, this.d, tXCGLSurfaceViewBase.getHolder());
                } else {
                    this.c = null;
                }
                EGLSurface eGLSurface = this.c;
                if (eGLSurface == null || eGLSurface == EGL10.EGL_NO_SURFACE) {
                    if (this.a.eglGetError() == 12299) {
                        TXCLog.e("EglHelper", "createWindowSurface returned EGL_BAD_NATIVE_WINDOW.");
                    }
                    return false;
                }
                EGL10 egl10 = this.a;
                EGLDisplay eGLDisplay = this.b;
                EGLSurface eGLSurface2 = this.c;
                if (!egl10.eglMakeCurrent(eGLDisplay, eGLSurface2, eGLSurface2, this.e)) {
                    a("EGLHelper", "eglMakeCurrent", this.a.eglGetError());
                    return false;
                }
                if (tXCGLSurfaceViewBase != null) {
                    tXCGLSurfaceViewBase.e = true;
                }
                return true;
            } else {
                throw new RuntimeException("mEglConfig not initialized");
            }
        }

        public int c() {
            return e();
        }

        /* access modifiers changed from: package-private */
        public GL d() {
            GL gl = this.e.getGL();
            TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.f.get();
            if (tXCGLSurfaceViewBase == null) {
                return gl;
            }
            if (tXCGLSurfaceViewBase.m != null) {
                gl = tXCGLSurfaceViewBase.m.a(gl);
            }
            if ((tXCGLSurfaceViewBase.n & 3) == 0) {
                return gl;
            }
            int i = 0;
            l lVar = null;
            if ((tXCGLSurfaceViewBase.n & 1) != 0) {
                i = 1;
            }
            if ((tXCGLSurfaceViewBase.n & 2) != 0) {
                lVar = new l();
            }
            return GLDebugHelper.wrap(gl, i, lVar);
        }

        public int e() {
            if (!this.a.eglSwapBuffers(this.b, this.c)) {
                return this.a.eglGetError();
            }
            return 12288;
        }

        public void f() {
            h();
        }

        private void h() {
            EGLSurface eGLSurface = this.c;
            if (eGLSurface != null && eGLSurface != EGL10.EGL_NO_SURFACE) {
                this.a.eglMakeCurrent(this.b, EGL10.EGL_NO_SURFACE, EGL10.EGL_NO_SURFACE, EGL10.EGL_NO_CONTEXT);
                TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.f.get();
                if (tXCGLSurfaceViewBase != null) {
                    tXCGLSurfaceViewBase.l.a(this.a, this.b, this.c);
                    tXCGLSurfaceViewBase.e = false;
                }
                this.c = null;
            }
        }

        public void g() {
            if (this.e != null) {
                TXCGLSurfaceViewBase tXCGLSurfaceViewBase = this.f.get();
                if (tXCGLSurfaceViewBase != null) {
                    tXCGLSurfaceViewBase.k.a(this.a, this.b, this.e);
                }
                this.e = null;
            }
            EGLDisplay eGLDisplay = this.b;
            if (eGLDisplay != null) {
                this.a.eglTerminate(eGLDisplay);
                this.b = null;
            }
        }

        private void a(String str) {
            a(str, this.a.eglGetError());
        }

        public static void a(String str, int i) {
            throw new RuntimeException(b(str, i));
        }

        public static void a(String str, String str2, int i) {
            TXCLog.w(str, b(str2, i));
        }

        public static String b(String str, int i) {
            return str + " failed: " + i;
        }
    }

    private class b extends a {
        protected int c;
        protected int d;
        protected int e;
        protected int f;
        protected int g;
        protected int h;
        private int[] j = new int[1];

        public b(int i2, int i3, int i4, int i5, int i6, int i7) {
            super(new int[]{12324, i2, 12323, i3, 12322, i4, 12321, i5, 12325, i6, 12326, i7, 12344});
            this.c = i2;
            this.d = i3;
            this.e = i4;
            this.f = i5;
            this.g = i6;
            this.h = i7;
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.a
        public EGLConfig a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig[] eGLConfigArr) {
            for (EGLConfig eGLConfig : eGLConfigArr) {
                int a = a(egl10, eGLDisplay, eGLConfig, 12325, 0);
                int a2 = a(egl10, eGLDisplay, eGLConfig, 12326, 0);
                if (a >= this.g && a2 >= this.h) {
                    int a3 = a(egl10, eGLDisplay, eGLConfig, 12324, 0);
                    int a4 = a(egl10, eGLDisplay, eGLConfig, 12323, 0);
                    int a5 = a(egl10, eGLDisplay, eGLConfig, 12322, 0);
                    int a6 = a(egl10, eGLDisplay, eGLConfig, 12321, 0);
                    if (a3 == this.c && a4 == this.d && a5 == this.e && a6 == this.f) {
                        return eGLConfig;
                    }
                }
            }
            return null;
        }

        private int a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig, int i2, int i3) {
            return egl10.eglGetConfigAttrib(eGLDisplay, eGLConfig, i2, this.j) ? this.j[0] : i3;
        }
    }

    private class m extends b {
        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public m(boolean z) {
            super(8, 8, 8, 0, z ? 16 : 0, 0);
        }
    }

    private class c implements f {
        private int b;

        private c() {
            this.b = 12440;
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.f
        public EGLContext a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig) {
            int[] iArr = {this.b, TXCGLSurfaceViewBase.this.o, 12344};
            EGLContext eGLContext = EGL10.EGL_NO_CONTEXT;
            if (TXCGLSurfaceViewBase.this.o == 0) {
                iArr = null;
            }
            return egl10.eglCreateContext(eGLDisplay, eGLConfig, eGLContext, iArr);
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.f
        public void a(EGL10 egl10, EGLDisplay eGLDisplay, EGLContext eGLContext) {
            if (!egl10.eglDestroyContext(eGLDisplay, eGLContext)) {
                TXCLog.e("DefaultContextFactory", "display:" + eGLDisplay + " context: " + eGLContext);
                h.a("eglDestroyContex", egl10.eglGetError());
            }
        }
    }

    private static class d implements g {
        private d() {
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.g
        public EGLSurface a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig, Object obj) {
            try {
                return egl10.eglCreateWindowSurface(eGLDisplay, eGLConfig, obj, null);
            } catch (IllegalArgumentException e) {
                TXCLog.e("TXCGLSurfaceViewBase", "eglCreateWindowSurface");
                TXCLog.e("TXCGLSurfaceViewBase", e.toString());
                return null;
            }
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.g
        public void a(EGL10 egl10, EGLDisplay eGLDisplay, EGLSurface eGLSurface) {
            egl10.eglDestroySurface(eGLDisplay, eGLSurface);
        }
    }

    private abstract class a implements e {
        protected int[] a;

        /* access modifiers changed from: package-private */
        public abstract EGLConfig a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig[] eGLConfigArr);

        public a(int[] iArr) {
            this.a = a(iArr);
        }

        @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase.e
        public EGLConfig a(EGL10 egl10, EGLDisplay eGLDisplay) {
            int[] iArr = new int[1];
            if (egl10.eglChooseConfig(eGLDisplay, this.a, null, 0, iArr)) {
                int i = iArr[0];
                if (i > 0) {
                    EGLConfig[] eGLConfigArr = new EGLConfig[i];
                    if (egl10.eglChooseConfig(eGLDisplay, this.a, eGLConfigArr, i, iArr)) {
                        EGLConfig a2 = a(egl10, eGLDisplay, eGLConfigArr);
                        if (a2 != null) {
                            return a2;
                        }
                        throw new IllegalArgumentException("No config chosen");
                    }
                    throw new IllegalArgumentException("eglChooseConfig#2 failed");
                }
                throw new IllegalArgumentException("No configs match configSpec");
            }
            throw new IllegalArgumentException("eglChooseConfig failed");
        }

        private int[] a(int[] iArr) {
            if (TXCGLSurfaceViewBase.this.o != 2) {
                return iArr;
            }
            int length = iArr.length;
            int[] iArr2 = new int[(length + 2)];
            int i = length - 1;
            System.arraycopy(iArr, 0, iArr2, 0, i);
            iArr2[i] = 12352;
            iArr2[length] = 4;
            iArr2[length + 1] = 12344;
            return iArr2;
        }
    }

    public int c() {
        return this.g.a();
    }

    public h getEGLHelper() {
        return this.g.b();
    }
}
