package com.tencent.liteav.renderer;

import android.graphics.Bitmap;
import android.graphics.SurfaceTexture;
import android.os.Build;
import android.os.Bundle;
import android.view.Surface;
import android.view.TextureView;
import com.tencent.liteav.TXLiteAVCode;
import com.tencent.liteav.basic.d.c;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.Monitor;
import com.tencent.liteav.basic.module.TXCKeyPointReportProxy;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.d;
import com.tencent.rtmp.TXLiveConstants;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCVideoRender */
public class e extends com.tencent.liteav.basic.module.a implements TextureView.SurfaceTextureListener {
    private static final float[] a = {1.0f, 0.0f, 0.0f, 0.0f, 0.0f, -1.0f, 0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 0.0f, 0.0f, 1.0f, 0.0f, 1.0f};
    private long A = 0;
    private boolean B = false;
    private boolean C = false;
    private boolean D = false;
    private boolean E = false;
    private a F = new a();
    private SurfaceTexture b;
    private int c = 800;
    protected TextureView d;
    protected d e;
    protected int f = 0;
    protected int g = 0;
    protected int h = 0;
    protected int i = 0;
    protected int j = 0;
    protected int k = 0;
    protected volatile int l = -1;
    protected int m = 0;
    protected int n = 0;
    protected f o;
    WeakReference<com.tencent.liteav.basic.c.a> p;
    private c q;
    private h r;
    private Surface s;
    private int t = 0;
    private int u;
    private int[] v = new int[5];
    private int w = 500;
    private long x = 0;
    private long y = 0;
    private long z = 0;

    /* compiled from: TXCVideoRender */
    public static class a {
        public long a;
        public long b;
        public long c;
        public long d;
        public long e;
        public long f;
        public long g;
        public long h;
        public long i;
        public int j;
        public int k;
    }

    public SurfaceTexture a() {
        return null;
    }

    /* access modifiers changed from: protected */
    public void e() {
    }

    /* access modifiers changed from: protected */
    public void f() {
    }

    /* access modifiers changed from: protected */
    public void l() {
    }

    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    public void a(int i2) {
        this.j = i2;
    }

    public void a(final j jVar) {
        Bitmap bitmap;
        Bitmap bitmap2;
        TextureView textureView = this.d;
        if (textureView != null) {
            try {
                bitmap = textureView.getBitmap();
            } catch (OutOfMemoryError unused) {
                bitmap = null;
            }
            if (bitmap != null) {
                bitmap2 = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), textureView.getTransform(null), true);
                bitmap.recycle();
            } else {
                bitmap2 = bitmap;
            }
            if (jVar != null) {
                jVar.a(bitmap2);
                return;
            }
            return;
        }
        c cVar = this.q;
        if (cVar != null) {
            cVar.a(new Runnable() {
                /* class com.tencent.liteav.renderer.e.AnonymousClass1 */

                public void run() {
                    if (e.this.q != null) {
                        e.this.q.a(jVar);
                    }
                }
            });
        }
    }

    public void b(int i2) {
        if (i2 > 0) {
            this.c = i2;
        }
    }

    public void a(f fVar) {
        this.o = fVar;
    }

    public void a(com.tencent.liteav.basic.c.a aVar) {
        this.p = new WeakReference<>(aVar);
    }

    public void a(TextureView textureView) {
        b(textureView);
    }

    public void a(Surface surface) {
        b(surface);
    }

    public void a(TXSVideoFrame tXSVideoFrame, int i2, int i3, int i4) {
        if (i4 != this.k) {
            this.k = i4;
            d(this.t);
        }
        a(i2, i3);
        b();
    }

    public void a(int i2, int i3, int i4, boolean z2, int i5) {
        a(i3, i4);
    }

    public void g() {
        Monitor.a(2, String.format("Remote-VideoRender[%d]: Start [tinyID:%s]", Integer.valueOf(hashCode()), getID()), "", 0);
        this.C = true;
        if (Build.VERSION.SDK_INT >= 21) {
            this.E = true;
        } else {
            this.E = false;
        }
        this.D = false;
        n();
    }

    public void a(boolean z2) {
        if (this.C) {
            Object[] objArr = new Object[5];
            objArr[0] = Integer.valueOf(hashCode());
            objArr[1] = getID();
            objArr[2] = "";
            objArr[3] = 0;
            objArr[4] = z2 ? "true" : "false";
            Monitor.a(2, String.format("Remote-VideoRender[%d]: Stop [tinyID:%s][stopRendThread:%s]", objArr), "", 0);
        }
        this.C = false;
        this.D = false;
        this.E = false;
        if (z2 && this.l == 1) {
            this.l = -1;
            TXCLog.w("TXCVideoRender", "play:vrender: quit render thread when stop");
            f();
            synchronized (this) {
                if (this.q != null) {
                    TXCLog.i("TXCVideoRender", "surface-render:stop render thread " + this.q);
                    this.q.a();
                    this.q = null;
                }
            }
        }
    }

    public void b(int i2, int i3) {
        a(i2, i3);
    }

    public void c(int i2) {
        this.u = i2;
        d dVar = this.e;
        if (dVar != null) {
            dVar.a(i2);
        }
    }

    public void d(int i2) {
        this.t = i2;
        d dVar = this.e;
        if (dVar != null) {
            dVar.c((i2 + this.k) % 360);
        }
    }

    public int h() {
        TextureView textureView = this.d;
        if (textureView != null) {
            return textureView.getWidth();
        }
        if (this.s != null) {
            return this.m;
        }
        return 0;
    }

    public int i() {
        TextureView textureView = this.d;
        if (textureView != null) {
            return textureView.getHeight();
        }
        if (this.s != null) {
            return this.n;
        }
        return 0;
    }

    public int j() {
        return this.h;
    }

    public int k() {
        return this.i;
    }

    /* access modifiers changed from: protected */
    public void a(SurfaceTexture surfaceTexture) {
        this.B = true;
    }

    /* access modifiers changed from: protected */
    public void b(SurfaceTexture surfaceTexture) {
        this.B = false;
    }

    public void e(int i2) {
        this.w = i2;
    }

    private void b(TextureView textureView) {
        TextureView textureView2;
        boolean z2 = false;
        if (textureView != null) {
            this.l = 0;
        }
        if ((this.d == null && textureView != null) || ((textureView2 = this.d) != null && !textureView2.equals(textureView))) {
            z2 = true;
        }
        TXCLog.w("TXCVideoRender", "play:vrender: set video view @old=" + this.d + ",new=" + textureView + "id " + getID() + "_" + this.j);
        if (z2) {
            TextureView textureView3 = this.d;
            if (textureView3 != null && this.b == null) {
                b(textureView3.getSurfaceTexture());
                this.d.setSurfaceTextureListener(null);
            }
            this.d = textureView;
            TextureView textureView4 = this.d;
            if (textureView4 != null) {
                if (textureView4.getWidth() != 0) {
                    this.f = this.d.getWidth();
                }
                if (this.d.getHeight() != 0) {
                    this.g = this.d.getHeight();
                }
                this.e = new d(this.d);
                this.e.b(this.h, this.i);
                this.e.a(this.f, this.g);
                this.e.a(this.u);
                this.e.c((this.t + this.k) % 360);
                this.d.setSurfaceTextureListener(this);
                if (this.b != null) {
                    if (Build.VERSION.SDK_INT < 16 || this.d.getSurfaceTexture() == this.b) {
                        TXCLog.w("TXCVideoRender", "play:vrender: not setSurfaceTexture old surfaceTexture " + this.d.getSurfaceTexture() + ", new surfaceTexture " + this.b);
                        return;
                    }
                    TXCLog.w("TXCVideoRender", "play:vrender: setSurfaceTexture " + this.d + ", surfaceTexture " + this.b);
                    this.d.setSurfaceTexture(this.b);
                } else if (this.d.isAvailable()) {
                    a(this.d.getSurfaceTexture());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i2, int i3) {
        if (this.h != i2 || this.i != i3) {
            if (this.h != i2 || this.i != i3) {
                this.h = i2;
                this.i = i3;
                d dVar = this.e;
                if (dVar != null) {
                    dVar.b(this.h, this.i);
                }
            }
        }
    }

    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i2, int i3) {
        SurfaceTexture surfaceTexture2;
        TXCLog.w("TXCVideoRender", "play:vrender: texture available @" + surfaceTexture + "id " + getID() + "_" + this.j);
        this.f = i2;
        this.g = i3;
        d dVar = this.e;
        if (dVar != null) {
            dVar.a(this.f, this.g);
        }
        if (this.b != null) {
            if (Build.VERSION.SDK_INT >= 16 && this.d.getSurfaceTexture() != (surfaceTexture2 = this.b)) {
                this.d.setSurfaceTexture(surfaceTexture2);
            }
            this.b = null;
        } else {
            a(surfaceTexture);
        }
        this.B = true;
    }

    public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i2, int i3) {
        TXCLog.w("TXCVideoRender", "play:vrender: texture size change new:" + i2 + "," + i3 + " old:" + this.f + "," + this.g);
        if (!this.B) {
            TXCLog.w("TXCVideoRender", "play:vrender: onSurfaceCreate on onSurfaceTextureSizeChanged when onSurfaceTextureAvailable is not trigger");
            this.B = true;
            a(surfaceTexture);
        }
        this.f = i2;
        this.g = i3;
        d dVar = this.e;
        if (dVar != null) {
            dVar.a(this.f, this.g);
        }
    }

    public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
        try {
            this.B = false;
            TXCLog.w("TXCVideoRender", "play:vrender:  onSurfaceTextureDestroyed when need save texture : " + this.E + "id " + getID() + "_" + this.j);
            if (this.E) {
                this.b = surfaceTexture;
            } else {
                this.F.a = 0;
                b(surfaceTexture);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (this.b == null) {
            return true;
        }
        return false;
    }

    private void b(Surface surface) {
        TXCLog.i("TXCVideoRender", "surface-render: set surface " + surface);
        if (this.s == surface) {
            TXCLog.i("TXCVideoRender", "surface-render: set the same surface, ignore ");
            return;
        }
        this.s = surface;
        this.l = 1;
        if (surface != null) {
            TXCLog.i("TXCVideoRender", "surface-render: set surface start render thread " + surface);
            e();
            return;
        }
        synchronized (this) {
            if (this.q != null) {
                TXCLog.i("TXCVideoRender", "surface-render: set surface stop render thread " + this.q);
                this.q.a();
                this.q = null;
            }
        }
    }

    /* access modifiers changed from: protected */
    public void m() {
        synchronized (this) {
            if (this.q != null) {
                TXCLog.i("TXCVideoRender", "surface-render: onRenderThreadEGLDestroy stop render thread " + this.q);
                this.q.a();
                this.q = null;
            }
        }
        h hVar = this.r;
        if (hVar != null) {
            hVar.c();
            this.r = null;
        }
    }

    /* access modifiers changed from: protected */
    public void a(EGLContext eGLContext, int i2, float[] fArr, boolean z2) {
        if (this.l == 1) {
            int[] a2 = a(i2, this.h, this.i, fArr, z2);
            int i3 = a2[0];
            int i4 = a2[1];
            int i5 = a2[2];
            System.arraycopy(a2, 0, this.v, 0, 3);
            if (z2) {
                int[] iArr = this.v;
                iArr[3] = 1;
                iArr[4] = 180;
            } else {
                int[] iArr2 = this.v;
                iArr2[3] = 0;
                iArr2[4] = 0;
            }
            synchronized (this) {
                if (this.s != null) {
                    if (!(this.q == null || this.q.b() == this.s)) {
                        TXCLog.i("TXCVideoRender", "surface-render: onDrawTextureToSurface surface change stop render thread " + this.q + ", " + this.q.b() + ", " + this.s);
                        this.q.a();
                        this.q = null;
                    }
                    if (this.q == null && this.l == 1) {
                        this.q = new c();
                        TXCLog.i("TXCVideoRender", "surface-render: onDrawTextureToSurface start render thread " + this.q);
                        this.q.a(eGLContext, this.s);
                    }
                    if (this.q != null && this.l == 1) {
                        if (z2) {
                            this.q.a(i3, true, TXLiveConstants.RENDER_ROTATION_180, this.m, this.n, i4, i5, false, false);
                        } else {
                            this.q.a(i3, false, 0, this.m, this.n, i4, i5, false, false);
                        }
                    }
                } else if (this.q != null) {
                    TXCLog.i("TXCVideoRender", "surface-render: onDrawTextureToSurface stop render thread " + this.q);
                    this.q.a();
                    this.q = null;
                }
            }
        }
    }

    private int[] a(int i2, int i3, int i4, float[] fArr, boolean z2) {
        h hVar = this.r;
        if (!(hVar == null || hVar.a() == z2)) {
            this.r.c();
            this.r = null;
        }
        if (this.r == null) {
            this.r = new h(Boolean.valueOf(z2));
            this.r.b();
        }
        if (fArr != null) {
            this.r.a(fArr);
        } else {
            this.r.a(a);
        }
        int i5 = this.m;
        int i6 = this.n;
        if (this.u == 0) {
            this.r.a(h.a);
        } else {
            this.r.a(h.b);
        }
        int i7 = this.t;
        int i8 = (this.k + i7) % 360;
        if (z2 && (i7 == 90 || i7 == 270)) {
            i8 = ((this.t + this.k) + TXLiveConstants.RENDER_ROTATION_180) % 360;
        }
        this.r.b(i8);
        this.r.b(i3, i4);
        this.r.a(i5, i6);
        return new int[]{this.r.d(i2), i5, i6};
    }

    public void c(final int i2, final int i3) {
        TXCLog.i("TXCVideoRender", "surface-render: set setSurfaceSize " + i2 + "*" + i3);
        if (i2 != this.m || i3 != this.n) {
            if (this.q == null || this.l != 1 || this.v == null) {
                this.m = i2;
                this.n = i3;
                return;
            }
            this.q.a(new Runnable() {
                /* class com.tencent.liteav.renderer.e.AnonymousClass2 */

                public void run() {
                    e eVar = e.this;
                    eVar.m = i2;
                    eVar.n = i3;
                    if (eVar.q != null) {
                        e.this.q.a(e.this.v[0], e.this.v[3] == 1, e.this.v[4], e.this.m, e.this.n, e.this.v[1], e.this.v[2], true, false);
                    }
                }
            });
        }
    }

    public void n() {
        a aVar = this.F;
        aVar.a = 0;
        aVar.b = 0;
        aVar.c = 0;
        aVar.d = 0;
        aVar.e = 0;
        aVar.f = 0;
        aVar.g = 0;
        aVar.h = 0;
        aVar.i = 0;
        aVar.j = 0;
        aVar.k = 0;
        setStatusValue(TXLiteAVCode.WARNING_IGNORE_UPSTREAM_FOR_AUDIENCE, this.j, 0L);
        setStatusValue(6002, this.j, Double.valueOf(0.0d));
        setStatusValue(6003, this.j, 0L);
        setStatusValue(6005, this.j, 0L);
        setStatusValue(6006, this.j, 0L);
        setStatusValue(6004, this.j, 0L);
    }

    private long a(long j2) {
        long timeTick = TXCTimeUtil.getTimeTick();
        if (j2 > timeTick) {
            return 0;
        }
        return timeTick - j2;
    }

    public void o() {
        if (this.F.a == 0) {
            this.F.a = TXCTimeUtil.getTimeTick();
            return;
        }
        long timeTick = TXCTimeUtil.getTimeTick() - this.F.a;
        if (timeTick >= 1000) {
            double d2 = (double) (this.F.c - this.F.b);
            Double.isNaN(d2);
            double d3 = (double) timeTick;
            Double.isNaN(d3);
            double doubleValue = Double.valueOf((d2 * 1000.0d) / d3).doubleValue();
            setStatusValue(6002, this.j, Double.valueOf(doubleValue));
            TXCKeyPointReportProxy.a(getID(), 40001, (int) doubleValue);
            a aVar = this.F;
            aVar.b = aVar.c;
            this.F.a += timeTick;
        }
    }

    private void b() {
        if (!this.D) {
            Bundle bundle = new Bundle();
            bundle.putString("EVT_USERID", getID());
            bundle.putInt("EVT_ID", 2003);
            bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, "渲染首个视频数据包(IDR)");
            bundle.putInt("EVT_PARAM1", this.h);
            bundle.putInt("EVT_PARAM2", this.i);
            d.a(this.p, 2003, bundle);
            setStatusValue(TXLiteAVCode.WARNING_IGNORE_UPSTREAM_FOR_AUDIENCE, this.j, Long.valueOf(TXCTimeUtil.getTimeTick()));
            TXCLog.i("TXCVideoRender", "trtc_render render first frame " + getID() + ", " + this.j);
            this.D = true;
            Object[] objArr = new Object[2];
            objArr[0] = Integer.valueOf(hashCode());
            objArr[1] = getID() != null ? getID() : "";
            Monitor.a(2, String.format("Remote-VideoRender[%d]: Rend first frame [tinyID:%s]", objArr), "", 0);
        }
        this.F.c++;
        o();
        if (this.F.d != 0) {
            a aVar = this.F;
            aVar.i = a(aVar.d);
            if (this.F.i > ((long) this.w)) {
                this.F.e++;
                setStatusValue(6003, this.j, Long.valueOf(this.F.e));
                if (this.F.i > this.F.h) {
                    a aVar2 = this.F;
                    aVar2.h = aVar2.i;
                    setStatusValue(6005, this.j, Long.valueOf(this.F.h));
                }
                this.F.g += this.F.i;
                setStatusValue(6006, this.j, Long.valueOf(this.F.g));
                TXCLog.w("TXCVideoRender", "render frame count:" + this.F.c + " block time:" + this.F.i + "> 500");
                this.x = this.x + 1;
                this.z = this.z + this.F.i;
            }
            if (this.F.i > ((long) this.c)) {
                TXCLog.w("TXCVideoRender", "render frame count:" + this.F.c + " block time:" + this.F.i + "> " + this.c);
                WeakReference<com.tencent.liteav.basic.c.a> weakReference = this.p;
                String id = getID();
                StringBuilder sb = new StringBuilder();
                sb.append("当前视频播放出现卡顿");
                sb.append(this.F.i);
                sb.append("ms");
                d.a(weakReference, id, 2105, sb.toString());
            }
            if (this.F.i > 1000) {
                this.F.f++;
                setStatusValue(6004, this.j, Long.valueOf(this.F.f));
                TXCLog.w("TXCVideoRender", "render frame count:" + this.F.c + " block time:" + this.F.i + "> 1000");
            }
        }
        long timeTick = TXCTimeUtil.getTimeTick();
        long j2 = this.y;
        if (j2 == 0) {
            this.y = timeTick;
        } else if (timeTick - j2 >= 2000) {
            setStatusValue(17015, this.j, Long.valueOf(this.x));
            setStatusValue(17016, this.j, Long.valueOf(this.z));
            if (this.A != 0) {
                TXCKeyPointReportProxy.a(getID(), 40005, (int) this.z);
                TXCKeyPointReportProxy.a(getID(), 40006, (int) (timeTick - this.y));
            }
            this.x = 0;
            this.y = timeTick;
            this.z = 0;
        }
        this.F.d = TXCTimeUtil.getTimeTick();
        if (this.A == 0) {
            this.A = this.F.d;
        }
        a aVar3 = this.F;
        aVar3.k = this.i;
        aVar3.j = this.h;
    }
}
