package com.tencent.liteav.txcvodplayer;

import android.content.Context;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.support.v4.app.NotificationManagerCompat;
import android.util.AttributeSet;
import android.util.Log;
import android.view.Surface;
import android.view.View;
import android.widget.FrameLayout;
import com.google.android.exoplayer2.decoder.DecoderCounters;
import com.tencent.ijk.media.exo.IjkExoMediaPlayer;
import com.tencent.ijk.media.player.AndroidMediaPlayer;
import com.tencent.ijk.media.player.IMediaPlayer;
import com.tencent.ijk.media.player.IjkBitrateItem;
import com.tencent.ijk.media.player.IjkLibLoader;
import com.tencent.ijk.media.player.IjkMediaMeta;
import com.tencent.ijk.media.player.IjkMediaPlayer;
import com.tencent.ijk.media.player.IjkTimedText;
import com.tencent.ijk.media.player.MediaInfo;
import com.tencent.ijk.media.player.TextureMediaPlayer;
import com.tencent.liteav.TXLiteAVCode;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.d;
import com.tencent.liteav.txcvodplayer.a;
import com.tencent.liteav.txcvodplayer.a.b;
import com.tencent.rtmp.TXLiveConstants;
import java.io.File;
import java.io.FileNotFoundException;
import java.lang.ref.WeakReference;
import java.net.InetAddress;
import java.util.ArrayList;
import java.util.Locale;

public class TXCVodVideoView extends FrameLayout {
    private String A;
    private float B = 1.0f;
    private com.tencent.liteav.txcvodplayer.a.a C;
    private b D = b.a();
    private int E;
    private long F;
    private int G;
    private int H;
    private long I;
    private boolean J = false;
    private int K = -1;
    private float L = 1.0f;
    private float M = 1.0f;
    private boolean N = false;
    private int O;
    private boolean P;
    private b Q;
    private IMediaPlayer.OnCompletionListener R = new IMediaPlayer.OnCompletionListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass11 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnCompletionListener
        public void onCompletion(IMediaPlayer iMediaPlayer) {
            if (TXCVodVideoView.this.c != 1 || TXCVodVideoView.this.j != -1) {
                TXCVodVideoView.this.i = 5;
                TXCVodVideoView.this.j = 5;
                TXCVodVideoView.this.a((TXCVodVideoView) 2006, (int) "播放完成", "play end");
            }
        }
    };
    private IMediaPlayer.OnInfoListener S = new IMediaPlayer.OnInfoListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass12 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnInfoListener
        public boolean onInfo(IMediaPlayer iMediaPlayer, int i, int i2) {
            if (i == 3) {
                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_VIDEO_RENDERING_START:");
                if (!TXCVodVideoView.this.P) {
                    TXCVodVideoView.this.a((TXCVodVideoView) 2003, (int) "点播显示首帧画面", "render start");
                    if (TXCVodVideoView.this.c == 1) {
                        new Thread(new Runnable() {
                            /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass12.AnonymousClass1 */

                            public void run() {
                                try {
                                    InetAddress byName = InetAddress.getByName(TXCVodVideoView.this.h.getHost());
                                    TXCVodVideoView.this.A = byName.getHostAddress();
                                } catch (Exception e) {
                                    e.printStackTrace();
                                }
                            }
                        }).start();
                    }
                }
                TXCVodVideoView tXCVodVideoView = TXCVodVideoView.this;
                tXCVodVideoView.setRate(tXCVodVideoView.B);
                if (TXCVodVideoView.this.c == 1) {
                    TXCVodVideoView.this.a((TXCVodVideoView) 2014, (int) "缓冲结束", "loading end");
                    if (TXCVodVideoView.this.j == 3 && TXCVodVideoView.this.P) {
                        TXCVodVideoView.this.a((TXCVodVideoView) 2004, (int) "播放开始", "playing");
                    }
                }
                TXCVodVideoView.this.P = true;
            } else if (i == 10011) {
                TXCVodVideoView.this.a((TXCVodVideoView) TXLiteAVCode.EVT_VOD_PLAY_FIRST_VIDEO_PACKET, (int) "收到视频数据", "first video packet");
            } else if (i == 901) {
                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_UNSUPPORTED_SUBTITLE:");
            } else if (i == 902) {
                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_SUBTITLE_TIMED_OUT:");
            } else if (i == 10001) {
                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_VIDEO_ROTATION_CHANGED: " + i2);
                TXCVodVideoView.this.r = i2;
                if (TXCVodVideoView.this.a && TXCVodVideoView.this.r > 0) {
                    TXCVodVideoView tXCVodVideoView2 = TXCVodVideoView.this;
                    tXCVodVideoView2.q = tXCVodVideoView2.r;
                    if (TXCVodVideoView.this.x != null) {
                        TXCVodVideoView.this.x.setVideoRotation(TXCVodVideoView.this.q);
                    }
                }
                TXCVodVideoView.this.a((TXCVodVideoView) 2011, (int) ("视频角度 " + TXCVodVideoView.this.r), "rotation " + TXCVodVideoView.this.r);
            } else if (i != 10002) {
                switch (i) {
                    case 700:
                        TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_VIDEO_TRACK_LAGGING:");
                        break;
                    case IMediaPlayer.MEDIA_INFO_BUFFERING_START:
                        TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_BUFFERING_START:");
                        TXCVodVideoView.this.a((TXCVodVideoView) 2007, (int) "缓冲开始", "loading start");
                        break;
                    case IMediaPlayer.MEDIA_INFO_BUFFERING_END:
                        TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_BUFFERING_END: eof " + i2);
                        if (i2 == 0 || TXCVodVideoView.this.h == null || TXCVodVideoView.this.h.getPath() == null || !TXCVodVideoView.this.h.getPath().endsWith(IjkMediaMeta.IJKM_KEY_M3U8)) {
                            TXCVodVideoView.this.a((TXCVodVideoView) 2014, (int) "缓冲结束", "loading end");
                            if (TXCVodVideoView.this.j == 3) {
                                TXCVodVideoView.this.a((TXCVodVideoView) 2004, (int) "播放开始", "playing");
                                break;
                            }
                        }
                        break;
                    case IMediaPlayer.MEDIA_INFO_NETWORK_BANDWIDTH:
                        TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_NETWORK_BANDWIDTH: " + i2);
                        break;
                    default:
                        switch (i) {
                            case 800:
                                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_BAD_INTERLEAVING:");
                                break;
                            case IMediaPlayer.MEDIA_INFO_NOT_SEEKABLE:
                                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_NOT_SEEKABLE:");
                                break;
                            case IMediaPlayer.MEDIA_INFO_METADATA_UPDATE:
                                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_METADATA_UPDATE:");
                                break;
                        }
                }
            } else {
                TXCLog.i(TXCVodVideoView.this.g, "MEDIA_INFO_AUDIO_RENDERING_START:");
            }
            return true;
        }
    };
    private int T;
    private IMediaPlayer.OnErrorListener U = new IMediaPlayer.OnErrorListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass13 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnErrorListener
        public boolean onError(IMediaPlayer iMediaPlayer, int i, int i2) {
            String str = TXCVodVideoView.this.g;
            TXCLog.e(str, "onError: " + i + "," + i2);
            TXCVodVideoView.this.i = -1;
            TXCVodVideoView.this.j = -1;
            if (i == -1004 && i2 == -2303) {
                TXCVodVideoView.this.a((TXCVodVideoView) i2, (int) "文件不存在", "file not exist");
                TXCVodVideoView.this.c();
                return true;
            }
            if (TXCVodVideoView.this.I != ((long) TXCVodVideoView.this.getCurrentPosition())) {
                TXCVodVideoView.this.T = 0;
            }
            TXCVodVideoView tXCVodVideoView = TXCVodVideoView.this;
            tXCVodVideoView.I = (long) tXCVodVideoView.getCurrentPosition();
            if (((float) TXCVodVideoView.r(TXCVodVideoView.this)) >= TXCVodVideoView.this.w.a) {
                TXCVodVideoView.this.a((TXCVodVideoView) -2301, (int) "网络断开，播放错误", "disconnect");
                TXCVodVideoView.this.c();
            } else if (TXCVodVideoView.this.ah != null) {
                TXCVodVideoView.this.ah.sendEmptyMessageDelayed(102, (long) (TXCVodVideoView.this.w.b * 1000.0f));
            }
            return true;
        }
    };
    private IMediaPlayer.OnHevcVideoDecoderErrorListener V = new IMediaPlayer.OnHevcVideoDecoderErrorListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass14 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnHevcVideoDecoderErrorListener
        public void onHevcVideoDecoderError(IMediaPlayer iMediaPlayer) {
            Log.d(TXCVodVideoView.this.g, "onHevcVideoDecoderError");
            TXCVodVideoView.this.a((TXCVodVideoView) -2304, (int) "点播H265解码失败", "hevc decode fail");
        }
    };
    private IMediaPlayer.OnVideoDecoderErrorListener W = new IMediaPlayer.OnVideoDecoderErrorListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass15 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnVideoDecoderErrorListener
        public void onVideoDecoderError(IMediaPlayer iMediaPlayer) {
            Log.d(TXCVodVideoView.this.g, "onVideoDecoderError");
            if (TXCVodVideoView.this.i != 4) {
                TXCVodVideoView.this.a((TXCVodVideoView) 2106, (int) "点播解码失败", "decode fail");
            }
            if (!TXCVodVideoView.this.P && TXCVodVideoView.this.w.d && Math.min(TXCVodVideoView.this.n, TXCVodVideoView.this.m) < 1080) {
                TXCVodVideoView.this.w.d = false;
                TXCVodVideoView.this.g();
            }
        }
    };
    protected boolean a = true;
    private IMediaPlayer.OnBufferingUpdateListener aa = new IMediaPlayer.OnBufferingUpdateListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass2 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnBufferingUpdateListener
        public void onBufferingUpdate(IMediaPlayer iMediaPlayer, int i) {
            TXCVodVideoView.this.s = i;
        }
    };
    private IMediaPlayer.OnSeekCompleteListener ab = new IMediaPlayer.OnSeekCompleteListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass3 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnSeekCompleteListener
        public void onSeekComplete(IMediaPlayer iMediaPlayer) {
            TXCLog.v(TXCVodVideoView.this.g, "seek complete");
            TXCVodVideoView.this.J = false;
            if (TXCVodVideoView.this.K >= 0) {
                TXCVodVideoView tXCVodVideoView = TXCVodVideoView.this;
                tXCVodVideoView.a(tXCVodVideoView.K);
            }
        }
    };
    private IMediaPlayer.OnTimedTextListener ac = new IMediaPlayer.OnTimedTextListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass4 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnTimedTextListener
        public void onTimedText(IMediaPlayer iMediaPlayer, IjkTimedText ijkTimedText) {
        }
    };
    private IjkMediaPlayer.OnNativeInvokeListener ad = new IjkMediaPlayer.OnNativeInvokeListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass5 */

        @Override // com.tencent.ijk.media.player.IjkMediaPlayer.OnNativeInvokeListener
        public boolean onNativeInvoke(int i, Bundle bundle) {
            if (i == 131074) {
                TXCVodVideoView.this.A = bundle.getString(IjkMediaPlayer.OnNativeInvokeListener.ARG_IP);
                TXCVodVideoView.this.a((TXCVodVideoView) TXLiteAVCode.EVT_VOD_PLAY_TCP_CONNECT_SUCC, (int) "CTRL_DID_TCP_OPEN", "tcp open");
                return true;
            } else if (i != 131106) {
                return false;
            } else {
                TXCVodVideoView.this.a((TXCVodVideoView) TXLiteAVCode.EVT_VOD_PLAY_DNS_RESOLVED, (int) "PLAYER_EVENT_DNS_RESOLVED", "dns resolved");
                return true;
            }
        }
    };
    private IMediaPlayer.OnHLSKeyErrorListener ae = new IMediaPlayer.OnHLSKeyErrorListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass6 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnHLSKeyErrorListener
        public void onHLSKeyError(IMediaPlayer iMediaPlayer) {
            Log.e(TXCVodVideoView.this.g, "onHLSKeyError");
            TXCVodVideoView.this.a((TXCVodVideoView) -2305, (int) "HLS解密key获取失败", "hls key error");
            if (TXCVodVideoView.this.l != null) {
                TXCVodVideoView.this.l.stop();
                TXCVodVideoView.this.l.release();
                TXCVodVideoView.this.l = null;
            }
            TXCVodVideoView.this.i = -1;
            TXCVodVideoView.this.j = -1;
        }
    };
    private int af = 0;
    private e ag;
    private Handler ah;
    private boolean ai = false;
    protected boolean b = true;
    protected int c = 0;
    IMediaPlayer.OnVideoSizeChangedListener d = new IMediaPlayer.OnVideoSizeChangedListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass9 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnVideoSizeChangedListener
        public void onVideoSizeChanged(IMediaPlayer iMediaPlayer, int i, int i2, int i3, int i4) {
            boolean z = (TXCVodVideoView.this.n != i2 && Math.abs(TXCVodVideoView.this.n - i2) > 16) || (TXCVodVideoView.this.m != i && Math.abs(TXCVodVideoView.this.m - i) > 16);
            TXCVodVideoView.this.m = iMediaPlayer.getVideoWidth();
            TXCVodVideoView.this.n = iMediaPlayer.getVideoHeight();
            TXCVodVideoView.this.y = iMediaPlayer.getVideoSarNum();
            TXCVodVideoView.this.z = iMediaPlayer.getVideoSarDen();
            if (!(TXCVodVideoView.this.m == 0 || TXCVodVideoView.this.n == 0)) {
                if (TXCVodVideoView.this.x != null) {
                    TXCVodVideoView.this.x.setVideoSize(TXCVodVideoView.this.m, TXCVodVideoView.this.n);
                    TXCVodVideoView.this.x.setVideoSampleAspectRatio(TXCVodVideoView.this.y, TXCVodVideoView.this.z);
                }
                TXCVodVideoView.this.requestLayout();
            }
            if (z) {
                Message message = new Message();
                message.what = 101;
                message.arg1 = 2009;
                Bundle bundle = new Bundle();
                bundle.putString("description", "分辨率改变:" + TXCVodVideoView.this.m + "*" + TXCVodVideoView.this.n);
                bundle.putInt("EVT_PARAM1", TXCVodVideoView.this.m);
                bundle.putInt("EVT_PARAM2", TXCVodVideoView.this.n);
                message.setData(bundle);
                if (TXCVodVideoView.this.ah != null) {
                    TXCVodVideoView.this.ah.sendMessage(message);
                }
            }
        }
    };
    IMediaPlayer.OnPreparedListener e = new IMediaPlayer.OnPreparedListener() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass10 */

        @Override // com.tencent.ijk.media.player.IMediaPlayer.OnPreparedListener
        public void onPrepared(IMediaPlayer iMediaPlayer) {
            if (TXCVodVideoView.this.i == 1) {
                TXCVodVideoView.this.a((TXCVodVideoView) 2013, (int) "点播准备完成", "prepared");
                if (!TXCVodVideoView.this.b) {
                    TXCVodVideoView.this.j = 4;
                    TXCVodVideoView.this.b = true;
                }
                TXCVodVideoView.this.i = 2;
            }
            TXCVodVideoView.this.t = 0;
            if (TXCVodVideoView.this.i == -1) {
                TXCVodVideoView.this.i = 3;
                TXCVodVideoView.this.j = 3;
            }
            if (TXCVodVideoView.this.ah != null) {
                TXCVodVideoView.this.ah.sendEmptyMessage(100);
                TXCVodVideoView.this.ah.sendEmptyMessage(103);
            }
            TXCVodVideoView.this.m = iMediaPlayer.getVideoWidth();
            TXCVodVideoView.this.n = iMediaPlayer.getVideoHeight();
            if (TXCVodVideoView.this.m == 0 || TXCVodVideoView.this.n == 0) {
                if (TXCVodVideoView.this.j == 3) {
                    TXCVodVideoView.this.b();
                }
            } else if (TXCVodVideoView.this.x != null) {
                TXCVodVideoView.this.x.setVideoSize(TXCVodVideoView.this.m, TXCVodVideoView.this.n);
                TXCVodVideoView.this.x.setVideoSampleAspectRatio(TXCVodVideoView.this.y, TXCVodVideoView.this.z);
                if ((!TXCVodVideoView.this.x.shouldWaitForResize() || (TXCVodVideoView.this.o == TXCVodVideoView.this.m && TXCVodVideoView.this.p == TXCVodVideoView.this.n)) && TXCVodVideoView.this.j == 3) {
                    TXCVodVideoView.this.b();
                }
            }
        }
    };
    a.AbstractC0004a f = new a.AbstractC0004a() {
        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass7 */

        @Override // com.tencent.liteav.txcvodplayer.a.AbstractC0004a
        public void a(a.b bVar, int i, int i2, int i3) {
            if (bVar.a() != TXCVodVideoView.this.x) {
                TXCLog.e(TXCVodVideoView.this.g, "onSurfaceChanged: unmatched render callback\n");
                return;
            }
            TXCLog.i(TXCVodVideoView.this.g, "onSurfaceChanged");
            TXCVodVideoView.this.o = i2;
            TXCVodVideoView.this.p = i3;
            boolean z = true;
            boolean z2 = TXCVodVideoView.this.j == 3;
            if (TXCVodVideoView.this.x.shouldWaitForResize() && !(TXCVodVideoView.this.m == i2 && TXCVodVideoView.this.n == i3)) {
                z = false;
            }
            if (TXCVodVideoView.this.l != null && z2 && z && TXCVodVideoView.this.j == 3) {
                TXCVodVideoView.this.b();
            }
        }

        @Override // com.tencent.liteav.txcvodplayer.a.AbstractC0004a
        public void a(a.b bVar, int i, int i2) {
            if (bVar.a() != TXCVodVideoView.this.x) {
                TXCLog.e(TXCVodVideoView.this.g, "onSurfaceCreated: unmatched render callback\n");
                return;
            }
            TXCLog.i(TXCVodVideoView.this.g, "onSurfaceCreated");
            TXCVodVideoView.this.k = bVar;
            if (TXCVodVideoView.this.l != null) {
                TXCVodVideoView tXCVodVideoView = TXCVodVideoView.this;
                tXCVodVideoView.a((TXCVodVideoView) tXCVodVideoView.l, (IMediaPlayer) bVar);
                return;
            }
            TXCVodVideoView.this.f();
        }

        @Override // com.tencent.liteav.txcvodplayer.a.AbstractC0004a
        public void a(a.b bVar) {
            if (bVar.a() != TXCVodVideoView.this.x) {
                TXCLog.e(TXCVodVideoView.this.g, "onSurfaceDestroyed: unmatched render callback\n");
                return;
            }
            TXCLog.i(TXCVodVideoView.this.g, "onSurfaceDestroyed");
            TXCVodVideoView.this.k = null;
            if (TXCVodVideoView.this.l != null) {
                TXCVodVideoView.this.l.setSurface(null);
            }
            TXCVodVideoView.this.a();
        }
    };
    private String g = "TXCVodVideoView";
    private Uri h;
    private int i = 0;
    private int j = 0;
    private a.b k = null;
    private IMediaPlayer l = null;
    private int m;
    private int n;
    private int o;
    private int p;
    private int q;
    private int r;
    private int s;
    private int t;
    private int u;
    private Context v;
    private d w;
    private a x;
    private int y;
    private int z;

    static /* synthetic */ int r(TXCVodVideoView tXCVodVideoView) {
        int i2 = tXCVodVideoView.T;
        tXCVodVideoView.T = i2 + 1;
        return i2;
    }

    public int getMetaRotationDegree() {
        return this.r;
    }

    public TXCVodVideoView(Context context) {
        super(context);
        a(context);
    }

    public TXCVodVideoView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(context);
    }

    public TXCVodVideoView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a(context);
    }

    private void a(Context context) {
        this.v = context.getApplicationContext();
        this.w = new d();
        i();
        this.m = 0;
        this.n = 0;
        setFocusable(true);
        setFocusableInTouchMode(true);
        requestFocus();
        this.i = 0;
        this.j = 0;
        Looper mainLooper = Looper.getMainLooper();
        if (mainLooper != null) {
            this.ah = new a(this, mainLooper);
        } else {
            this.ah = null;
        }
        this.Q = new b();
    }

    public void setRenderView(a aVar) {
        int i2;
        int i3;
        String str = this.g;
        TXCLog.i(str, "setRenderView " + aVar);
        if (this.x != null) {
            IMediaPlayer iMediaPlayer = this.l;
            if (iMediaPlayer != null) {
                iMediaPlayer.setDisplay(null);
            }
            View view = this.x.getView();
            this.x.removeRenderCallback(this.f);
            this.x = null;
            if (view.getParent() == this) {
                removeView(view);
            }
        }
        if (aVar != null) {
            this.x = aVar;
            aVar.setAspectRatio(this.af);
            int i4 = this.m;
            if (i4 > 0 && (i3 = this.n) > 0) {
                aVar.setVideoSize(i4, i3);
            }
            int i5 = this.y;
            if (i5 > 0 && (i2 = this.z) > 0) {
                aVar.setVideoSampleAspectRatio(i5, i2);
            }
            View view2 = this.x.getView();
            view2.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 17));
            if (view2.getParent() == null) {
                addView(view2);
            }
            this.x.addRenderCallback(this.f);
            this.x.setVideoRotation(this.q);
        }
    }

    public void setRender(int i2) {
        if (i2 == 0) {
            setRenderView(null);
        } else if (i2 == 1) {
            setRenderView(new SurfaceRenderView(this.v));
        } else if (i2 != 2) {
            TXCLog.e(this.g, String.format(Locale.getDefault(), "invalid render %d\n", Integer.valueOf(i2)));
        } else {
            TextureRenderView textureRenderView = new TextureRenderView(this.v);
            if (this.l != null) {
                textureRenderView.getSurfaceHolder().a(this.l);
                textureRenderView.setVideoSize(this.l.getVideoWidth(), this.l.getVideoHeight());
                textureRenderView.setVideoSampleAspectRatio(this.l.getVideoSarNum(), this.l.getVideoSarDen());
                textureRenderView.setAspectRatio(this.af);
            }
            setRenderView(textureRenderView);
        }
    }

    public void setTextureRenderView(TextureRenderView textureRenderView) {
        String str = this.g;
        TXCLog.i(str, "setTextureRenderView " + textureRenderView);
        if (this.l != null) {
            textureRenderView.getSurfaceHolder().a(this.l);
            textureRenderView.setVideoSize(this.l.getVideoWidth(), this.l.getVideoHeight());
            textureRenderView.setVideoSampleAspectRatio(this.l.getVideoSarNum(), this.l.getVideoSarDen());
            textureRenderView.setAspectRatio(this.af);
        }
        setRenderView(textureRenderView);
    }

    public void setRenderSurface(final Surface surface) {
        this.k = new a.b() {
            /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass1 */

            @Override // com.tencent.liteav.txcvodplayer.a.b
            public void a(IMediaPlayer iMediaPlayer) {
                iMediaPlayer.setSurface(surface);
            }

            @Override // com.tencent.liteav.txcvodplayer.a.b
            public a a() {
                return TXCVodVideoView.this.x;
            }
        };
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            a(iMediaPlayer, this.k);
        }
    }

    public void setVideoPath(String str) {
        setVideoURI(Uri.parse(str));
    }

    public void setVideoURI(Uri uri) {
        this.h = uri;
        this.u = 0;
        this.H = 0;
        this.T = 0;
        this.A = null;
        String str = this.g;
        TXCLog.i(str, "setVideoURI " + uri);
        f();
        requestLayout();
        invalidate();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean f() {
        IjkMediaPlayer ijkMediaPlayer;
        IjkMediaPlayer ijkMediaPlayer2;
        TXCLog.i(this.g, "openVideo");
        if (this.h == null) {
            return false;
        }
        if (this.k == null && this.b) {
            return false;
        }
        a(false);
        ((AudioManager) this.v.getSystemService("audio")).requestAudioFocus(null, 3, 1);
        try {
            String uri = this.h.toString();
            if (uri.startsWith("/")) {
                if (!new File(uri).exists()) {
                    throw new FileNotFoundException();
                }
            }
            int i2 = this.c;
            if (i2 == 1) {
                IjkExoMediaPlayer ijkExoMediaPlayer = new IjkExoMediaPlayer(this.v);
                TXCLog.i(this.g, "exo media player " + ijkExoMediaPlayer);
                ijkMediaPlayer = ijkExoMediaPlayer;
            } else if (i2 != 2) {
                if (this.h != null) {
                    IjkMediaPlayer ijkMediaPlayer3 = new IjkMediaPlayer(new IjkLibLoader() {
                        /* class com.tencent.liteav.txcvodplayer.TXCVodVideoView.AnonymousClass8 */

                        @Override // com.tencent.ijk.media.player.IjkLibLoader
                        public void loadLibrary(String str) throws UnsatisfiedLinkError, SecurityException {
                            d.a(str);
                        }
                    });
                    IjkMediaPlayer.native_setLogLevel(3);
                    ijkMediaPlayer3.setOnNativeInvokeListener(this.ad);
                    long j2 = 1;
                    if (this.w.d) {
                        ijkMediaPlayer3.setOption(4, "mediacodec", 1);
                        ijkMediaPlayer3.setOption(4, "mediacodec-hevc", 1);
                    } else {
                        ijkMediaPlayer3.setOption(4, "mediacodec", 0);
                    }
                    TXCLog.i(this.g, "ijk mediacodec " + this.w.d);
                    ijkMediaPlayer3.setOption(4, "mediacodec-auto-rotate", 0);
                    ijkMediaPlayer3.setOption(4, "mediacodec-handle-resolution-change", 0);
                    ijkMediaPlayer3.setOption(4, "opensles", 0);
                    ijkMediaPlayer3.setOption(4, "overlay-format", 842225234);
                    ijkMediaPlayer3.setOption(4, "framedrop", 1);
                    ijkMediaPlayer3.setOption(4, "soundtouch", 1);
                    ijkMediaPlayer3.setOption(4, "max-fps", 30);
                    if (!this.b || this.j == 4) {
                        ijkMediaPlayer3.setOption(4, "start-on-prepared", 0);
                    } else {
                        ijkMediaPlayer3.setOption(4, "start-on-prepared", 1);
                    }
                    ijkMediaPlayer3.setOption(4, "load-on-prepared", 1);
                    ijkMediaPlayer3.setOption(1, "http-detect-range-support", 0);
                    ijkMediaPlayer3.setOption(2, "skip_loop_filter", 0);
                    ijkMediaPlayer3.setOption(2, "skip_frame", 0);
                    ijkMediaPlayer3.setOption(1, "timeout", (long) ((int) (this.w.c * 1000.0f * 1000.0f)));
                    ijkMediaPlayer3.setOption(1, "reconnect", 1);
                    ijkMediaPlayer3.setOption(1, "analyzeduration", 90000000);
                    ijkMediaPlayer3.setOption(4, "enable-accurate-seek", this.w.i ? 1 : 0);
                    if (this.w.j) {
                        j2 = 0;
                    }
                    ijkMediaPlayer3.setOption(4, "disable-bitrate-sync", j2);
                    ijkMediaPlayer3.setOption(1, "dns_cache_timeout", 0);
                    ijkMediaPlayer3.setOption(1, "cache_max_capacity", 2147483647L);
                    if (this.t > 0) {
                        ijkMediaPlayer3.setOption(4, "seek-at-start", (long) this.t);
                        TXCLog.i(this.g, "ijk start time " + this.t);
                    }
                    if (this.w.m > 0) {
                        ijkMediaPlayer3.setOption(4, "max-buffer-size", (long) (this.w.m * 1024 * 1024));
                        TXCLog.i(this.g, "ijk max buffer size " + this.w.m);
                    }
                    if (this.w.h != null) {
                        String str = null;
                        for (String str2 : this.w.h.keySet()) {
                            str = str == null ? String.format("%s: %s", str2, this.w.h.get(str2)) : str + "\r\n" + String.format("%s: %s", str2, this.w.h.get(str2));
                        }
                        ijkMediaPlayer3.setOption(1, "headers", str);
                    }
                    ijkMediaPlayer3.setBitrateIndex(this.O);
                    IjkMediaPlayer.native_setLogLevel(5);
                    ijkMediaPlayer2 = ijkMediaPlayer3;
                    if (this.w.e != null) {
                        ijkMediaPlayer2 = ijkMediaPlayer3;
                        if (this.D.e(uri)) {
                            this.D.b(this.w.e);
                            this.D.a(this.w.f);
                            this.C = this.D.d(uri);
                            ijkMediaPlayer2 = ijkMediaPlayer3;
                            if (this.C != null) {
                                if (this.C.a() != null) {
                                    ijkMediaPlayer3.setOption(1, "cache_file_path", this.C.a());
                                    uri = "ijkio:cache:ffio:" + this.h.toString();
                                    ijkMediaPlayer2 = ijkMediaPlayer3;
                                } else {
                                    ijkMediaPlayer2 = ijkMediaPlayer3;
                                    if (this.C.b() != null) {
                                        ijkMediaPlayer3.setOption(1, "cache_db_path", this.C.b());
                                        uri = "ijkhlscache:" + this.h.toString();
                                        ijkMediaPlayer2 = ijkMediaPlayer3;
                                    }
                                }
                            }
                        }
                    }
                } else {
                    ijkMediaPlayer2 = null;
                }
                TXCLog.i(this.g, "ijk media player " + ijkMediaPlayer2);
                ijkMediaPlayer = ijkMediaPlayer2;
            } else {
                AndroidMediaPlayer androidMediaPlayer = new AndroidMediaPlayer();
                TXCLog.i(this.g, "android media player " + androidMediaPlayer);
                ijkMediaPlayer = androidMediaPlayer;
            }
            this.l = new TextureMediaPlayer(ijkMediaPlayer);
            this.l.setDataSource(uri);
            this.l.setOnPreparedListener(this.e);
            this.l.setOnVideoSizeChangedListener(this.d);
            this.l.setOnCompletionListener(this.R);
            this.l.setOnErrorListener(this.U);
            this.l.setOnInfoListener(this.S);
            this.l.setOnBufferingUpdateListener(this.aa);
            this.l.setOnSeekCompleteListener(this.ab);
            this.l.setOnTimedTextListener(this.ac);
            this.l.setOnHLSKeyErrorListener(this.ae);
            this.l.setOnHevcVideoDecoderErrorListener(this.V);
            this.l.setOnVideoDecoderErrorListener(this.W);
            this.s = 0;
            a(this.l, this.k);
            this.l.setAudioStreamType(3);
            this.l.setScreenOnWhilePlaying(true);
            this.l.prepareAsync();
            this.l.setVolume(this.L, this.M);
            setMute(this.N);
            if (this.Q != null) {
                this.Q.a(this.l);
            }
            this.i = 1;
        } catch (FileNotFoundException unused) {
            this.i = -1;
            this.j = -1;
            this.U.onError(this.l, IMediaPlayer.MEDIA_ERROR_IO, -2303);
        } catch (Exception e2) {
            TXCLog.w(this.g, e2.toString());
            this.i = -1;
            this.j = -1;
            this.U.onError(this.l, 1, 0);
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(IMediaPlayer iMediaPlayer, a.b bVar) {
        if (iMediaPlayer != null) {
            if (bVar == null) {
                iMediaPlayer.setDisplay(null);
                return;
            }
            TXCLog.i(this.g, "bindSurfaceHolder");
            bVar.a(iMediaPlayer);
        }
    }

    /* access modifiers changed from: package-private */
    public void a() {
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            iMediaPlayer.setDisplay(null);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z2) {
        if (this.l != null) {
            String str = this.g;
            TXCLog.i(str, "release player " + this.l);
            this.l.reset();
            this.l.release();
            this.l = null;
            this.i = 0;
            if (z2) {
                this.j = 0;
                this.m = 0;
                this.n = 0;
            }
            ((AudioManager) this.v.getSystemService("audio")).abandonAudioFocus(null);
        }
    }

    public void b() {
        TXCLog.i(this.g, "start");
        if (h()) {
            if (this.c == 1 && this.i == 5) {
                this.H = 0;
                this.l.seekTo(0);
            }
            this.l.start();
            if (this.i != 3 && !this.J) {
                this.i = 3;
                a(2004, "播放开始", "playing");
            }
        }
        this.j = 3;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g() {
        IMediaPlayer iMediaPlayer;
        TXCLog.i(this.g, "replay");
        int i2 = this.c;
        if (i2 == 0) {
            if (this.t == 0 && (iMediaPlayer = this.l) != null && this.u > 0) {
                this.t = (int) iMediaPlayer.getCurrentPosition();
            }
            if (!f()) {
                a(false);
            }
        } else if (i2 == 1) {
            j();
        }
    }

    public void c() {
        if (this.l != null) {
            if (this.C != null) {
                if (getDuration() <= 0) {
                    this.D.a(this.C.d(), true);
                } else {
                    this.D.a(this.C.d(), false);
                }
                this.C = null;
            }
            this.l.stop();
            this.l.release();
            this.l = null;
            this.h = null;
            this.m = 0;
            this.n = 0;
            this.B = 1.0f;
            this.J = false;
            this.K = -1;
            this.i = 0;
            this.j = 0;
            this.P = false;
            this.O = 0;
            b bVar = this.Q;
            if (bVar != null) {
                bVar.a((IMediaPlayer) null);
            }
            ((AudioManager) this.v.getSystemService("audio")).abandonAudioFocus(null);
        }
        Handler handler = this.ah;
        if (handler != null) {
            handler.removeMessages(102);
        }
        TXCLog.i(this.g, "stop");
    }

    public void d() {
        this.j = 4;
        TXCLog.i(this.g, "pause");
        if (h() && this.l.isPlaying()) {
            this.l.pause();
            this.i = 4;
        }
    }

    public int getDuration() {
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null && this.u < 1) {
            this.u = (int) iMediaPlayer.getDuration();
        }
        return this.u;
    }

    public int getCurrentPosition() {
        int i2;
        if (this.c == 0) {
            if (this.J && (i2 = this.K) >= 0) {
                return i2;
            }
            int i3 = this.t;
            if (i3 > 0) {
                return i3;
            }
        }
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer == null) {
            return 0;
        }
        int currentPosition = (int) iMediaPlayer.getCurrentPosition();
        if (currentPosition <= 1) {
            return Math.max(currentPosition, this.H);
        }
        this.H = currentPosition;
        return currentPosition;
    }

    public void a(int i2) {
        String str = this.g;
        TXCLog.i(str, "seek to " + i2);
        if (getUrlPathExtention().equals(IjkMediaMeta.IJKM_KEY_M3U8)) {
            i2 = Math.min(i2, getDuration() + NotificationManagerCompat.IMPORTANCE_UNSPECIFIED);
        }
        if (i2 >= 0 && h()) {
            if (i2 > getDuration()) {
                i2 = getDuration();
            }
            if (this.J) {
                this.K = i2;
            } else {
                this.K = -1;
                this.l.seekTo((long) i2);
            }
            if (this.c == 0) {
                this.J = true;
            }
        }
    }

    public void setMute(boolean z2) {
        this.N = z2;
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            if (z2) {
                iMediaPlayer.setVolume(0.0f, 0.0f);
            } else {
                iMediaPlayer.setVolume(this.L, this.M);
            }
        }
    }

    public void setVolume(int i2) {
        float f2 = ((float) i2) / 100.0f;
        this.L = f2;
        this.M = f2;
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            iMediaPlayer.setVolume(this.L, this.M);
        }
    }

    public boolean e() {
        return h() && this.l.isPlaying() && this.i != 4;
    }

    public int getBufferDuration() {
        if (this.l == null) {
            return 0;
        }
        IMediaPlayer unwrappedMediaPlayer = getUnwrappedMediaPlayer();
        try {
            if (1 == this.c && (unwrappedMediaPlayer instanceof IjkExoMediaPlayer)) {
                this.s = ((IjkExoMediaPlayer) unwrappedMediaPlayer).getBufferedPercentage();
            }
        } catch (NoClassDefFoundError unused) {
        }
        int duration = (this.s * getDuration()) / 100;
        if (duration < getCurrentPosition()) {
            duration = getCurrentPosition();
        }
        return Math.abs(getDuration() - duration) < 1000 ? getDuration() : duration;
    }

    private boolean h() {
        int i2;
        return (this.l == null || (i2 = this.i) == -1 || i2 == 0 || i2 == 1) ? false : true;
    }

    public void setConfig(d dVar) {
        if (dVar != null) {
            this.w = dVar;
            this.D.a(this.w.k);
        }
    }

    public void setRenderMode(int i2) {
        this.af = i2;
        a aVar = this.x;
        if (aVar != null) {
            aVar.setAspectRatio(this.af);
        }
        a aVar2 = this.x;
        if (aVar2 != null) {
            aVar2.setVideoRotation(this.q);
        }
    }

    public void setVideoRotationDegree(int i2) {
        if (!(i2 == 0 || i2 == 90 || i2 == 180 || i2 == 270)) {
            if (i2 != 360) {
                String str = this.g;
                TXCLog.e(str, "not support degree " + i2);
                return;
            }
            i2 = 0;
        }
        this.q = i2;
        a aVar = this.x;
        if (aVar != null) {
            aVar.setVideoRotation(this.q);
        }
        a aVar2 = this.x;
        if (aVar2 != null) {
            aVar2.setAspectRatio(this.af);
        }
    }

    public int getVideoRotationDegree() {
        return this.q;
    }

    private void i() {
        setRender(0);
    }

    public void setAutoPlay(boolean z2) {
        this.b = z2;
    }

    public void setRate(float f2) {
        String str = this.g;
        TXCLog.i(str, "setRate " + f2);
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            iMediaPlayer.setRate(f2);
        }
        this.B = f2;
    }

    public void setStartTime(float f2) {
        this.t = (int) (f2 * 1000.0f);
    }

    public void setAutoRotate(boolean z2) {
        this.a = z2;
    }

    /* access modifiers changed from: private */
    public static class a extends Handler {
        private final WeakReference<TXCVodVideoView> a;
        private final int b = 500;

        public a(TXCVodVideoView tXCVodVideoView, Looper looper) {
            super(looper);
            this.a = new WeakReference<>(tXCVodVideoView);
        }

        public void handleMessage(Message message) {
            long j;
            long j2;
            float f;
            TXCVodVideoView tXCVodVideoView = this.a.get();
            if (tXCVodVideoView != null && tXCVodVideoView.ag != null) {
                switch (message.what) {
                    case 100:
                        IMediaPlayer unwrappedMediaPlayer = tXCVodVideoView.getUnwrappedMediaPlayer();
                        if (unwrappedMediaPlayer != null) {
                            float f2 = 0.0f;
                            long j3 = 0;
                            if (unwrappedMediaPlayer instanceof IjkMediaPlayer) {
                                IjkMediaPlayer ijkMediaPlayer = (IjkMediaPlayer) unwrappedMediaPlayer;
                                f2 = ijkMediaPlayer.getVideoOutputFramesPerSecond();
                                f = ijkMediaPlayer.getVideoDecodeFramesPerSecond();
                                j3 = ijkMediaPlayer.getVideoCachedBytes() + ijkMediaPlayer.getAudioCachedBytes();
                                j2 = ijkMediaPlayer.getBitRate();
                                j = ijkMediaPlayer.getTcpSpeed();
                            } else {
                                if (unwrappedMediaPlayer instanceof IjkExoMediaPlayer) {
                                    IjkExoMediaPlayer ijkExoMediaPlayer = (IjkExoMediaPlayer) unwrappedMediaPlayer;
                                    DecoderCounters videoDecoderCounters = ijkExoMediaPlayer.getVideoDecoderCounters();
                                    if (videoDecoderCounters != null) {
                                        long currentTimeMillis = System.currentTimeMillis() - tXCVodVideoView.F;
                                        int i = videoDecoderCounters.renderedOutputBufferCount - tXCVodVideoView.E;
                                        tXCVodVideoView.F = System.currentTimeMillis();
                                        tXCVodVideoView.E = videoDecoderCounters.renderedOutputBufferCount;
                                        if (currentTimeMillis < 3000 && currentTimeMillis > 0 && i < 120 && i > 0) {
                                            double d = (double) currentTimeMillis;
                                            Double.isNaN(d);
                                            double d2 = 1000.0d / d;
                                            double d3 = (double) i;
                                            Double.isNaN(d3);
                                            tXCVodVideoView.G = (int) Math.ceil(d2 * d3);
                                        }
                                    }
                                    j2 = (long) ijkExoMediaPlayer.getObservedBitrate();
                                    j = j2 / 8;
                                    f2 = (float) tXCVodVideoView.G;
                                } else {
                                    j2 = 0;
                                    j = 0;
                                }
                                f = 0.0f;
                            }
                            Bundle bundle = new Bundle();
                            bundle.putFloat("fps", f2);
                            bundle.putFloat("dps", f);
                            bundle.putLong("cachedBytes", j3);
                            bundle.putLong("bitRate", j2);
                            bundle.putLong("tcpSpeed", j);
                            tXCVodVideoView.ag.a(bundle);
                            removeMessages(100);
                            sendEmptyMessageDelayed(100, 500);
                            return;
                        }
                        return;
                    case 101:
                        tXCVodVideoView.ag.a(message.arg1, message.getData());
                        return;
                    case 102:
                        tXCVodVideoView.g();
                        tXCVodVideoView.a((TXCVodVideoView) 2103, (int) "点播网络重连", "reconnect");
                        return;
                    case 103:
                        long currentPosition = (long) tXCVodVideoView.getCurrentPosition();
                        Bundle bundle2 = new Bundle();
                        long bufferDuration = (long) tXCVodVideoView.getBufferDuration();
                        long duration = (long) tXCVodVideoView.getDuration();
                        bundle2.putInt(TXLiveConstants.EVT_PLAY_PROGRESS, (int) (currentPosition / 1000));
                        bundle2.putInt(TXLiveConstants.EVT_PLAY_DURATION, (int) (duration / 1000));
                        bundle2.putInt("EVT_PLAYABLE_DURATION", (int) (bufferDuration / 1000));
                        bundle2.putInt(TXLiveConstants.EVT_PLAY_PROGRESS_MS, (int) currentPosition);
                        bundle2.putInt(TXLiveConstants.EVT_PLAY_DURATION_MS, (int) duration);
                        bundle2.putInt(TXLiveConstants.EVT_PLAYABLE_DURATION_MS, (int) bufferDuration);
                        tXCVodVideoView.ag.a(2005, bundle2);
                        if (tXCVodVideoView.l != null) {
                            removeMessages(103);
                            if (tXCVodVideoView.w.l <= 0) {
                                tXCVodVideoView.w.l = 500;
                            }
                            sendEmptyMessageDelayed(103, (long) tXCVodVideoView.w.l);
                            return;
                        }
                        return;
                    default:
                        return;
                }
            }
        }
    }

    private void j() {
        IjkExoMediaPlayer ijkExoMediaPlayer = (IjkExoMediaPlayer) getUnwrappedMediaPlayer();
        if (1 == this.c && (ijkExoMediaPlayer instanceof IjkExoMediaPlayer)) {
            ijkExoMediaPlayer.getPlayer().prepare(ijkExoMediaPlayer.buildMediaSource(this.h, null), false, false);
            if (this.A == null) {
                ijkExoMediaPlayer.getPlayer().setPlayWhenReady(this.b);
            } else {
                ijkExoMediaPlayer.getPlayer().setPlayWhenReady(true);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, String str, String str2) {
        if ((i2 != -2304 && i2 != 2106) || !this.ai) {
            Message message = new Message();
            message.what = 101;
            Bundle bundle = new Bundle();
            message.arg1 = i2;
            bundle.putString("description", str);
            message.setData(bundle);
            Handler handler = this.ah;
            if (handler != null) {
                handler.sendMessage(message);
            }
            if (!(i2 == 2018 || i2 == 2016)) {
                String str3 = this.g;
                TXCLog.i(str3, "sendSimpleEvent " + i2 + " " + str2);
            }
            this.ai = i2 == -2304 || i2 == 2106;
        }
    }

    public void setListener(e eVar) {
        this.ag = eVar;
    }

    public int getVideoWidth() {
        return this.m;
    }

    public int getVideoHeight() {
        return this.n;
    }

    public String getServerIp() {
        return this.A;
    }

    public int getPlayerType() {
        return this.c;
    }

    public void setPlayerType(int i2) {
        this.c = i2;
    }

    /* access modifiers changed from: package-private */
    public String getUrlPathExtention() {
        Uri uri = this.h;
        if (uri == null || uri.getPath() == null) {
            return "";
        }
        String path = this.h.getPath();
        return path.substring(path.lastIndexOf(".") + 1, path.length());
    }

    public IMediaPlayer getUnwrappedMediaPlayer() {
        IMediaPlayer iMediaPlayer = this.l;
        return iMediaPlayer instanceof TextureMediaPlayer ? ((TextureMediaPlayer) iMediaPlayer).getBackEndMediaPlayer() : iMediaPlayer;
    }

    public int getBitrateIndex() {
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            return iMediaPlayer.getBitrateIndex();
        }
        return this.O;
    }

    public void setBitrateIndex(int i2) {
        String str = this.g;
        TXCLog.i(str, "setBitrateIndex " + i2);
        if (this.O != i2) {
            this.O = i2;
            if (this.l == null) {
                return;
            }
            if (this.w.j) {
                this.l.setBitrateIndex(i2);
            } else {
                g();
            }
        }
    }

    public ArrayList<IjkBitrateItem> getSupportedBitrates() {
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer != null) {
            return iMediaPlayer.getSupportedBitrates();
        }
        return new ArrayList<>();
    }

    public MediaInfo getMediaInfo() {
        IMediaPlayer iMediaPlayer = this.l;
        if (iMediaPlayer == null) {
            return null;
        }
        return iMediaPlayer.getMediaInfo();
    }
}
