package com.tencent.liteav.videoencoder;

import android.media.MediaCodec;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.opengl.EGLContext;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Bundle;
import android.view.Surface;
import com.tencent.ijk.media.player.IjkMediaMeta;
import com.tencent.liteav.basic.d.b;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.d.h;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.Monitor;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.e;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: TXCHWVideoEncoder */
public class a extends b {
    private static final String a = a.class.getSimpleName();
    private boolean A;
    private boolean B;
    private ByteBuffer[] C;
    private byte[] D;
    private volatile long E;
    private long F;
    private long G;
    private int H;
    private int I;
    private int J;
    private int K;
    private int L;
    private boolean M;
    private boolean N;
    private boolean O;
    private int P;
    private int Q;
    private long R;
    private int S;
    private boolean T;
    private ArrayList<Long> U;
    private int V;
    private long W;
    private int X;
    private int Y;
    private boolean Z;
    private boolean aa;
    private long ab;
    private Runnable ac;
    private int b;
    private long c;
    private double d;
    private long e;
    private long f;
    private int g;
    private boolean h;
    private boolean i;
    private long j;
    private long k;
    private long l;
    private long m;
    private long n;
    private boolean o;
    private long p;
    private long q;
    private MediaCodec r;
    private e s;
    private Runnable t;
    private Runnable u;
    private Runnable v;
    private ArrayDeque<Long> w;
    private Object x;
    private Surface y;
    private boolean z;

    @Override // com.tencent.liteav.videoencoder.b
    public void setEncodeIdrFpsFromQos(int i2) {
    }

    static /* synthetic */ int d(a aVar) {
        int i2 = aVar.P;
        aVar.P = i2 + 1;
        return i2;
    }

    public a() {
        this.b = 0;
        this.c = 0;
        this.d = 0.0d;
        this.e = 0;
        this.f = 0;
        this.g = 0;
        this.h = false;
        this.i = true;
        this.j = 0;
        this.k = 0;
        this.l = 0;
        this.m = 0;
        this.n = 0;
        this.p = 0;
        this.q = 0;
        this.r = null;
        this.s = null;
        this.t = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass10 */

            public void run() {
                a.this.f();
            }
        };
        this.u = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass11 */

            public void run() {
                a.this.b((a) 10);
            }
        };
        this.v = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass2 */

            public void run() {
                a.this.b((a) 1);
            }
        };
        this.w = new ArrayDeque<>(10);
        this.y = null;
        this.z = true;
        this.A = true;
        this.B = false;
        this.C = null;
        this.D = null;
        this.E = 0;
        this.F = 0;
        this.G = 0;
        this.N = true;
        this.O = false;
        this.P = 0;
        this.Q = 0;
        this.R = 0;
        this.S = -1;
        this.T = false;
        this.V = 0;
        this.W = 0;
        this.X = 3;
        this.Y = 0;
        this.Z = false;
        this.aa = true;
        this.ab = 0;
        this.ac = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass3 */

            public void run() {
                a.this.ab = System.currentTimeMillis();
                a.this.c();
                a.this.e();
                a.this.d();
            }
        };
        this.s = new e("HWVideoEncoder");
    }

    @Override // com.tencent.liteav.videoencoder.b
    public int start(final TXSVideoEncoderParam tXSVideoEncoderParam) {
        super.start(tXSVideoEncoderParam);
        final boolean[] zArr = new boolean[1];
        if (Build.VERSION.SDK_INT < 18) {
            zArr[0] = false;
        } else {
            synchronized (this) {
                this.s.a(new Runnable() {
                    /* class com.tencent.liteav.videoencoder.a.AnonymousClass1 */

                    public void run() {
                        int i = tXSVideoEncoderParam.encoderMode;
                        String str = "unknown";
                        String str2 = i != 1 ? i != 2 ? i != 3 ? str : "CQ" : "VBR" : "CBR";
                        int i2 = tXSVideoEncoderParam.encoderProfile;
                        if (i2 == 1) {
                            str = "Baseline";
                        } else if (i2 == 2) {
                            str = "Main";
                        } else if (i2 == 3) {
                            str = "High";
                        }
                        Object[] objArr = new Object[10];
                        objArr[0] = Integer.valueOf(a.this.hashCode());
                        objArr[1] = Integer.valueOf(tXSVideoEncoderParam.width);
                        objArr[2] = Integer.valueOf(tXSVideoEncoderParam.height);
                        objArr[3] = Integer.valueOf(tXSVideoEncoderParam.fps);
                        objArr[4] = Integer.valueOf(tXSVideoEncoderParam.bitrate);
                        objArr[5] = Integer.valueOf(tXSVideoEncoderParam.gop);
                        objArr[6] = str2;
                        objArr[7] = str;
                        objArr[8] = tXSVideoEncoderParam.bMultiRef ? "true" : "false";
                        objArr[9] = Integer.valueOf(tXSVideoEncoderParam.streamType);
                        String format = String.format("VideoEncoder[%d]: Start [type:hardware][resolution:%d*%d][fps:%d][bitrate:%dkbps][gop:%d][rateControl:%s][profile:%s][rps:%s][streamType:%d]", objArr);
                        Monitor.a(2, format, "", 0);
                        String str3 = a.a;
                        TXCLog.i(str3, "start:" + format);
                        if (a.this.mInit) {
                            a.this.f();
                        }
                        zArr[0] = a.this.a((a) tXSVideoEncoderParam);
                    }
                });
            }
        }
        if (zArr[0]) {
            Monitor.a(2, String.format("VideoEncoder[%d]: Start successfully", Integer.valueOf(hashCode())), "", 0);
        }
        if (!zArr[0]) {
            callDelegate(10000004);
        }
        if (zArr[0]) {
            return 0;
        }
        return 10000004;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public void stop() {
        this.A = true;
        synchronized (this) {
            this.s.a(new Runnable() {
                /* class com.tencent.liteav.videoencoder.a.AnonymousClass4 */

                public void run() {
                    if (a.this.mInit) {
                        Monitor.a(2, String.format("VideoEncoder[%d]: Stop", Integer.valueOf(a.this.hashCode())), "", 0);
                        a.this.f();
                    }
                }
            });
        }
    }

    @Override // com.tencent.liteav.videoencoder.b
    public void setFPS(final int i2) {
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass5 */

            public void run() {
                a.this.d((a) i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.b
    public void setBitrate(final int i2) {
        this.b = i2;
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass6 */

            public void run() {
                a.this.c((a) i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.b
    public void setBitrateFromQos(final int i2, int i3) {
        this.b = i2;
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass7 */

            public void run() {
                a.this.c((a) i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.b
    public double getRealFPS() {
        return this.d;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public long getRealBitrate() {
        return this.c;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public int getEncodeCost() {
        return this.V;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public long pushVideoFrame(int i2, int i3, int i4, long j2) {
        if (this.A) {
            return 10000004;
        }
        GLES20.glFinish();
        this.E = j2;
        this.S = i2;
        this.mInputWidth = i3;
        this.mInputHeight = i4;
        if (this.M) {
            g();
        }
        if (!this.N || this.T) {
            this.s.b(this.u);
            this.T = false;
        }
        int i5 = this.P;
        if (i5 <= this.Q + 30) {
            return 0;
        }
        TXCLog.e(a, String.format("hw encoder error when render[%d] pop[%d]", Integer.valueOf(i5), Integer.valueOf(this.Q)));
        if (this.mListener == null) {
            return 0;
        }
        this.mListener.a(this.mStreamType);
        return 0;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public long pushVideoFrameAsync(final int i2, int i3, int i4, final long j2) {
        if (this.A) {
            return 10000004;
        }
        GLES20.glFinish();
        if (this.M) {
            g();
        }
        this.s.a().post(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass8 */

            public void run() {
                int a2;
                if (!a.this.z && a.this.x != null) {
                    int i = i2;
                    long j = j2;
                    a.this.a((a) j);
                    int i2 = (720 - a.this.mRotation) % 360;
                    a.this.mEncodeFilter.a(a.this.mInputWidth, a.this.mInputHeight, i2, null, ((float) ((i2 == 90 || i2 == 270) ? a.this.mOutputHeight : a.this.mOutputWidth)) / ((float) ((i2 == 90 || i2 == 270) ? a.this.mOutputWidth : a.this.mOutputHeight)), false, true);
                    a.this.mEncodeFilter.a(i);
                    if (a.this.x instanceof b) {
                        ((b) a.this.x).a(j * 1000000);
                        ((b) a.this.x).c();
                    }
                    if (a.this.x instanceof com.tencent.liteav.basic.d.a) {
                        ((com.tencent.liteav.basic.d.a) a.this.x).a();
                    }
                    if (a.this.mListener != null) {
                        a.this.mListener.a((long) a.this.mStreamType);
                    }
                    do {
                        a2 = a.this.a((a) 1);
                    } while (a2 > 0);
                    if (a2 == -1 || a2 == -2) {
                        if (a2 == -1) {
                            a.this.callDelegate(10000005);
                        }
                        a.this.z = true;
                        a.this.f();
                        return;
                    }
                    a.d(a.this);
                }
            }
        });
        return 0;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public long pushVideoFrameSync(int i2, int i3, int i4, long j2) {
        if (this.A) {
            return 10000004;
        }
        GLES20.glFinish();
        this.E = j2;
        this.S = i2;
        if (this.M) {
            g();
        }
        this.s.a(this.v);
        return 0;
    }

    @Override // com.tencent.liteav.videoencoder.b
    public void signalEOSAndFlush() {
        if (!this.A) {
            this.s.a(new Runnable() {
                /* class com.tencent.liteav.videoencoder.a.AnonymousClass9 */

                public void run() {
                    if (a.this.r != null) {
                        try {
                            a.this.r.signalEndOfInputStream();
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        do {
                        } while (a.this.a((a) 10) >= 0);
                        a.this.f();
                    }
                }
            });
        }
    }

    private MediaFormat a(int i2, int i3, int i4, int i5, int i6) {
        if (i2 == 0 || i3 == 0 || i4 == 0 || i5 == 0) {
            return null;
        }
        MediaFormat createVideoFormat = MediaFormat.createVideoFormat("video/avc", i2, i3);
        createVideoFormat.setInteger(IjkMediaMeta.IJKM_KEY_BITRATE, i4 * 1024);
        createVideoFormat.setInteger("frame-rate", i5);
        createVideoFormat.setInteger("color-format", 2130708361);
        createVideoFormat.setInteger("i-frame-interval", i6);
        return createVideoFormat;
    }

    private MediaFormat a(int i2, int i3, int i4, int i5, int i6, int i7, int i8, boolean z2) {
        MediaCodecInfo a2;
        MediaFormat a3 = a(i2, i3, i4, i5, i6);
        if (a3 == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT < 21 || (a2 = a("video/avc")) == null) {
            return a3;
        }
        MediaCodecInfo.CodecCapabilities capabilitiesForType = a2.getCapabilitiesForType("video/avc");
        MediaCodecInfo.EncoderCapabilities encoderCapabilities = capabilitiesForType.getEncoderCapabilities();
        if (z2) {
            a3.setInteger("bitrate-mode", i7);
        } else if (encoderCapabilities.isBitrateModeSupported(i7)) {
            a3.setInteger("bitrate-mode", i7);
        } else if (encoderCapabilities.isBitrateModeSupported(2)) {
            a3.setInteger("bitrate-mode", 2);
        }
        a3.setInteger("complexity", encoderCapabilities.getComplexityRange().clamp(5).intValue());
        if (Build.VERSION.SDK_INT >= 23) {
            MediaCodecInfo.CodecProfileLevel[] codecProfileLevelArr = capabilitiesForType.profileLevels;
            int i9 = 0;
            for (MediaCodecInfo.CodecProfileLevel codecProfileLevel : codecProfileLevelArr) {
                if (codecProfileLevel.profile <= i8 && codecProfileLevel.profile > i9) {
                    i9 = codecProfileLevel.profile;
                    a3.setInteger("profile", codecProfileLevel.profile);
                    a3.setInteger("level", codecProfileLevel.level);
                }
            }
        }
        return a3;
    }

    private static MediaCodecInfo a(String str) {
        int codecCount = MediaCodecList.getCodecCount();
        for (int i2 = 0; i2 < codecCount; i2++) {
            MediaCodecInfo codecInfoAt = MediaCodecList.getCodecInfoAt(i2);
            if (codecInfoAt.isEncoder()) {
                for (String str2 : codecInfoAt.getSupportedTypes()) {
                    if (str2.equalsIgnoreCase(str)) {
                        return codecInfoAt;
                    }
                }
                continue;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(long j2) {
        this.w.add(Long.valueOf(j2));
    }

    private long b() {
        Long poll = this.w.poll();
        if (poll == null) {
            return 0;
        }
        return poll.longValue();
    }

    private boolean a(Surface surface, int i2, int i3) {
        if (surface == null) {
            return false;
        }
        TXCLog.i(a, "HWVideoEncode createGL");
        if (this.mGLContextExternal == null || !(this.mGLContextExternal instanceof EGLContext)) {
            this.x = com.tencent.liteav.basic.d.a.a(null, (javax.microedition.khronos.egl.EGLContext) this.mGLContextExternal, surface, i2, i3);
        } else {
            this.x = b.a(null, (EGLContext) this.mGLContextExternal, surface, i2, i3);
        }
        if (this.x == null) {
            return false;
        }
        GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
        this.mEncodeFilter = new com.tencent.liteav.basic.d.e();
        this.mEncodeFilter.a(h.e, h.a(g.NORMAL, false, false));
        if (!this.mEncodeFilter.a()) {
            this.mEncodeFilter = null;
            return false;
        }
        GLES20.glViewport(0, 0, i2, i3);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        TXCLog.i(a, "HWVideoEncode destroyGL");
        if (this.mEncodeFilter != null) {
            this.mEncodeFilter.d();
            this.mEncodeFilter = null;
        }
        Object obj = this.x;
        if (obj instanceof com.tencent.liteav.basic.d.a) {
            ((com.tencent.liteav.basic.d.a) obj).b();
            this.x = null;
        }
        Object obj2 = this.x;
        if (obj2 instanceof b) {
            ((b) obj2).b();
            this.x = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x00da  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x00e8 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00e9  */
    private boolean a(TXSVideoEncoderParam tXSVideoEncoderParam) {
        int i2;
        this.A = false;
        this.z = false;
        this.c = 0;
        this.d = 0.0d;
        this.e = 0;
        this.f = 0;
        this.g = 0;
        this.j = 0;
        this.k = tXSVideoEncoderParam.baseGopIndex;
        this.l = 0;
        this.m = tXSVideoEncoderParam.baseFrameIndex;
        this.n = 0;
        this.p = 0;
        this.q = 0;
        this.C = null;
        this.D = null;
        this.E = 0;
        this.H = -1;
        this.mOutputWidth = tXSVideoEncoderParam.width;
        this.mOutputHeight = tXSVideoEncoderParam.height;
        this.I = tXSVideoEncoderParam.gop;
        this.J = tXSVideoEncoderParam.fps;
        String str = a;
        TXCLog.w(str, "FPS-TEST  HWEncode FPS start" + this.J);
        this.M = tXSVideoEncoderParam.fullIFrame;
        this.o = tXSVideoEncoderParam.syncOutput;
        this.B = tXSVideoEncoderParam.enableEGL14;
        this.O = tXSVideoEncoderParam.forceSetBitrateMode;
        this.w.clear();
        this.N = tXSVideoEncoderParam.bLimitFps;
        if (tXSVideoEncoderParam == null || tXSVideoEncoderParam.width == 0 || tXSVideoEncoderParam.height == 0 || tXSVideoEncoderParam.fps == 0 || tXSVideoEncoderParam.gop == 0) {
            this.z = true;
            return false;
        }
        this.h = tXSVideoEncoderParam.annexb;
        this.i = tXSVideoEncoderParam.appendSpsPps;
        if (this.b == 0) {
            double d2 = (double) (tXSVideoEncoderParam.width * tXSVideoEncoderParam.width);
            Double.isNaN(d2);
            double d3 = (double) (tXSVideoEncoderParam.height * tXSVideoEncoderParam.height);
            Double.isNaN(d3);
            this.b = (int) (Math.sqrt((d2 * 1.0d) + d3) * 1.2d);
        }
        this.j = (long) this.b;
        this.g = tXSVideoEncoderParam.fps;
        int i3 = tXSVideoEncoderParam.encoderMode;
        if (i3 != 1) {
            if (i3 == 2) {
                i2 = 1;
            } else if (i3 == 3) {
                i2 = 0;
            }
            if (com.tencent.liteav.basic.e.b.a().c() == 1) {
                tXSVideoEncoderParam.encoderProfile = 1;
            }
            int i4 = tXSVideoEncoderParam.encoderProfile;
            this.K = i2;
            this.L = 1;
            if (d()) {
                return false;
            }
            this.mInit = true;
            if (this.N) {
                this.S = -1;
                this.s.b(this.u);
            }
            this.U = new ArrayList<>();
            this.V = 0;
            return true;
        }
        i2 = 2;
        if (com.tencent.liteav.basic.e.b.a().c() == 1) {
        }
        int i42 = tXSVideoEncoderParam.encoderProfile;
        this.K = i2;
        this.L = 1;
        if (d()) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:143:0x02ca A[Catch:{ IllegalStateException -> 0x02d2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00ae  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x00c2  */
    private int a(int i2) {
        int i3;
        boolean z2;
        a aVar;
        byte[] bArr;
        byte[] bArr2;
        int i4;
        long j2;
        int i5 = -1;
        if (this.r == null) {
            return -1;
        }
        MediaCodec.BufferInfo bufferInfo = new MediaCodec.BufferInfo();
        try {
            int dequeueOutputBuffer = this.r.dequeueOutputBuffer(bufferInfo, (long) (i2 * 1000));
            if (dequeueOutputBuffer == -1) {
                return 0;
            }
            if (dequeueOutputBuffer == -3) {
                this.C = this.r.getOutputBuffers();
                return 1;
            } else if (dequeueOutputBuffer == -2) {
                callDelegate(this.r.getOutputFormat());
                return 1;
            } else if (dequeueOutputBuffer < 0) {
                return -1;
            } else {
                long timeTick = TXCTimeUtil.getTimeTick();
                ByteBuffer byteBuffer = this.C[dequeueOutputBuffer];
                if (byteBuffer != null) {
                    byte[] bArr3 = new byte[bufferInfo.size];
                    byteBuffer.position(bufferInfo.offset);
                    byteBuffer.limit(bufferInfo.offset + bufferInfo.size);
                    byteBuffer.get(bArr3, 0, bufferInfo.size);
                    int length = bArr3.length;
                    if (bufferInfo.size > 5 && bArr3[0] == 0 && bArr3[1] == 0 && bArr3[2] == 0) {
                        int i6 = 3;
                        if (bArr3[3] == 0 && bArr3[4] == 0 && bArr3[5] == 0) {
                            while (true) {
                                if (i6 < bArr3.length - 4) {
                                    if (bArr3[i6] == 0 && bArr3[i6 + 1] == 0 && bArr3[i6 + 2] == 0 && bArr3[i6 + 3] == 1) {
                                        length -= i6;
                                        break;
                                    }
                                    i6++;
                                } else {
                                    i6 = 0;
                                    break;
                                }
                            }
                            bArr = new byte[length];
                            System.arraycopy(bArr3, i6, bArr, 0, length);
                            if (bufferInfo.size != 0) {
                                if ((bufferInfo.flags & 4) != 0) {
                                    if (this.mListener != null) {
                                        this.mListener.a(null, 0);
                                    }
                                    aVar = this;
                                    i3 = dequeueOutputBuffer;
                                    i5 = -2;
                                }
                            } else if ((bufferInfo.flags & 2) == 2) {
                                if (this.h) {
                                    this.D = (byte[]) bArr.clone();
                                } else {
                                    this.D = a((byte[]) bArr.clone());
                                }
                                aVar = this;
                                i3 = dequeueOutputBuffer;
                                i5 = 1;
                            } else {
                                if ((bufferInfo.flags & 1) == 1) {
                                    this.H = -1;
                                    if (this.h) {
                                        byte[] bArr4 = this.D;
                                        byte[] bArr5 = new byte[(bArr4.length + bArr.length)];
                                        System.arraycopy(bArr4, 0, bArr5, 0, bArr4.length);
                                        System.arraycopy(bArr, 0, bArr5, this.D.length, bArr.length);
                                        bArr2 = bArr5;
                                    } else {
                                        byte[] a2 = a(bArr);
                                        byte[] bArr6 = this.D;
                                        bArr2 = new byte[(bArr6.length + a2.length)];
                                        System.arraycopy(bArr6, 0, bArr2, 0, bArr6.length);
                                        System.arraycopy(a2, 0, bArr2, this.D.length, a2.length);
                                    }
                                    i4 = 0;
                                } else {
                                    bArr2 = !this.h ? a(bArr) : bArr;
                                    i4 = 1;
                                }
                                if (!this.M) {
                                    int i7 = this.H + 1;
                                    this.H = i7;
                                    if (i7 == this.g * this.I) {
                                        g();
                                    }
                                }
                                long b2 = b();
                                long j3 = bufferInfo.presentationTimeUs / 1000;
                                if (this.G == 0) {
                                    this.G = b2;
                                }
                                if (this.F == 0) {
                                    this.F = j3;
                                }
                                long j4 = j3 + (this.G - this.F);
                                long j5 = this.n;
                                if (b2 <= j5) {
                                    b2 = j5 + 1;
                                }
                                if (b2 > j4) {
                                    b2 = j4;
                                }
                                this.n = b2;
                                long timeTick2 = TXCTimeUtil.getTimeTick();
                                if (i4 == 0) {
                                    long j6 = this.e;
                                    if (timeTick2 > j6 + 1000) {
                                        double d2 = (double) this.p;
                                        Double.isNaN(d2);
                                        double d3 = (double) (timeTick2 - j6);
                                        Double.isNaN(d3);
                                        this.c = (long) (((d2 * 8000.0d) / d3) / 1024.0d);
                                        j2 = 0;
                                        this.p = 0;
                                        this.e = timeTick2;
                                        h();
                                    } else {
                                        j2 = 0;
                                    }
                                    this.k++;
                                    long j7 = this.k;
                                    if (j7 % 256 == j2) {
                                        this.k = j7 + 1;
                                    }
                                    this.l = j2;
                                } else {
                                    this.l++;
                                }
                                this.p += (long) bArr2.length;
                                long j8 = this.f;
                                if (timeTick2 > 2000 + j8) {
                                    double d4 = (double) this.q;
                                    Double.isNaN(d4);
                                    double d5 = (double) (timeTick2 - j8);
                                    Double.isNaN(d5);
                                    this.d = (d4 * 1000.0d) / d5;
                                    long j9 = 0;
                                    this.q = 0;
                                    this.f = timeTick2;
                                    Iterator<Long> it = this.U.iterator();
                                    while (it.hasNext()) {
                                        Long next = it.next();
                                        if (next.longValue() > j9) {
                                            j9 = next.longValue();
                                        }
                                    }
                                    this.U.clear();
                                    this.V = (int) (j9 * 3);
                                }
                                this.q++;
                                byteBuffer.position(bufferInfo.offset);
                                this.m++;
                                if (this.mListener != null) {
                                    this.mListener.a(2, this.k, this.l);
                                }
                                if (this.i) {
                                    long j10 = this.k;
                                    long j11 = this.l;
                                    i3 = dequeueOutputBuffer;
                                    callDelegate(bArr2, i4, j10, j11, this.m, i4 == 0 ? j11 : j11 - 1, j4, j4, 0, byteBuffer, bufferInfo);
                                } else {
                                    i3 = dequeueOutputBuffer;
                                    long j12 = this.k;
                                    long j13 = this.l;
                                    callDelegate(bArr3, i4, j12, j13, this.m, i4 == 0 ? j13 : j13 - 1, j4, j4, 0, byteBuffer, bufferInfo);
                                }
                                aVar = this;
                                aVar.Q++;
                                if ((bufferInfo.flags & 4) != 0) {
                                    if (aVar.mListener != null) {
                                        z2 = false;
                                        aVar.mListener.a(null, 0);
                                    } else {
                                        z2 = false;
                                    }
                                    i5 = -2;
                                } else {
                                    z2 = false;
                                    i5 = 1;
                                }
                                aVar.U.add(Long.valueOf(TXCTimeUtil.getTimeTick() - timeTick));
                                if (aVar.r != null) {
                                    aVar.r.releaseOutputBuffer(i3, z2);
                                }
                                return i5;
                            }
                            z2 = false;
                            if (aVar.r != null) {
                            }
                            return i5;
                        }
                    }
                    bArr = bArr3;
                    if (bufferInfo.size != 0) {
                    }
                    z2 = false;
                    if (aVar.r != null) {
                    }
                    return i5;
                }
                aVar = this;
                i3 = dequeueOutputBuffer;
                z2 = false;
                try {
                    if (aVar.r != null) {
                    }
                } catch (IllegalStateException e2) {
                    e2.printStackTrace();
                }
                return i5;
            }
        } catch (IllegalStateException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    private byte[] a(byte[] bArr) {
        int i2;
        int length = bArr.length;
        byte[] bArr2 = new byte[(length + 20)];
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            if (i5 >= length) {
                i2 = i5;
                break;
            }
            if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 1) {
                i4 = a(i5, i3, bArr2, bArr, i4);
                i5 += 3;
            } else {
                if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 0 && bArr[i5 + 3] == 1) {
                    i4 = a(i5, i3, bArr2, bArr, i4);
                    i5 += 4;
                }
                if (i5 == length - 4 || (bArr[i5 + 1] == 0 && bArr[i5 + 2] == 0 && bArr[i5 + 3] == 1)) {
                    i5++;
                }
            }
            i3 = i5;
            if (i5 == length - 4) {
            }
            i5++;
        }
        i2 = length;
        int a2 = a(i2, i3, bArr2, bArr, i4);
        byte[] bArr3 = new byte[a2];
        System.arraycopy(bArr2, 0, bArr3, 0, a2);
        return bArr3;
    }

    private int a(int i2, int i3, byte[] bArr, byte[] bArr2, int i4) {
        if (i3 <= 0 || i2 <= i3) {
            return i4;
        }
        int i5 = i2 - i3;
        try {
            ByteBuffer wrap = ByteBuffer.wrap(new byte[4]);
            wrap.asIntBuffer().put(i5);
            wrap.order(ByteOrder.BIG_ENDIAN);
            System.arraycopy(wrap.array(), 0, bArr, i4, 4);
            System.arraycopy(bArr2, i3, bArr, i4 + 4, i5);
            return i4 + i5 + 4;
        } catch (Exception e2) {
            e2.printStackTrace();
            TXCLog.e(a, "setNalData exception");
            return i4;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(int i2) {
        int a2;
        if (!this.z && this.x != null) {
            int i3 = this.S;
            if (this.N) {
                this.S = -1;
                if (i3 == -1) {
                    this.T = true;
                    return;
                }
                this.s.a(this.u, (long) (1000 / this.J));
            }
            a(this.E);
            int i4 = (720 - this.mRotation) % 360;
            this.mEncodeFilter.a(this.mInputWidth, this.mInputHeight, i4, null, ((float) ((i4 == 90 || i4 == 270) ? this.mOutputHeight : this.mOutputWidth)) / ((float) ((i4 == 90 || i4 == 270) ? this.mOutputWidth : this.mOutputHeight)), false, true);
            this.mEncodeFilter.a(i3);
            Object obj = this.x;
            if (obj instanceof b) {
                ((b) obj).a(this.E * 1000000);
                ((b) this.x).c();
            }
            Object obj2 = this.x;
            if (obj2 instanceof com.tencent.liteav.basic.d.a) {
                ((com.tencent.liteav.basic.d.a) obj2).a();
            }
            do {
                a2 = a(i2);
            } while (a2 > 0);
            if (a2 == -1 || a2 == -2) {
                if (a2 == -1) {
                    callDelegate(10000005);
                }
                this.z = true;
                f();
                return;
            }
            this.P++;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00f3 A[SYNTHETIC, Splitter:B:55:0x00f3] */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0102 A[Catch:{ Exception -> 0x010a }] */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x010f  */
    private boolean d() {
        Surface surface;
        char c2;
        Exception e2;
        if (Build.VERSION.SDK_INT < 18) {
            return false;
        }
        this.aa = com.tencent.liteav.basic.e.b.a().a("Video", "CheckVideoEncDownBps") > 0;
        this.P = 0;
        this.Q = 0;
        try {
            MediaFormat a2 = a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I, this.K, this.L, this.O);
            if (a2 == null) {
                this.z = true;
                return false;
            }
            this.r = MediaCodec.createEncoderByType("video/avc");
            try {
                this.r.configure(a2, (Surface) null, (MediaCrypto) null, 1);
            } catch (Exception e3) {
                try {
                    e3.printStackTrace();
                    if (this.O) {
                        try {
                            this.r.configure(a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I, this.K, this.L, false), (Surface) null, (MediaCrypto) null, 1);
                        } catch (Exception e4) {
                            if ((e4 instanceof IllegalArgumentException) || (Build.VERSION.SDK_INT >= 21 && (e4 instanceof MediaCodec.CodecException))) {
                                this.r.configure(a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I), (Surface) null, (MediaCrypto) null, 1);
                            }
                            e3.printStackTrace();
                        }
                    } else if ((e3 instanceof IllegalArgumentException) || (Build.VERSION.SDK_INT >= 21 && (e3 instanceof MediaCodec.CodecException))) {
                        this.r.configure(a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I), (Surface) null, (MediaCrypto) null, 1);
                    } else {
                        throw e3;
                    }
                } catch (Exception e5) {
                    e2 = e5;
                    c2 = 2;
                    e2.printStackTrace();
                    if (c2 >= 5) {
                    }
                    this.r = null;
                    if (this.y != null) {
                    }
                    this.y = null;
                    if (this.r != null) {
                    }
                    this.z = true;
                    return false;
                }
            }
            c2 = 3;
            try {
                this.y = this.r.createInputSurface();
                c2 = 4;
                this.r.start();
                try {
                    this.C = this.r.getOutputBuffers();
                } catch (Exception e6) {
                    e2 = e6;
                    c2 = 5;
                }
            } catch (Exception e7) {
                e2 = e7;
                e2.printStackTrace();
                if (c2 >= 5) {
                }
                this.r = null;
                if (this.y != null) {
                }
                this.y = null;
                if (this.r != null) {
                }
                this.z = true;
                return false;
            }
            if (this.r != null || this.C == null || (surface = this.y) == null) {
                this.z = true;
                return false;
            } else if (a(surface, this.mOutputWidth, this.mOutputHeight)) {
                return true;
            } else {
                this.z = true;
                return false;
            }
        } catch (Exception e8) {
            e2 = e8;
            c2 = 1;
            e2.printStackTrace();
            if (c2 >= 5) {
                try {
                    if (this.r != null) {
                        this.r.stop();
                    }
                } catch (Exception unused) {
                }
            }
            this.r = null;
            if (this.y != null) {
                this.y.release();
            }
            this.y = null;
            if (this.r != null) {
            }
            this.z = true;
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        MediaCodec mediaCodec = this.r;
        if (mediaCodec != null) {
            try {
                mediaCodec.stop();
                try {
                    this.r.release();
                    if (this.y != null) {
                        this.y.release();
                    }
                    this.y = null;
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            } catch (IllegalStateException e3) {
                e3.printStackTrace();
                this.r.release();
                if (this.y != null) {
                    this.y.release();
                }
                this.y = null;
            } catch (Throwable th) {
                try {
                    this.r.release();
                    if (this.y != null) {
                        this.y.release();
                    }
                    this.y = null;
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
                throw th;
            }
            this.r = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f() {
        if (this.mInit) {
            this.z = true;
            this.A = true;
            c();
            e();
            this.S = -1;
            this.c = 0;
            this.d = 0.0d;
            this.e = 0;
            this.f = 0;
            this.g = 0;
            this.j = 0;
            this.k = 0;
            this.l = 0;
            this.m = 0;
            this.n = 0;
            this.p = 0;
            this.q = 0;
            this.mGLContextExternal = null;
            this.C = null;
            this.D = null;
            this.E = 0;
            this.mOutputWidth = 0;
            this.mOutputHeight = 0;
            this.mInit = false;
            this.mListener = null;
            this.w.clear();
            this.U.clear();
            this.V = 0;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(int i2) {
        long j2 = this.j;
        int i3 = this.b;
        if (j2 != ((long) i3)) {
            long j3 = (long) i3;
            boolean z2 = false;
            if (j3 < j2 && this.aa) {
                if (this.Z) {
                    String str = "restart video hw encoder when down bps。[module:" + Build.MODEL + "] [Hardware:" + Build.HARDWARE + "] [osVersion:" + Build.VERSION.RELEASE + "]";
                    TXCLog.w(a, str);
                    Monitor.a(2, str, "", 0);
                    z2 = true;
                } else {
                    this.X = 3;
                    this.W = System.currentTimeMillis();
                    this.Y = this.b;
                }
            }
            this.j = (long) this.b;
            if (Build.VERSION.SDK_INT >= 19 && this.r != null) {
                if (z2) {
                    this.s.a().removeCallbacks(this.ac);
                    long currentTimeMillis = System.currentTimeMillis();
                    long j4 = this.ab;
                    if (currentTimeMillis - j4 >= 2000) {
                        this.ac.run();
                    } else {
                        this.s.a(this.ac, 2000 - (currentTimeMillis - j4));
                    }
                } else {
                    Bundle bundle = new Bundle();
                    bundle.putInt("video-bitrate", this.b * 1024);
                    this.r.setParameters(bundle);
                }
            }
        }
    }

    private void g() {
        if (Build.VERSION.SDK_INT >= 19 && this.r != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("request-sync", 0);
            this.r.setParameters(bundle);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(int i2) {
        if (i2 != 0 && this.J != i2 && Build.VERSION.SDK_INT >= 18) {
            String str = a;
            TXCLog.w(str, "FPS-TEST  HWEncode FPS set " + i2 + ", restart encoder.");
            c();
            e();
            this.J = i2;
            d();
        }
    }

    private void h() {
        if (this.W > 0) {
            int i2 = this.J;
            int i3 = i2 - ((int) this.d);
            int i4 = i2 / 2;
            if (i4 < 5) {
                i4 = 5;
            }
            if (i3 <= i4 && System.currentTimeMillis() - this.W > ((long) (((3 - this.X) + 1) * 2000))) {
                long j2 = ((long) this.Y) - this.c;
                long j3 = this.j / 2;
                if (j3 < 100) {
                    j3 = 100;
                }
                if (j2 > j3) {
                    this.Z = true;
                    String str = "real bitrate is too much lower than target bitrate![targetBr:" + this.Y + "] [realBr:" + this.c + "]. restart encoder. [module:" + Build.MODEL + "] [Hardware:" + Build.HARDWARE + "] [osVersion:" + Build.VERSION.RELEASE + "]";
                    TXCLog.e(a, str);
                    Monitor.a(3, str, "", 0);
                    e eVar = this.s;
                    if (eVar != null) {
                        eVar.b(this.ac);
                    }
                    this.W = 0;
                    return;
                }
                this.X--;
                if (this.X <= 0) {
                    this.W = 0;
                }
            }
        }
    }
}
