package com.tencent.rtmp;

import android.content.Context;
import android.graphics.Bitmap;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.view.Surface;
import com.tencent.ijk.media.player.IjkMediaCodecInfo;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import com.tencent.liteav.basic.util.TXCCommonUtil;
import com.tencent.liteav.c;
import com.tencent.liteav.d;
import com.tencent.liteav.h;
import com.tencent.liteav.i;
import com.tencent.liteav.j;
import com.tencent.rtmp.TXLivePlayer;
import com.tencent.rtmp.ui.TXCloudVideoView;
import com.tencent.ugc.TXRecordCommon;
import java.util.Vector;
import org.json.JSONObject;

/* compiled from: TXLivePlayerImpl */
public class a implements com.tencent.liteav.basic.c.a {
    private int A = -1;
    private Vector<String> B = new Vector<>();
    private long C = 0;
    private TXLivePlayer.ITXAudioVolumeEvaluationListener D = null;
    private int E = 0;
    private RunnableC0005a F = null;
    private TXLivePlayer.ITXAudioRawDataListener G;
    private TXCloudVideoView a;
    private Surface b;
    private int c;
    private int d;
    private ITXLivePlayListener e = null;
    private TXLivePlayConfig f;
    private boolean g = false;
    private boolean h = true;
    private int i;
    private int j;
    private String k = "";
    private boolean l = false;
    private int m = 100;
    private TXLivePlayer.ITXVideoRawDataListener n = null;
    private byte[] o = null;
    private Context p;
    private Handler q;
    private h r;
    private boolean s = true;
    private float t = 1.0f;
    private boolean u = false;
    private int v = 0;
    private d w;
    private boolean x;
    private long y;
    private String z;

    public a(Context context) {
        this.p = context.getApplicationContext();
        TXCCommonUtil.setAppContext(this.p);
        TXCLog.init();
        this.q = new Handler(Looper.getMainLooper());
        TXCCommonUtil.setAppContext(this.p);
        TXCLog.init();
    }

    public void a(TXLivePlayConfig tXLivePlayConfig) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setConfig " + this);
        this.f = tXLivePlayConfig;
        if (this.f == null) {
            this.f = new TXLivePlayConfig();
        }
        h hVar = this.r;
        if (hVar != null) {
            c q2 = hVar.q();
            if (q2 == null) {
                q2 = new c();
            }
            q2.a = this.f.mCacheTime;
            q2.g = this.f.mAutoAdjustCacheTime;
            q2.c = this.f.mMinAutoAdjustCacheTime;
            q2.b = this.f.mMaxAutoAdjustCacheTime;
            q2.d = this.f.mVideoBlockThreshold;
            q2.e = this.f.mConnectRetryCount;
            q2.f = this.f.mConnectRetryInterval;
            q2.i = this.f.mEnableNearestIP;
            q2.l = this.f.mRtmpChannelType;
            q2.h = this.g;
            q2.m = this.f.mCacheFolderPath;
            q2.n = this.f.mMaxCacheItems;
            q2.j = this.f.mEnableMessage;
            q2.k = this.f.mEnableMetaData;
            q2.p = this.f.mHeaders;
            this.r.a(q2);
        }
    }

    public void a(ITXLivePlayListener iTXLivePlayListener) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setPlayListener " + this);
        this.e = iTXLivePlayListener;
    }

    public void a(TXCloudVideoView tXCloudVideoView) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setPlayerView old view : " + this.a + ", new view : " + tXCloudVideoView + ", " + this);
        this.a = tXCloudVideoView;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(tXCloudVideoView);
        }
    }

    public int a(String str, int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api startPlay " + this);
        if (TextUtils.isEmpty(str)) {
            TXCLog.e(TXLivePlayer.TAG, "start play error when url is empty " + this);
            return -1;
        }
        if (!TextUtils.isEmpty(this.k) && a()) {
            if (this.k.equalsIgnoreCase(str)) {
                TXCLog.e(TXLivePlayer.TAG, "start play error when new url is the same with old url  " + this);
                return -1;
            }
            TXCLog.w(TXLivePlayer.TAG, " stop old play when new url is not the same with old url  " + this);
            h hVar = this.r;
            if (hVar != null) {
                hVar.a(false);
            }
            this.k = "";
        }
        TXCDRApi.initCrashReport(this.p);
        TXCLog.i(TXLivePlayer.TAG, "===========================================================================================================================================================");
        TXCLog.i(TXLivePlayer.TAG, "===========================================================================================================================================================");
        TXCLog.i(TXLivePlayer.TAG, "=====  StartPlay url = " + str + " playType = " + i2 + " SDKVersion = " + TXCCommonUtil.getSDKID() + " , " + TXCCommonUtil.getSDKVersionStr() + "    ======");
        TXCLog.i(TXLivePlayer.TAG, "===========================================================================================================================================================");
        TXCLog.i(TXLivePlayer.TAG, "===========================================================================================================================================================");
        int i3 = this.A;
        if (i3 == -1 || i3 != i2) {
            this.r = j.a(this.p, i2);
        }
        this.A = i2;
        if (this.r == null) {
            return -2;
        }
        this.k = c(str, i2);
        a(this.f);
        TXCloudVideoView tXCloudVideoView = this.a;
        if (tXCloudVideoView != null) {
            tXCloudVideoView.clearLog();
            this.a.setVisibility(0);
        }
        this.r.a(this.a);
        this.r.a(this);
        this.r.e(this.s);
        Surface surface = this.b;
        if (surface != null) {
            this.r.a(surface);
            this.r.a(this.c, this.d);
        }
        this.r.a(this.k, i2);
        this.r.b(this.l);
        this.r.c(this.m);
        this.r.b(this.t);
        this.r.b(this.j);
        this.r.a(this.i);
        d(this.v);
        this.r.a(this.G);
        a(this.n);
        if (this.r.f()) {
            this.z = this.k;
            d dVar = this.w;
            this.y = dVar != null ? dVar.a() : 0;
            if (this.y > 0) {
                this.r.g();
            }
        }
        f();
        return 0;
    }

    public int a(boolean z2) {
        TXCloudVideoView tXCloudVideoView;
        TXCLog.i(TXLivePlayer.TAG, "liteav_api stopPlay " + z2 + ", " + this);
        if (z2 && (tXCloudVideoView = this.a) != null) {
            tXCloudVideoView.setVisibility(8);
        }
        g();
        h hVar = this.r;
        if (hVar != null) {
            hVar.a((i) null);
            this.r.a(z2);
        }
        this.k = "";
        this.y = 0;
        this.w = null;
        this.x = false;
        return 0;
    }

    public boolean a() {
        h hVar = this.r;
        if (hVar != null) {
            return hVar.c();
        }
        return false;
    }

    public void b() {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api pause " + this);
        if (this.r != null) {
            TXCLog.w(TXLivePlayer.TAG, "pause play");
            this.r.a();
        }
    }

    public void c() {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api resume " + this);
        if (this.r != null) {
            TXCLog.w(TXLivePlayer.TAG, "resume play");
            this.r.b();
            d(this.v);
        }
    }

    public void a(Surface surface) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setSurface old : " + this.b + ", new : " + surface + ", " + this);
        this.b = surface;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(this.b);
        }
    }

    public void a(int i2, int i3) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setSurfaceSize " + i2 + "x" + i3 + ", " + this);
        this.c = i2;
        this.d = i3;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(i2, i3);
        }
    }

    public void a(int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setRenderMode " + i2);
        this.i = i2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(i2);
        }
    }

    public void b(int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setRenderRotation " + i2);
        this.j = i2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.b(i2);
        }
    }

    public boolean b(boolean z2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api enableHardwareDecode " + z2);
        if (z2) {
            if (Build.VERSION.SDK_INT < 18) {
                TXCLog.e("HardwareDecode", "enableHardwareDecode failed, android system build.version = " + Build.VERSION.SDK_INT + ", the minimum build.version should be 18(android 4.3 or later)");
                return false;
            } else if (h()) {
                TXCLog.e("HardwareDecode", "enableHardwareDecode failed, MANUFACTURER = " + Build.MANUFACTURER + ", MODEL" + Build.MODEL);
                return false;
            }
        }
        this.g = z2;
        h hVar = this.r;
        if (hVar == null) {
            return true;
        }
        c q2 = hVar.q();
        if (q2 == null) {
            q2 = new c();
        }
        q2.h = this.g;
        this.r.a(q2);
        return true;
    }

    public void c(boolean z2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setMute " + z2);
        this.l = z2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.b(z2);
        }
    }

    public void c(int i2) {
        if (i2 < 0) {
            i2 = 0;
        }
        if (i2 > 100) {
            i2 = 100;
        }
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setVolume volume = " + i2);
        this.m = i2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.c(i2);
        }
    }

    public void d(int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setAudioRoute " + i2);
        this.v = i2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(this.p, this.v);
        }
    }

    public int a(String str) {
        h hVar = this.r;
        if (hVar != null) {
            return hVar.a(str);
        }
        return -1;
    }

    public void a(TXLivePlayer.ITXAudioVolumeEvaluationListener iTXAudioVolumeEvaluationListener) {
        this.D = iTXAudioVolumeEvaluationListener;
    }

    public void e(int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api enableAudioVolumeEvaluation intervalMs = " + i2);
        if (i2 > 0) {
            if (i2 < 100) {
                i2 = 100;
            }
            this.E = i2;
            f();
            return;
        }
        this.E = 0;
        g();
    }

    public void b(String str) {
        try {
            JSONObject jSONObject = new JSONObject(str);
            if (!jSONObject.has("api")) {
                TXCLog.e(TXLivePlayer.TAG, "callExperimentalAPI[lack api or illegal type]: " + str);
                return;
            }
            String string = jSONObject.getString("api");
            JSONObject jSONObject2 = null;
            if (jSONObject.has("params")) {
                jSONObject2 = jSONObject.getJSONObject("params");
            }
            if (!string.equals("muteRemoteAudioInSpeaker")) {
                TXCLog.e(TXLivePlayer.TAG, "callExperimentalAPI[illegal api]: " + string);
            } else if (jSONObject2 == null) {
                TXCLog.e(TXLivePlayer.TAG, "muteRemoteAudioInSpeaker[lack parameter]");
            } else if (!jSONObject2.has("enable")) {
                TXCLog.e(TXLivePlayer.TAG, "muteRemoteAudioInSpeaker[lack parameter]: enable");
            } else {
                int i2 = jSONObject2.getInt("enable");
                if (this.r != null) {
                    h hVar = this.r;
                    boolean z2 = true;
                    if (i2 != 1) {
                        z2 = false;
                    }
                    hVar.c(z2);
                }
            }
        } catch (Exception e2) {
            TXCLog.e(TXLivePlayer.TAG, "callExperimentalAPI[failed]: " + str);
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.tencent.rtmp.a$a  reason: collision with other inner class name */
    /* compiled from: TXLivePlayerImpl */
    public class RunnableC0005a implements Runnable {
        private int b;

        private RunnableC0005a() {
            this.b = IjkMediaCodecInfo.RANK_SECURE;
        }

        public void a(int i) {
            this.b = i;
        }

        public void run() {
            if (a.this.r != null && a.this.r.c()) {
                int h = a.this.r.h();
                if (a.this.D != null) {
                    a.this.D.onAudioVolumeEvaluationNotify(h);
                }
            }
            if (a.this.q != null && this.b > 0) {
                a.this.q.postDelayed(a.this.F, (long) this.b);
            }
        }
    }

    private void f() {
        h hVar = this.r;
        if (hVar != null) {
            hVar.d(this.E > 0);
            if (this.E > 0) {
                if (this.F == null) {
                    this.F = new RunnableC0005a();
                }
                this.F.a(this.E);
                Handler handler = this.q;
                if (handler != null) {
                    handler.removeCallbacks(this.F);
                    this.q.postDelayed(this.F, (long) this.E);
                }
            }
        }
    }

    private void g() {
        h hVar = this.r;
        if (hVar != null) {
            hVar.d(false);
        }
        Handler handler = this.q;
        if (handler != null) {
            handler.removeCallbacks(this.F);
        }
        this.F = null;
        this.E = 0;
    }

    public void a(TXRecordCommon.ITXVideoRecordListener iTXVideoRecordListener) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setVideoRecordListener");
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(iTXVideoRecordListener);
        }
    }

    public int f(int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api startRecord " + this);
        if (Build.VERSION.SDK_INT < 18) {
            TXCLog.e(TXLivePlayer.TAG, "API levl is too low (record need 18, current is" + Build.VERSION.SDK_INT + ")");
            return -3;
        } else if (!a()) {
            TXCLog.e(TXLivePlayer.TAG, "startRecord: there is no playing stream");
            return -1;
        } else {
            h hVar = this.r;
            if (hVar != null) {
                return hVar.d(i2);
            }
            return -1;
        }
    }

    public int d() {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api stopRecord " + this);
        h hVar = this.r;
        if (hVar != null) {
            return hVar.e();
        }
        return -1;
    }

    public void a(final TXLivePlayer.ITXSnapshotListener iTXSnapshotListener) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api snapshot " + iTXSnapshotListener);
        if (!this.u && iTXSnapshotListener != null) {
            this.u = true;
            h hVar = this.r;
            if (hVar != null) {
                hVar.a(new com.tencent.liteav.basic.d.j() {
                    /* class com.tencent.rtmp.a.AnonymousClass1 */

                    @Override // com.tencent.liteav.basic.d.j
                    public void a(Bitmap bitmap) {
                        a.this.a((a) iTXSnapshotListener, (TXLivePlayer.ITXSnapshotListener) bitmap);
                    }
                });
            } else {
                this.u = false;
            }
        }
    }

    public boolean a(byte[] bArr) {
        String str = this.k;
        if (str == null || str.isEmpty()) {
            return false;
        }
        if (this.g) {
            TXLog.e(TXLivePlayer.TAG, "can not addVideoRawData because of hw decode has set!");
            return false;
        } else if (this.r == null) {
            TXCLog.e(TXLivePlayer.TAG, "player hasn't created or not instanceof live player");
            return false;
        } else {
            this.o = bArr;
            return true;
        }
    }

    public void a(TXLivePlayer.ITXVideoRawDataListener iTXVideoRawDataListener) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setVideoRawDataListener " + iTXVideoRawDataListener);
        this.n = iTXVideoRawDataListener;
        h hVar = this.r;
        if (hVar != null) {
            if (iTXVideoRawDataListener != null) {
                hVar.a(new i() {
                    /* class com.tencent.rtmp.a.AnonymousClass2 */

                    @Override // com.tencent.liteav.i
                    public void a(String str, int i, TXSVideoFrame tXSVideoFrame) {
                        if (tXSVideoFrame != null && tXSVideoFrame.width > 0 && tXSVideoFrame.height > 0) {
                            byte[] bArr = a.this.o;
                            a.this.o = null;
                            TXLivePlayer.ITXVideoRawDataListener iTXVideoRawDataListener = a.this.n;
                            if (iTXVideoRawDataListener != null && bArr != null) {
                                if (bArr.length >= ((tXSVideoFrame.width * tXSVideoFrame.height) * 3) / 2) {
                                    tXSVideoFrame.loadYUVArray(bArr);
                                    iTXVideoRawDataListener.onVideoRawDataAvailable(bArr, tXSVideoFrame.width, tXSVideoFrame.height, (int) tXSVideoFrame.pts);
                                    tXSVideoFrame.release();
                                    return;
                                }
                                TXCLog.e(TXLivePlayer.TAG, "raw data buffer length is too large");
                            }
                        }
                    }
                });
            } else {
                hVar.a((i) null);
            }
        }
    }

    public void a(TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setAudioRawDataListener " + iTXAudioRawDataListener);
        this.G = iTXAudioRawDataListener;
        h hVar = this.r;
        if (hVar != null) {
            hVar.a(iTXAudioRawDataListener);
        }
    }

    public int b(String str, int i2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api prepareLiveSeek " + this);
        if (this.w == null) {
            this.w = new d();
        }
        d dVar = this.w;
        if (dVar != null) {
            return dVar.a(this.k, str, i2, new d.a() {
                /* class com.tencent.rtmp.a.AnonymousClass3 */

                @Override // com.tencent.liteav.d.a
                public void a(long j) {
                    a.this.y = j;
                    if (a.this.r != null) {
                        a.this.r.g();
                    }
                }
            });
        }
        return -1;
    }

    public void g(int i2) {
        TXCLog.d(TXLivePlayer.TAG, "liteav_api seek " + i2);
        h hVar = this.r;
        if (hVar == null) {
            return;
        }
        if (hVar.f() || this.x) {
            d dVar = this.w;
            String a2 = dVar != null ? dVar.a((long) i2) : "";
            if (!TextUtils.isEmpty(a2)) {
                this.x = a(a2, 3) == 0;
                if (this.x) {
                    this.y = (long) (i2 * 1000);
                    return;
                }
                return;
            }
            ITXLivePlayListener iTXLivePlayListener = this.e;
            if (iTXLivePlayListener != null) {
                iTXLivePlayListener.onPlayEvent(-2301, new Bundle());
                return;
            }
            return;
        }
        this.r.e(i2);
    }

    public int e() {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api resumeLive " + this);
        if (!this.x) {
            return -1;
        }
        this.x = false;
        return a(this.z, 1);
    }

    @Deprecated
    public void d(boolean z2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setAutoPlay " + z2);
        this.s = z2;
    }

    @Deprecated
    public void a(float f2) {
        TXCLog.i(TXLivePlayer.TAG, "liteav_api setRate " + f2);
        this.t = f2;
        h hVar = this.r;
        if (hVar != null) {
            hVar.b(f2);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:72:0x00e4  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x00eb  */
    /* JADX WARNING: Removed duplicated region for block: B:82:? A[RETURN, SYNTHETIC] */
    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i2, Bundle bundle) {
        TXCloudVideoView tXCloudVideoView;
        ITXLivePlayListener iTXLivePlayListener;
        int i3 = i2;
        if (i3 == 15001) {
            TXCloudVideoView tXCloudVideoView2 = this.a;
            if (tXCloudVideoView2 != null) {
                tXCloudVideoView2.setLogText(bundle, null, 0);
            }
            ITXLivePlayListener iTXLivePlayListener2 = this.e;
            if (iTXLivePlayListener2 != null) {
                iTXLivePlayListener2.onNetStatus(bundle);
            }
        } else if (i3 == 2005) {
            long j2 = ((long) bundle.getInt(TXLiveConstants.EVT_PLAY_PROGRESS_MS)) + this.y;
            if (j2 > 0) {
                bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS, (int) (j2 / 1000));
                bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS_MS, (int) j2);
                ITXLivePlayListener iTXLivePlayListener3 = this.e;
                if (iTXLivePlayListener3 != null) {
                    iTXLivePlayListener3.onPlayEvent(i3, bundle);
                }
            }
        } else if (i3 != 2026) {
            if (i3 != -2309) {
                if (i3 == -2307) {
                    i3 = -2307;
                } else if (i3 == -2304) {
                    i3 = -2304;
                } else if (i3 == 2012) {
                    i3 = 2012;
                } else if (i3 == 2015) {
                    i3 = 2015;
                } else if (i3 == 2028) {
                    i3 = 2028;
                } else if (i3 == 2101) {
                    i3 = 2101;
                } else if (i3 == 2103) {
                    i3 = 2103;
                } else if (i3 == 2109) {
                    return;
                } else {
                    if (i3 == 3003) {
                        i3 = 3003;
                    } else if (i3 == -2302) {
                        i3 = -2302;
                    } else if (i3 != -2301) {
                        if (!(i3 == 2021 || i3 == 2022)) {
                            if (i3 != 2105) {
                                if (i3 == 2106) {
                                    i3 = 2106;
                                } else if (i3 == 3006 || i3 == 3007) {
                                    i3 = 3005;
                                } else if (i3 == 3009 || i3 == 3010) {
                                    i3 = 3002;
                                } else {
                                    switch (i3) {
                                        case 2001:
                                            i3 = 2001;
                                            break;
                                        case 2002:
                                            i3 = 2002;
                                            break;
                                        case 2003:
                                            break;
                                        case 2004:
                                            i3 = 2004;
                                            break;
                                        case 2005:
                                            i3 = 2005;
                                            break;
                                        default:
                                            switch (i3) {
                                                case 2007:
                                                    i3 = 2007;
                                                    break;
                                                case 2008:
                                                    break;
                                                case 2009:
                                                    i3 = 2009;
                                                    break;
                                                default:
                                                    return;
                                            }
                                    }
                                }
                            }
                        }
                        i3 = 2008;
                    }
                }
                tXCloudVideoView = this.a;
                if (tXCloudVideoView != null) {
                    tXCloudVideoView.setLogText(null, bundle, i3);
                }
                iTXLivePlayListener = this.e;
                if (iTXLivePlayListener == null) {
                    iTXLivePlayListener.onPlayEvent(i3, bundle);
                    return;
                }
                return;
            }
            i3 = -2301;
            tXCloudVideoView = this.a;
            if (tXCloudVideoView != null) {
            }
            iTXLivePlayListener = this.e;
            if (iTXLivePlayListener == null) {
            }
        }
    }

    private boolean h() {
        return Build.MANUFACTURER.equalsIgnoreCase("HUAWEI") && Build.MODEL.equalsIgnoreCase("Che2-TL00");
    }

    private String c(String str, int i2) {
        if (i2 != 6) {
            try {
                byte[] bytes = str.getBytes("UTF-8");
                StringBuilder sb = new StringBuilder(bytes.length);
                for (int i3 = 0; i3 < bytes.length; i3++) {
                    int i4 = bytes[i3] < 0 ? bytes[i3] + 256 : bytes[i3];
                    if (!(i4 <= 32 || i4 >= 127 || i4 == 34 || i4 == 37 || i4 == 60 || i4 == 62 || i4 == 91 || i4 == 125 || i4 == 92 || i4 == 93 || i4 == 94 || i4 == 96 || i4 == 123)) {
                        if (i4 != 124) {
                            sb.append((char) i4);
                        }
                    }
                    sb.append(String.format("%%%02X", Integer.valueOf(i4 == 1 ? 1 : 0)));
                }
                str = sb.toString();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return str.trim();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(final TXLivePlayer.ITXSnapshotListener iTXSnapshotListener, final Bitmap bitmap) {
        if (iTXSnapshotListener != null) {
            new Handler(Looper.getMainLooper()).post(new Runnable() {
                /* class com.tencent.rtmp.a.AnonymousClass4 */

                public void run() {
                    TXLivePlayer.ITXSnapshotListener iTXSnapshotListener = iTXSnapshotListener;
                    if (iTXSnapshotListener != null) {
                        iTXSnapshotListener.onSnapshot(bitmap);
                    }
                    a.this.u = false;
                }
            });
        }
    }
}
