package notchtools.geek.com.notchtools.helper;

import android.util.Log;
import java.lang.reflect.Method;

public class SystemProperties {
    private static final String TAG = SystemProperties.class.getSimpleName();
    private static Method getStringProperty;
    private static SystemProperties sSystemProperties;

    public static SystemProperties getInstance() {
        if (sSystemProperties == null) {
            synchronized (SystemProperties.class) {
                if (sSystemProperties == null) {
                    sSystemProperties = new SystemProperties();
                }
            }
        }
        return sSystemProperties;
    }

    private SystemProperties() {
        getStringProperty = getMethod(getClass("android.os.SystemProperties"));
    }

    private Class getClass(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            Log.e(TAG, e.getMessage());
            try {
                return ClassLoader.getSystemClassLoader().loadClass(str);
            } catch (ClassNotFoundException e2) {
                Log.e(TAG, e2.getMessage());
                return null;
            }
        }
    }

    private Method getMethod(Class cls) {
        if (cls == null) {
            return null;
        }
        try {
            return cls.getMethod("get", String.class);
        } catch (Exception e) {
            Log.e(TAG, e.getMessage());
            return null;
        }
    }

    public final String get(String str) {
        if (str == null) {
            return "";
        }
        try {
            Object obj = null;
            if (getStringProperty != null) {
                obj = getStringProperty.invoke(null, str);
            }
            String str2 = (String) obj;
            if (str2 != null) {
                return str2.trim();
            }
        } catch (Exception unused) {
        }
        return "";
    }
}
