package com.tencent.liteav;

import android.content.Context;
import android.net.Uri;
import android.text.TextUtils;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.datareport.TXCDRExtInfo;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCStatus;
import com.tencent.liteav.basic.util.TXCCommonUtil;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.d;
import com.tencent.liteav.network.a.b;
import com.tencent.liteav.network.a.e;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/* compiled from: TXCDataReport */
public class a {
    private static String a = "TXCDataReport";
    private static HashMap<String, EnumC0000a> s = new HashMap<>();
    private HashMap b = new HashMap(100);
    private String c;
    private Context d;
    private String e;
    private long f;
    private int g;
    private long h;
    private boolean i;
    private long j;
    private int k;
    private boolean l = false;
    private long m = 0;
    private long n = 0;
    private long o = 0;
    private long p = 0;
    private long q = 0;
    private String r;
    private String t = "";

    /* access modifiers changed from: package-private */
    /* renamed from: com.tencent.liteav.a$a  reason: collision with other inner class name */
    /* compiled from: TXCDataReport */
    public enum EnumC0000a {
        PENDING,
        CONFIRM,
        NEGATIVE
    }

    public a(Context context) {
        this.d = context.getApplicationContext();
        this.e = TXCCommonUtil.getAppVersion();
        this.k = 5000;
        this.q = 0;
    }

    public void a() {
        l();
        this.h = -1;
        this.m = System.currentTimeMillis();
    }

    public void b() {
        if (!this.i) {
            String str = a;
            TXCLog.e(str, "play " + this.c + " failed");
            if (this.l) {
                b(false);
            } else {
                h();
            }
        } else if (this.l) {
            m();
        } else {
            i();
        }
        if (this.l) {
            k();
        }
    }

    public void a(boolean z) {
        this.l = z;
    }

    public void a(String str) {
        this.c = str;
        b(str);
    }

    public void b(String str) {
        if (str != null) {
            this.r = str;
        }
    }

    /* access modifiers changed from: protected */
    public EnumC0000a c() {
        try {
            Uri parse = Uri.parse(this.r);
            if (parse == null) {
                return EnumC0000a.PENDING;
            }
            final String host = parse.getHost();
            if (TextUtils.isEmpty(host)) {
                return EnumC0000a.PENDING;
            }
            String scheme = parse.getScheme();
            if (scheme == null) {
                return EnumC0000a.PENDING;
            }
            if (!scheme.equals("rtmp") && !scheme.equals("http") && !scheme.equals("https")) {
                return EnumC0000a.PENDING;
            }
            if (c(host)) {
                return EnumC0000a.CONFIRM;
            }
            Set<String> queryParameterNames = parse.getQueryParameterNames();
            if (queryParameterNames != null && (queryParameterNames.contains("bizid") || queryParameterNames.contains("txTime") || queryParameterNames.contains("txSecret"))) {
                return EnumC0000a.CONFIRM;
            }
            if (s.containsKey(host)) {
                return s.get(host);
            }
            s.put(host, EnumC0000a.PENDING);
            new Thread(new Runnable() {
                /* class com.tencent.liteav.a.AnonymousClass1 */

                public void run() {
                    try {
                        e[] a2 = com.tencent.liteav.network.a.a.a.c().a(new b(host, true), null);
                        int length = a2.length;
                        boolean z = false;
                        int i = 0;
                        while (true) {
                            if (i >= length) {
                                break;
                            }
                            e eVar = a2[i];
                            if (eVar.a() && a.c(eVar.a)) {
                                z = true;
                                break;
                            }
                            i++;
                        }
                        a.s.put(host, z ? EnumC0000a.CONFIRM : EnumC0000a.NEGATIVE);
                        String str = a.a;
                        TXCLog.d(str, host + " isTencent " + z);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            }).start();
            return EnumC0000a.PENDING;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    protected static boolean c(String str) {
        if (str == null || !str.contains("myqcloud")) {
            return com.tencent.liteav.basic.e.b.a().a(str);
        }
        return true;
    }

    public void d(String str) {
        this.t = str;
    }

    public void d() {
        if (!this.i) {
            long a2 = TXCStatus.a(this.t, TXLiteAVCode.WARNING_IGNORE_UPSTREAM_FOR_AUDIENCE);
            long a3 = TXCStatus.a(this.t, 7104);
            if (!(a2 == 0 && a3 == 0)) {
                if (this.l) {
                    b(true);
                } else {
                    g();
                }
                this.k = 5000;
                this.i = true;
            }
            String b2 = TXCStatus.b(this.t, 7119);
            if (b2 != null) {
                b(b2);
            }
        }
        if (this.j <= 0) {
            this.j = TXCTimeUtil.getTimeTick();
        }
        if (this.i && TXCTimeUtil.getTimeTick() > this.j + ((long) this.k)) {
            if (this.l) {
                n();
                this.k = 5000;
            } else if (c() != EnumC0000a.NEGATIVE) {
                j();
                this.k = TXCDRApi.getStatusReportInterval();
                if (this.k < 5000) {
                    this.k = 5000;
                }
                if (this.k > 300000) {
                    this.k = 300000;
                }
            } else {
                return;
            }
            this.h = TXCStatus.a(this.t, 6004);
            this.j = TXCTimeUtil.getTimeTick();
        }
    }

    private void g() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = false;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.U, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        long utcTimeTick = TXCTimeUtil.getUtcTimeTick();
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u64_timestamp", utcTimeTick);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_device_type", (String) this.b.get("str_device_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_network_type", (long) e("u32_network_type"));
        long a2 = TXCStatus.a(this.t, 7107);
        long a3 = TXCStatus.a(this.t, 7108);
        if (a3 != -1) {
            a3 -= a2;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_dns_time", a3);
        String b2 = TXCStatus.b(this.t, 7110);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_server_ip", b2);
        long a4 = TXCStatus.a(this.t, 7109);
        if (a4 != -1) {
            a4 -= a2;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_connect_server_time", a4);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_stream_begin", -1);
        this.f = TXCStatus.a(this.t, TXLiteAVCode.WARNING_IGNORE_UPSTREAM_FOR_AUDIENCE) - a2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_first_i_frame", this.f);
        long a5 = TXCStatus.a(this.t, 7103) - a2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_first_frame_down", a5);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_user_id", (String) this.b.get("str_user_id"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_package_name", (String) this.b.get("str_package_name"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_app_version", this.e);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "dev_uuid", (String) this.b.get("dev_uuid"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_isp2p", (long) this.g);
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.U);
        String str2 = a;
        TXCLog.d(str2, "report evt 40101: token=" + str + " " + "u64_timestamp" + "=" + utcTimeTick + " " + "str_device_type" + "=" + ((String) this.b.get("str_device_type")) + " " + "u32_network_type" + "=" + e("u32_network_type") + " " + "u32_dns_time" + "=" + a3 + " " + "u32_server_ip" + "=" + b2 + " " + "u32_connect_server_time" + "=" + a4 + " " + "u32_stream_begin" + "=-1 " + "u32_first_i_frame" + "=" + this.f + " " + "u32_first_frame_down" + "=" + a5 + " " + "str_user_id" + "=" + ((String) this.b.get("str_user_id")) + " " + "str_package_name" + "=" + ((String) this.b.get("str_package_name")) + " " + "str_app_version" + "=" + this.e + " " + "dev_uuid" + "=" + ((String) this.b.get("dev_uuid")) + " " + "u32_isp2p" + "=" + this.g);
    }

    private void h() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = false;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.U, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        long utcTimeTick = TXCTimeUtil.getUtcTimeTick();
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u64_timestamp", utcTimeTick);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_device_type", (String) this.b.get("str_device_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_network_type", (long) e("u32_network_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_dns_time", -1);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_server_ip", "");
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_connect_server_time", -1);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_stream_begin", -1);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_first_i_frame", -1);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_first_frame_down", -1);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_user_id", (String) this.b.get("str_user_id"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_package_name", (String) this.b.get("str_package_name"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "str_app_version", this.e);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.U, "dev_uuid", (String) this.b.get("dev_uuid"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.U, "u32_isp2p", (long) this.g);
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.U);
        String str2 = a;
        TXCLog.d(str2, "report evt 40101: token=" + str + " " + "u64_timestamp" + "=" + utcTimeTick + " " + "str_device_type" + "=" + ((String) this.b.get("str_device_type")) + " " + "u32_network_type" + "=" + e("u32_network_type") + " " + "u32_dns_time" + "=-1 " + "u32_server_ip" + "= " + "u32_connect_server_time" + "=-1 " + "u32_stream_begin" + "=-1 " + "u32_first_i_frame" + "=-1 " + "u32_first_frame_down" + "=-1 " + "str_user_id" + "=" + ((String) this.b.get("str_user_id")) + " " + "str_package_name" + "=" + ((String) this.b.get("str_package_name")) + " " + "str_app_version" + "=" + this.e + " " + "dev_uuid" + "=" + ((String) this.b.get("dev_uuid")) + " " + "u32_isp2p" + "=" + this.g);
    }

    private void i() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = false;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.W, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        long utcTimeTick = TXCTimeUtil.getUtcTimeTick();
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u64_timestamp", utcTimeTick);
        long timeTick = (TXCTimeUtil.getTimeTick() - TXCStatus.a(this.t, 7107)) / 1000;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_result", timeTick);
        long a2 = TXCStatus.a(this.t, 6003);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_avg_block_time", a2);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.W, "str_app_version", this.e);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_isp2p", (long) this.g);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_avg_load", TXCStatus.a(this.t, 2001));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_load_cnt", TXCStatus.a(this.t, 2002));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_max_load", TXCStatus.a(this.t, 2003));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_first_i_frame", this.f);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_speed_cnt", TXCStatus.a(this.t, 2004));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_nodata_cnt", TXCStatus.a(this.t, 2005));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_avg_cache_time", TXCStatus.a(this.t, 2008));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.W, "u32_is_real_time", TXCStatus.a(this.t, 2009));
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.W);
        String str2 = a;
        TXCLog.d(str2, "report evt 40102: token=" + str + " " + "str_stream_url" + "=" + this.c + " " + "u64_timestamp" + "=" + utcTimeTick + " " + "u32_result" + "=" + timeTick + " " + "u32_avg_block_time" + "=" + a2 + " " + "str_app_version" + "=" + this.e + " " + "u32_isp2p" + "=" + this.g + " " + "u32_avg_load" + "=" + TXCStatus.a(this.t, 2001) + " " + "u32_load_cnt" + "=" + TXCStatus.a(this.t, 2002) + " " + "u32_max_load" + "=" + TXCStatus.a(this.t, 2003) + " " + "u32_first_i_frame" + "=" + this.f + " " + "u32_speed_cnt" + "=" + TXCStatus.a(this.t, 2004) + " " + "u32_nodata_cnt" + "=" + TXCStatus.a(this.t, 2005) + " " + "u32_avg_cache_time" + "=" + TXCStatus.a(this.t, 2008) + " " + "u32_is_real_time" + "=" + TXCStatus.a(this.t, 2009));
    }

    private void j() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = true;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.V, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_avg_net_speed", (long) (TXCStatus.c(this.t, 7102) + TXCStatus.c(this.t, 7101)));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_fps", (long) ((int) TXCStatus.d(this.t, 6002)));
        long a2 = TXCStatus.a(this.t, 6004);
        long j2 = this.h;
        if (j2 == -1) {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_avg_block_count", 0);
        } else if (a2 >= j2) {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_avg_block_count", a2 - this.h);
        } else {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_avg_block_count", 0);
        }
        this.h = a2;
        int[] a3 = d.a();
        int b2 = d.b();
        long a4 = TXCStatus.a(this.t, 6008);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_avg_cache_count", a4);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_cpu_usage", (long) a3[1]);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_app_cpu_usage", (long) a3[0]);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_app_mem_usage", (long) b2);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.V, "str_app_version", this.e);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.V, "u32_isp2p", (long) this.g);
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.V);
        if (this.l) {
            this.p++;
            this.o += a4;
            if (a4 > this.n) {
                this.n = a4;
            }
        }
    }

    private void k() {
        HashMap hashMap = new HashMap();
        String b2 = TXCStatus.b(this.t, 7116);
        String b3 = TXCStatus.b(this.t, 7117);
        String b4 = TXCStatus.b(this.t, 7118);
        int c2 = TXCStatus.c(this.t, 7105);
        String b5 = TXCStatus.b(this.t, 7106);
        int c3 = TXCStatus.c(this.t, 7111);
        hashMap.put("stream_url", b2);
        hashMap.put("stream_id", b3);
        hashMap.put("bizid", b4);
        hashMap.put("err_code", String.valueOf(c2));
        hashMap.put("err_info", b5);
        hashMap.put("channel_type", String.valueOf(c3));
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.m;
        hashMap.put("start_time", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS").format(new Date(this.m)));
        hashMap.put("end_time", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS").format(new Date(currentTimeMillis)));
        hashMap.put("total_time", String.valueOf(j2));
        long a2 = TXCStatus.a(this.t, 6003);
        long a3 = TXCStatus.a(this.t, 6006);
        long a4 = TXCStatus.a(this.t, 6005);
        long j3 = a2 != 0 ? a3 / a2 : 0;
        hashMap.put("block_count", String.valueOf(a2));
        hashMap.put("block_duration_max", String.valueOf(a4));
        hashMap.put("block_duration_avg", String.valueOf(j3));
        long j4 = this.p;
        long j5 = j4 != 0 ? this.o / j4 : 0;
        hashMap.put("jitter_cache_max", String.valueOf(this.n));
        hashMap.put("jitter_cache_avg", String.valueOf(j5));
        String txCreateToken = TXCDRApi.txCreateToken();
        int i2 = com.tencent.liteav.basic.datareport.a.af;
        int i3 = com.tencent.liteav.basic.datareport.a.al;
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.command_id_comment = "LINKMIC";
        TXCDRApi.InitEvent(this.d, txCreateToken, i2, i3, tXCDRExtInfo);
        String str = a;
        TXCLog.d(str, "report evt 40402: token=" + txCreateToken);
        for (Map.Entry entry : hashMap.entrySet()) {
            String str2 = (String) entry.getKey();
            String str3 = (String) entry.getValue();
            String str4 = a;
            TXCLog.e(str4, "RealTimePlayStatisticInfo: " + str2 + " = " + str3);
            if (!(str2 == null || str2.length() <= 0 || str3 == null)) {
                TXCDRApi.txSetEventValue(txCreateToken, i2, str2, str3);
            }
        }
        TXCDRApi.nativeReportEvent(txCreateToken, i2);
        this.l = false;
        this.m = 0;
        this.p = 0;
        this.o = 0;
        this.n = 0;
    }

    private int e(String str) {
        Number number = (Number) this.b.get(str);
        if (number != null) {
            return number.intValue();
        }
        return 0;
    }

    private void l() {
        this.i = false;
        this.j = 0;
        this.b.put("str_user_id", d.a(this.d));
        this.b.put("str_device_type", d.c());
        this.b.put("str_device_type", d.c());
        this.b.put("u32_network_type", Integer.valueOf(d.c(this.d)));
        this.b.put("token", d.d());
        this.b.put("str_package_name", d.b(this.d));
        this.b.put("dev_uuid", d.d(this.d));
    }

    private void b(boolean z) {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = false;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.X, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        this.q = TXCTimeUtil.getUtcTimeTick();
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u64_timestamp", String.valueOf(this.q));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "str_device_type", (String) this.b.get("str_device_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_network_type", (long) e("u32_network_type"));
        long a2 = TXCStatus.a(this.t, 7107);
        long a3 = TXCStatus.a(this.t, 7108);
        if (a3 != -1) {
            a3 -= a2;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_dns_time", z ? a3 : -1);
        String b2 = TXCStatus.b(this.t, 7110);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_server_ip", z ? b2 : "");
        long a4 = TXCStatus.a(this.t, 7109);
        if (a4 != -1) {
            a4 -= a2;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_connect_server_time", z ? a4 : -1);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_stream_begin", -1);
        this.f = TXCStatus.a(this.t, TXLiteAVCode.WARNING_IGNORE_UPSTREAM_FOR_AUDIENCE) - a2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_first_i_frame", this.f);
        long a5 = TXCStatus.a(this.t, 7103) - a2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_first_frame_down", a5);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "str_user_id", (String) this.b.get("str_user_id"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "str_package_name", (String) this.b.get("str_package_name"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "str_app_version", this.e);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "dev_uuid", (String) this.b.get("dev_uuid"));
        int c2 = TXCStatus.c(this.t, 2013);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_max_cache_time", String.valueOf(c2));
        int c3 = TXCStatus.c(this.t, 2012);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_min_cache_time", String.valueOf(c3));
        int c4 = TXCStatus.c(this.t, 7105);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u64_err_code", String.valueOf(c4));
        String b3 = TXCStatus.b(this.t, 7106);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "str_err_info", b3);
        int c5 = TXCStatus.c(this.t, 7112);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_link_type", String.valueOf(c5));
        int c6 = TXCStatus.c(this.t, 7111);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.X, "u32_channel_type", String.valueOf(c6));
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.X);
        String str2 = a;
        TXCLog.d(str2, "report evt 40501: token=" + str + " " + "u64_timestamp" + "=" + this.q + " " + "str_device_type" + "=" + ((String) this.b.get("str_device_type")) + " " + "u32_network_type" + "=" + e("u32_network_type") + " " + "u32_dns_time" + "=" + a3 + " " + "u32_server_ip" + "=" + b2 + " " + "u32_connect_server_time" + "=" + a4 + " " + "u32_stream_begin" + "=-1 " + "u32_first_i_frame" + "=" + this.f + " " + "u32_first_frame_down" + "=" + a5 + " " + "str_user_id" + "=" + ((String) this.b.get("str_user_id")) + " " + "str_package_name" + "=" + ((String) this.b.get("str_package_name")) + " " + "str_app_version" + "=" + this.e + " " + "dev_uuid" + "=" + ((String) this.b.get("dev_uuid")) + " " + "u32_max_cache_time" + "=" + c2 + " " + "u32_min_cache_time" + "=" + c3 + " " + "u64_err_code" + "=" + c4 + " " + "str_err_info" + "=" + b3 + " " + "u32_link_type" + "=" + c5 + " " + "u32_channel_type" + "=" + c6);
    }

    private void m() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = false;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.Z, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_begin_timestamp", String.valueOf(this.q));
        long utcTimeTick = TXCTimeUtil.getUtcTimeTick();
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_end_timestamp", utcTimeTick);
        long j2 = (utcTimeTick - this.q) / 1000;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_playtime", j2);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "str_device_type", (String) this.b.get("str_device_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_network_type", (long) e("u32_network_type"));
        String b2 = TXCStatus.b(this.t, 7110);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_server_ip", b2);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "str_user_id", (String) this.b.get("str_user_id"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "str_package_name", (String) this.b.get("str_package_name"));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "str_app_version", this.e);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "dev_uuid", (String) this.b.get("dev_uuid"));
        long a2 = TXCStatus.a(this.t, 6003);
        long a3 = TXCStatus.a(this.t, 6005);
        long a4 = TXCStatus.a(this.t, 6006);
        long j3 = 0;
        if (a2 > 0) {
            j3 = a4 / a2;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_block_count", a2);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_block_duration_max", a3);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_block_duration_avg", j3);
        long a5 = TXCStatus.a(this.t, 6009);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_jitter_cache_max", a5);
        long a6 = TXCStatus.a(this.t, 6008);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_jitter_cache_avg", a6);
        long a7 = TXCStatus.a(this.t, 2008);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Z, "u64_audio_cache_avg", a7);
        int c2 = TXCStatus.c(this.t, 7112);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_link_type", String.valueOf(c2));
        long c3 = (long) TXCStatus.c(this.t, 2001);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_avg_load", String.valueOf(c3));
        long c4 = (long) TXCStatus.c(this.t, 2002);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_load_cnt", String.valueOf(c4));
        long c5 = (long) TXCStatus.c(this.t, 2003);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_max_load", String.valueOf(c5));
        int c6 = TXCStatus.c(this.t, 7111);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_channel_type", String.valueOf(c6));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_ip_count_quic", String.valueOf(TXCStatus.c(this.t, 7113)));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_connect_count_quic", String.valueOf(TXCStatus.c(this.t, 7114)));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Z, "u32_connect_count_tcp", String.valueOf(TXCStatus.c(this.t, 7115)));
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.Z);
        String str2 = a;
        TXCLog.d(str2, "report evt 40502: token=" + str + " " + "str_stream_url" + "=" + this.c + " " + "u64_begin_timestamp" + "=" + this.q + " " + "u64_end_timestamp" + "=" + utcTimeTick + " " + "u64_playtime" + "=" + j2 + " " + "str_device_type" + "=" + ((String) this.b.get("str_device_type")) + " " + "u32_network_type" + "=" + e("u32_network_type") + " " + "u32_server_ip" + "=" + b2 + " " + "str_user_id" + "=" + ((String) this.b.get("str_user_id")) + " " + "str_package_name" + "=" + ((String) this.b.get("str_package_name")) + " " + "str_app_version" + "=" + this.e + " " + "dev_uuid" + "=" + ((String) this.b.get("dev_uuid")) + " " + "u64_block_count" + "=" + a2 + " " + "u64_block_duration_max" + "=" + a3 + " " + "u64_block_duration_avg" + "=" + j3 + " " + "u64_jitter_cache_max" + "=" + a5 + " " + "u64_jitter_cache_avg" + "=" + a6 + " " + "u64_audio_cache_avg" + "=" + a7 + " " + "u32_link_type" + "=" + c2 + " " + "u32_avg_load" + "=" + c3 + " " + "u32_load_cnt" + "=" + c4 + " " + "u32_max_load" + "=" + c5 + " " + "u32_channel_type" + "=" + c6);
    }

    private void n() {
        TXCDRExtInfo tXCDRExtInfo = new TXCDRExtInfo();
        tXCDRExtInfo.url = this.c;
        tXCDRExtInfo.report_common = false;
        tXCDRExtInfo.report_status = true;
        String str = (String) this.b.get("token");
        TXCDRApi.InitEvent(this.d, str, com.tencent.liteav.basic.datareport.a.Y, com.tencent.liteav.basic.datareport.a.am, tXCDRExtInfo);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_net_speed", (long) (TXCStatus.c(this.t, 7102) + TXCStatus.c(this.t, 7101)));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_fps", (long) ((int) TXCStatus.d(this.t, 6002)));
        long a2 = TXCStatus.a(this.t, 6004);
        long j2 = this.h;
        if (j2 == -1) {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_block_count", 0);
        } else if (a2 >= j2) {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_block_count", a2 - this.h);
        } else {
            TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_block_count", 0);
        }
        this.h = a2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_cache_count", TXCStatus.a(this.t, 6008));
        int[] a3 = d.a();
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_cpu_usage", (long) a3[1]);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_app_cpu_usage", (long) a3[0]);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_app_mem_usage", (long) d.b());
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Y, "str_app_version", this.e);
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Y, "str_device_type", (String) this.b.get("str_device_type"));
        int i2 = 2;
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_decode_type", (long) (TXCStatus.c(this.t, 5002) == 0 ? 2 : 1));
        if (TXCStatus.c(this.t, 2015) != 0) {
            i2 = 1;
        }
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_audio_decode_type", (long) i2);
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_network_type", (long) e("u32_network_type"));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_video_cache_time", (long) TXCStatus.c(this.t, 6007));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_audio_cache_time", (long) TXCStatus.c(this.t, 2010));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_audio_jitter", (long) TXCStatus.c(this.t, 2011));
        TXCDRApi.txSetEventIntValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_audio_drop", (long) TXCStatus.c(this.t, 2014));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Y, "u64_playtime", String.valueOf((TXCTimeUtil.getUtcTimeTick() - this.q) / 1000));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_link_type", String.valueOf(TXCStatus.c(this.t, 7112)));
        TXCDRApi.txSetEventValue(str, com.tencent.liteav.basic.datareport.a.Y, "u32_channel_type", String.valueOf(TXCStatus.c(this.t, 7111)));
        TXCDRApi.nativeReportEvent(str, com.tencent.liteav.basic.datareport.a.Y);
    }
}
