package com.tencent.liteav.renderer;

import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import java.lang.ref.WeakReference;
import java.util.LinkedList;
import java.util.Queue;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCGLRender */
public class a extends e implements SurfaceTexture.OnFrameAvailableListener {
    private c A;
    private TXSVideoFrame B;
    private TXCYuvTextureRender C;
    private Object D = null;
    private Object E = new Object();
    private final Queue<Runnable> F = new LinkedList();
    g a;
    AbstractC0003a b;
    AbstractC0003a c;
    private final int q = 0;
    private final int r = 0;
    private final int s = 0;
    private final int t = 0;
    private Object u = new Object();
    private b v;
    private SurfaceTexture w;
    private c x;
    private boolean y;
    private float[] z = new float[16];

    /* renamed from: com.tencent.liteav.renderer.a$a  reason: collision with other inner class name */
    /* compiled from: TXCGLRender */
    public interface AbstractC0003a {
        void onTextureProcess(int i, int i2, int i3, int i4);
    }

    @Override // com.tencent.liteav.renderer.e
    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    public void a(g gVar) {
        this.a = gVar;
    }

    public void a(AbstractC0003a aVar) {
        TXCYuvTextureRender tXCYuvTextureRender;
        this.b = aVar;
        if (aVar != null && (tXCYuvTextureRender = this.C) != null) {
            tXCYuvTextureRender.setHasFrameBuffer(this.h, this.i);
        }
    }

    public void b(AbstractC0003a aVar) {
        TXCYuvTextureRender tXCYuvTextureRender;
        this.c = aVar;
        if (aVar != null && (tXCYuvTextureRender = this.C) != null) {
            tXCYuvTextureRender.setHasFrameBuffer(this.h, this.i);
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public void a(TXSVideoFrame tXSVideoFrame, int i, int i2, int i3) {
        synchronized (this) {
            if (this.B != null) {
                this.B.release();
            }
            this.B = tXSVideoFrame;
        }
        super.a(tXSVideoFrame, i, i2, i3);
        b bVar = this.v;
        if (bVar != null) {
            bVar.c();
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public void a(int i, int i2, int i3, boolean z2, int i4) {
        GLES20.glViewport(0, 0, h(), i());
        c cVar = this.A;
        if (cVar != null) {
            cVar.a(i, z2, i4);
        }
        super.a(i, i2, i3, z2, i4);
        b bVar = this.v;
        if (bVar != null) {
            bVar.c();
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public SurfaceTexture a() {
        return this.w;
    }

    public EGLContext b() {
        EGLContext a2;
        synchronized (this.u) {
            a2 = this.v != null ? this.v.a() : null;
        }
        return a2;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void a(SurfaceTexture surfaceTexture) {
        super.a(surfaceTexture);
        TXCLog.w("TXCVideoRender", "play:vrender: create render thread when onSurfaceCreate");
        e();
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void b(SurfaceTexture surfaceTexture) {
        super.b(surfaceTexture);
        TXCLog.w("TXCVideoRender", "play:vrender: quit render thread when onSurfaceRelease");
        f();
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void a(int i, int i2) {
        super.a(i, i2);
        TXCYuvTextureRender tXCYuvTextureRender = this.C;
        if (tXCYuvTextureRender != null) {
            tXCYuvTextureRender.setVideoSize(i, i2);
        }
        c cVar = this.x;
        if (cVar != null) {
            cVar.a(i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Object obj) {
        synchronized (this.E) {
            this.D = obj;
            TXCLog.w("TXCVideoRender", "play:vrender: TXCGLRender initTextureRender " + this);
            p();
            if (this.e != null) {
                this.e.a(this.f, this.g);
                this.e.b(this.h, this.i);
            }
            if (this.x != null) {
                this.x.b();
                this.w = new SurfaceTexture(this.x.a());
                this.w.setOnFrameAvailableListener(this);
            }
            if (this.C != null) {
                this.C.createTexture();
            }
            if (!(this.b == null || this.C == null)) {
                this.C.setHasFrameBuffer(this.h, this.i);
            }
            if (this.A != null) {
                this.A.b();
            }
            if (this.o != null) {
                this.o.onSurfaceTextureAvailable(this.w);
            }
        }
    }

    private void p() {
        this.x = new c(true);
        this.C = new TXCYuvTextureRender();
        this.A = new c(false);
    }

    /* access modifiers changed from: package-private */
    public void b(Object obj) {
        synchronized (this.E) {
            if (this.D != obj) {
                TXCLog.w("TXCVideoRender", "play:vrender: TXCGLRender destroyTextureRender ignore when not the same gl thread " + this);
                return;
            }
            this.D = null;
            TXCLog.w("TXCVideoRender", "play:vrender: TXCGLRender destroyTextureRender " + this);
            try {
                if (this.o != null) {
                    this.o.onSurfaceTextureDestroy(this.w);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            if (this.x != null) {
                this.x.c();
                this.x = null;
            }
            if (this.C != null) {
                this.C.onSurfaceDestroy();
                this.C = null;
            }
            if (this.A != null) {
                this.A.c();
                this.A = null;
            }
            this.w = null;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean c() {
        do {
        } while (a(this.F));
        return q();
    }

    /* access modifiers changed from: package-private */
    public SurfaceTexture d() {
        if (this.d != null) {
            return this.d.getSurfaceTexture();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void e() {
        synchronized (this.u) {
            if (this.v == null) {
                this.v = new b(new WeakReference(this));
                this.v.start();
                this.v.c();
                TXCLog.w("TXCVideoRender", "play:vrender: start render thread id " + getID() + ", " + this);
            } else {
                TXCLog.w("TXCVideoRender", "play:vrender: render thread is running " + getID() + ", " + this);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void f() {
        synchronized (this.u) {
            if (this.v != null) {
                this.v.b();
                this.v.c();
                this.v = null;
                TXCLog.w("TXCVideoRender", "play:vrender: quit render thread id" + getID() + ", " + this);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0026, code lost:
        if (r11.l != 1) goto L_0x002d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0028, code lost:
        r4 = b();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002d, code lost:
        r4 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002e, code lost:
        if (r0 == false) goto L_0x0082;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0030, code lost:
        r0 = r11.w;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0032, code lost:
        if (r0 == null) goto L_0x003e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0034, code lost:
        r0.updateTexImage();
        r11.w.getTransformMatrix(r11.z);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x003e, code lost:
        r0 = r11.a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0040, code lost:
        if (r0 == null) goto L_0x0050;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0042, code lost:
        r1 = r11.x;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0044, code lost:
        if (r1 == null) goto L_0x0059;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0046, code lost:
        r0.a(r1.a(), r11.z);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0050, code lost:
        r0 = r11.x;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0052, code lost:
        if (r0 == null) goto L_0x0059;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0054, code lost:
        r0.a(r11.w);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0059, code lost:
        r0 = r11.c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x005b, code lost:
        if (r0 == null) goto L_0x0070;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x005d, code lost:
        r0.onTextureProcess(r11.x.a(), j(), k(), r11.k);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0072, code lost:
        if (r11.l != 1) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0074, code lost:
        r0 = r11.x;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0076, code lost:
        if (r0 == null) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0078, code lost:
        a(r4, r0.a(), r11.z, true);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0082, code lost:
        if (r3 == null) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0084, code lost:
        r0 = r11.C;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x0086, code lost:
        if (r0 == null) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x008b, code lost:
        if (r11.b == null) goto L_0x00aa;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x008d, code lost:
        r0.setHasFrameBuffer(r11.h, r11.i);
        r0 = r11.C.drawToTexture(r3);
        r11.b.onTextureProcess(r0, j(), k(), r11.k);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00ac, code lost:
        if (r11.l != 0) goto L_0x00b3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00ae, code lost:
        r11.C.drawFrame(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00b3, code lost:
        r0 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00b6, code lost:
        if (r11.l != 1) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00b8, code lost:
        if (r0 != -1) goto L_0x00c9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00ba, code lost:
        r11.C.setHasFrameBuffer(r11.h, r11.i);
        r0 = r11.C.drawToTexture(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00c9, code lost:
        a(r4, r0, (float[]) null, false);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00cc, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0018, code lost:
        android.opengl.GLES20.glViewport(0, 0, h(), i());
     */
    private boolean q() {
        TXSVideoFrame tXSVideoFrame;
        boolean z2;
        synchronized (this) {
            if (this.y) {
                z2 = this.y;
                this.y = false;
                tXSVideoFrame = null;
            } else if (this.B == null) {
                return false;
            } else {
                TXSVideoFrame tXSVideoFrame2 = this.B;
                this.B = null;
                tXSVideoFrame = tXSVideoFrame2;
                z2 = false;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        r0.run();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0011, code lost:
        if (r0 != null) goto L_0x0014;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        return false;
     */
    private boolean a(Queue<Runnable> queue) {
        synchronized (queue) {
            if (queue.isEmpty()) {
                return false;
            }
            Runnable poll = queue.poll();
        }
    }

    public void onFrameAvailable(SurfaceTexture surfaceTexture) {
        synchronized (this) {
            this.y = true;
        }
    }

    @Override // java.lang.Object, com.tencent.liteav.basic.module.a
    public void finalize() throws Throwable {
        super.finalize();
        TXCLog.w("TXCVideoRender", "play:vrender: quit render thread when finalize");
        try {
            f();
        } catch (Exception unused) {
        }
    }
}
