package com.tencent.liteav.videodecoder;

import android.media.MediaCodec;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Build;
import android.view.Surface;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.d;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: TXCVideoMediaCodecDecoder */
public class b implements a {
    private MediaCodec.BufferInfo a = new MediaCodec.BufferInfo();
    private MediaCodec b = null;
    private String c = "video/avc";
    private int d = 540;
    private int e = TXEAudioDef.TXE_OPUS_SAMPLE_NUM;
    private long f = 0;
    private long g = 0;
    private boolean h = true;
    private boolean i = false;
    private boolean j = false;
    private Surface k = null;
    private int l = 0;
    private ArrayList<TXSNALPacket> m = new ArrayList<>();
    private ArrayList<Long> n = new ArrayList<>();
    private long o = 0;
    private int p = 0;
    private c q;
    private WeakReference<a> r;

    @Override // com.tencent.liteav.videodecoder.a
    public void setListener(c cVar) {
        this.q = cVar;
    }

    @Override // com.tencent.liteav.videodecoder.a
    public void setNotifyListener(WeakReference<a> weakReference) {
        this.r = weakReference;
    }

    @Override // com.tencent.liteav.videodecoder.a
    public int config(Surface surface) {
        if (surface == null) {
            return -1;
        }
        this.k = surface;
        return 0;
    }

    @Override // com.tencent.liteav.videodecoder.a
    public void decode(TXSNALPacket tXSNALPacket) {
        boolean z = true;
        if (tXSNALPacket.codecId != 1) {
            z = false;
        }
        a(z);
        this.m.add(tXSNALPacket);
        while (!this.m.isEmpty()) {
            int size = this.m.size();
            try {
                b();
            } catch (Exception e2) {
                TXCLog.e("MediaCodecDecoder", "decode: doDecode Exception!! " + e2.toString());
            }
            if (size == this.m.size()) {
                return;
            }
        }
    }

    @Override // com.tencent.liteav.videodecoder.a
    public int start(ByteBuffer byteBuffer, ByteBuffer byteBuffer2, boolean z, boolean z2) {
        return a(byteBuffer, byteBuffer2, z2);
    }

    @Override // com.tencent.liteav.videodecoder.a
    public void stop() {
        a();
    }

    @Override // com.tencent.liteav.videodecoder.a
    public boolean isHevc() {
        return this.j;
    }

    @Override // com.tencent.liteav.videodecoder.a
    public int GetDecodeCost() {
        return this.p;
    }

    public void a(int i2, int i3) {
        if (i2 > 0 && i3 > 0) {
            this.d = i2;
            this.e = i3;
            TXCLog.w("MediaCodecDecoder", "decode: init with video size: " + this.d + ", " + this.e);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:45:0x00b8 A[SYNTHETIC, Splitter:B:45:0x00b8] */
    private int a(ByteBuffer byteBuffer, ByteBuffer byteBuffer2, boolean z) {
        Exception e2;
        MediaCodec mediaCodec;
        int i2 = 0;
        int i3 = -1;
        try {
            if (this.b == null) {
                if (this.k != null) {
                    this.j = z;
                    if (this.j) {
                        this.c = "video/hevc";
                    } else {
                        this.c = "video/avc";
                    }
                    MediaFormat createVideoFormat = MediaFormat.createVideoFormat(this.c, this.d, this.e);
                    if (byteBuffer != null) {
                        createVideoFormat.setByteBuffer("csd-0", byteBuffer);
                    }
                    if (byteBuffer2 != null) {
                        createVideoFormat.setByteBuffer("csd-1", byteBuffer2);
                    }
                    this.b = MediaCodec.createDecoderByType(this.c);
                    try {
                        this.b.configure(createVideoFormat, this.k, (MediaCrypto) null, 0);
                    } catch (Exception e3) {
                        e2 = e3;
                        i2 = 1;
                        mediaCodec = this.b;
                        if (mediaCodec != null) {
                            try {
                                mediaCodec.release();
                                TXCLog.w("MediaCodecDecoder", "decode: , decoder release success");
                            } catch (Exception e4) {
                                TXCLog.e("MediaCodecDecoder", "decode: , decoder release exception: " + e2.toString());
                                e4.printStackTrace();
                            } catch (Throwable th) {
                                this.b = null;
                                throw th;
                            }
                            this.b = null;
                        }
                        TXCLog.e("MediaCodecDecoder", "decode: init decoder " + i2 + " step exception: " + e2.toString());
                        e2.printStackTrace();
                        f();
                        return i3;
                    }
                    try {
                        this.b.setVideoScalingMode(1);
                        try {
                            this.b.start();
                        } catch (Exception e5) {
                            e2 = e5;
                            i2 = 3;
                            mediaCodec = this.b;
                            if (mediaCodec != null) {
                            }
                            TXCLog.e("MediaCodecDecoder", "decode: init decoder " + i2 + " step exception: " + e2.toString());
                            e2.printStackTrace();
                            f();
                            return i3;
                        }
                    } catch (Exception e6) {
                        e2 = e6;
                        i2 = 2;
                        mediaCodec = this.b;
                        if (mediaCodec != null) {
                        }
                        TXCLog.e("MediaCodecDecoder", "decode: init decoder " + i2 + " step exception: " + e2.toString());
                        e2.printStackTrace();
                        f();
                        return i3;
                    }
                    try {
                        TXCLog.w("MediaCodecDecoder", "decode: start decoder success, is hevc: " + this.j + " w = " + this.d + " h = " + this.e);
                        try {
                            this.l = 0;
                            return 0;
                        } catch (Exception e7) {
                            e2 = e7;
                            i2 = 4;
                            i3 = 0;
                        }
                    } catch (Exception e8) {
                        e2 = e8;
                        i2 = 4;
                        mediaCodec = this.b;
                        if (mediaCodec != null) {
                        }
                        TXCLog.e("MediaCodecDecoder", "decode: init decoder " + i2 + " step exception: " + e2.toString());
                        e2.printStackTrace();
                        f();
                        return i3;
                    }
                }
            }
            TXCLog.e("MediaCodecDecoder", "decode: init decoder error, can not init for decoder=" + this.b + ",surface=" + this.k);
            return -1;
        } catch (Exception e9) {
            e2 = e9;
            mediaCodec = this.b;
            if (mediaCodec != null) {
            }
            TXCLog.e("MediaCodecDecoder", "decode: init decoder " + i2 + " step exception: " + e2.toString());
            e2.printStackTrace();
            f();
            return i3;
        }
    }

    private void a() {
        MediaCodec mediaCodec = this.b;
        if (mediaCodec != null) {
            try {
                mediaCodec.stop();
                TXCLog.w("MediaCodecDecoder", "decode: stop decoder sucess");
                try {
                    this.b.release();
                    TXCLog.w("MediaCodecDecoder", "decode: release decoder sucess");
                } catch (Exception e2) {
                    TXCLog.e("MediaCodecDecoder", "decode: release decoder exception: " + e2.toString());
                    e2.printStackTrace();
                } catch (Throwable th) {
                    this.b = null;
                    throw th;
                }
            } catch (Exception e3) {
                TXCLog.e("MediaCodecDecoder", "decode: stop decoder Exception: " + e3.toString());
                e3.printStackTrace();
                try {
                    this.b.release();
                    TXCLog.w("MediaCodecDecoder", "decode: release decoder sucess");
                } catch (Exception e4) {
                    TXCLog.e("MediaCodecDecoder", "decode: release decoder exception: " + e4.toString());
                    e4.printStackTrace();
                } catch (Throwable th2) {
                    this.b = null;
                    throw th2;
                }
            } catch (Throwable th3) {
                try {
                    this.b.release();
                    TXCLog.w("MediaCodecDecoder", "decode: release decoder sucess");
                } catch (Exception e5) {
                    TXCLog.e("MediaCodecDecoder", "decode: release decoder exception: " + e5.toString());
                    e5.printStackTrace();
                } catch (Throwable th4) {
                    this.b = null;
                    throw th4;
                }
                this.b = null;
                throw th3;
            }
            this.b = null;
            this.m.clear();
            this.f = 0;
            this.h = true;
        }
    }

    private void b() {
        int i2;
        int i3;
        if (this.b == null) {
            TXCLog.e("MediaCodecDecoder", "null decoder");
            return;
        }
        TXSNALPacket tXSNALPacket = this.m.get(0);
        if (tXSNALPacket == null || tXSNALPacket.nalData.length == 0) {
            TXCLog.e("MediaCodecDecoder", "decode: empty buffer");
            this.m.remove(0);
            return;
        }
        long timeTick = TXCTimeUtil.getTimeTick();
        long j2 = 0;
        if (this.o == 0) {
            this.o = timeTick;
        }
        ByteBuffer[] byteBufferArr = null;
        try {
            byteBufferArr = this.b.getInputBuffers();
        } catch (Exception e2) {
            TXCLog.e("MediaCodecDecoder", "decode: getInputBuffers Exception!! " + e2.toString());
        }
        if (byteBufferArr == null || byteBufferArr.length == 0) {
            TXCLog.e("MediaCodecDecoder", "decode: getInputBuffers failed");
            return;
        }
        try {
            i2 = this.b.dequeueInputBuffer(10000);
        } catch (Exception e3) {
            TXCLog.e("MediaCodecDecoder", "decode: dequeueInputBuffer Exception!! " + e3.toString());
            i2 = -10000;
        }
        if (i2 >= 0) {
            byteBufferArr[i2].put(tXSNALPacket.nalData);
            try {
                this.b.queueInputBuffer(i2, 0, tXSNALPacket.nalData.length, tXSNALPacket.pts, 0);
                this.m.remove(0);
            } catch (Exception unused) {
                g();
            }
            if (this.f == 0) {
                TXCLog.w("MediaCodecDecoder", "decode: input buffer available, dequeueInputBuffer index: " + i2);
            }
        } else {
            TXCLog.w("MediaCodecDecoder", "decode: input buffer not available, dequeueInputBuffer failed");
        }
        try {
            i3 = this.b.dequeueOutputBuffer(this.a, 10000);
        } catch (Exception e4) {
            g();
            TXCLog.e("MediaCodecDecoder", "decode: dequeueOutputBuffer exception!!" + e4);
            i3 = -10000;
        }
        if (i3 >= 0) {
            a(i3, this.a.presentationTimeUs, this.a.presentationTimeUs, tXSNALPacket.rotation);
            this.l = 0;
        } else if (i3 == -1) {
            try {
                Thread.sleep(10);
            } catch (InterruptedException e5) {
                e5.printStackTrace();
            }
            TXCLog.i("MediaCodecDecoder", "decode: no output from decoder available when timeout fail count " + this.l);
            g();
        } else if (i3 == -3) {
            TXCLog.i("MediaCodecDecoder", "decode: output buffers changed");
        } else if (i3 == -2) {
            c();
        } else {
            TXCLog.e("MediaCodecDecoder", "decode: unexpected result from decoder.dequeueOutputBuffer: " + i3);
        }
        long timeTick2 = TXCTimeUtil.getTimeTick();
        this.n.add(Long.valueOf(timeTick2 - timeTick));
        if (timeTick2 > this.o + 1000) {
            Iterator<Long> it = this.n.iterator();
            while (it.hasNext()) {
                Long next = it.next();
                if (next.longValue() > j2) {
                    j2 = next.longValue();
                }
            }
            this.n.clear();
            this.o = timeTick2;
            this.p = (int) (j2 * 3);
        }
    }

    private void a(int i2, long j2, long j3, int i3) {
        this.b.releaseOutputBuffer(i2, true);
        if ((this.a.flags & 4) != 0) {
            TXCLog.i("MediaCodecDecoder", "output EOS");
        }
        try {
            if (this.q != null) {
                this.q.onDecodeFrame(null, this.d, this.e, j2, j3, i3);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        d();
    }

    private void c() {
        int i2;
        MediaFormat outputFormat = this.b.getOutputFormat();
        TXCLog.i("MediaCodecDecoder", "decode output format changed: " + outputFormat);
        int integer = outputFormat.getInteger("width");
        int integer2 = outputFormat.getInteger("height");
        int min = Math.min(Math.abs(outputFormat.getInteger("crop-right") - outputFormat.getInteger("crop-left")) + 1, integer);
        int min2 = Math.min(Math.abs(outputFormat.getInteger("crop-bottom") - outputFormat.getInteger("crop-top")) + 1, integer2);
        int i3 = this.d;
        if (min != i3 || min2 != (i2 = this.e)) {
            this.d = min;
            this.e = min2;
            try {
                if (this.q != null) {
                    this.q.onVideoSizeChange(this.d, this.e);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            TXCLog.i("MediaCodecDecoder", "decode: video size change to w:" + min + ",h:" + min2);
        } else if (this.h) {
            this.h = false;
            c cVar = this.q;
            if (cVar != null) {
                cVar.onVideoSizeChange(i3, i2);
            }
        }
    }

    private void d() {
        if (this.f == 0) {
            TXCLog.w("MediaCodecDecoder", "decode first frame sucess");
        }
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = this.f;
        if (j2 > 0 && currentTimeMillis > j2 + 1000) {
            long j3 = this.g;
            if (currentTimeMillis > 2000 + j3 && j3 != 0) {
                TXCLog.e("MediaCodecDecoder", "frame interval[" + (currentTimeMillis - this.f) + "] > " + 1000L);
                this.g = currentTimeMillis;
            }
        }
        if (this.g == 0) {
            this.g = currentTimeMillis;
        }
        this.f = currentTimeMillis;
    }

    private boolean e() {
        if (Build.VERSION.SDK_INT >= 21) {
            MediaCodecInfo[] codecInfos = new MediaCodecList(1).getCodecInfos();
            for (MediaCodecInfo mediaCodecInfo : codecInfos) {
                for (String str : mediaCodecInfo.getSupportedTypes()) {
                    if (str.contains("video/hevc")) {
                        TXCLog.e("MediaCodecDecoder", "decode: video/hevc MediaCodecInfo: " + mediaCodecInfo.getName() + ",encoder:" + mediaCodecInfo.isEncoder());
                        return true;
                    }
                }
            }
            return false;
        }
        if (Build.VERSION.SDK_INT >= 16) {
            int codecCount = MediaCodecList.getCodecCount();
            for (int i2 = 0; i2 < codecCount; i2++) {
                MediaCodecInfo codecInfoAt = MediaCodecList.getCodecInfoAt(i2);
                for (String str2 : codecInfoAt.getSupportedTypes()) {
                    if (str2.contains("video/hevc")) {
                        TXCLog.e("MediaCodecDecoder", "video/hevc MediaCodecInfo: " + codecInfoAt.getName() + ",encoder:" + codecInfoAt.isEncoder());
                        return true;
                    }
                }
            }
        }
        return false;
    }

    private void f() {
        if (!this.i) {
            TXCLog.w("MediaCodecDecoder", "decode: hw decode error, hevc: " + this.j);
            if (this.j) {
                d.a(this.r, -2304, "h265解码失败");
            } else {
                d.a(this.r, 2106, "硬解启动失败，采用软解");
            }
            this.i = true;
            c cVar = this.q;
            if (cVar != null) {
                cVar.onDecodeFailed(-1);
            }
        }
    }

    private void g() {
        int i2 = this.l;
        if (i2 >= 40) {
            f();
            this.l = 0;
            return;
        }
        this.l = i2 + 1;
    }

    private void a(boolean z) {
        if (this.j != z) {
            this.j = z;
            if (!this.i) {
                if (!this.j || e()) {
                    a();
                    a(null, null, this.j);
                    return;
                }
                a();
                f();
            }
        }
    }
}
